var app = {
	
    initialize: function() {
        this.bindEvents();
    },
   
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
		//返回按钮
		document.addEventListener('backbutton',this.onBackKeyDown, false);
		//菜单按钮
		document.addEventListener("menubutton", this.onMenuKeyDown, false);
    },
	onMenuKeyDown : function(){
		return;
	},
	onBackKeyDown : function(){
	    var urlStr="customerIndexPage";
	    var allurl = window.location.href;
	    var allurlIndex=allurl.indexOf("#");
	    if(allurlIndex >= 0){
            urlStr = allurl.substring(allurlIndex+1,allurlIndex.length);
	    }
	    urlStr=$.trim(urlStr);
	    if("adminIndex" == urlStr || "loginPage" == urlStr || "tdaEnclistPage" == urlStr){
            $.router.loadPage("#customerIndexPage");
	    }else if("customerIndexPage" == urlStr){
	        layer.open({content: '是否确认退出?',btn: ['确认','取消'],shadeClose: false,anim : true,
                yes: function(index){
                    navigator.app.exitApp();
                }
            });
	    }else{
            HYX.adminIndex.goToadminIndexMethod();
	    }
	    return;
	},
    onDeviceReady: function() {
		//状态栏问题android和IOS处理
    	if (cordova.platformId == 'android') {
			StatusBar.backgroundColorByHexString("#333");
		}else{
			StatusBar.overlaysWebView(false);
			StatusBar.styleDefault();
			//StatusBar.styleLightContent();
			StatusBar.backgroundColorByHexString("#0894ec");
		}
		//getPhonePosition();
		//页面初始化方法
		$(document).ready(function(){
		  //欢迎页面影藏
		  navigator.splashscreen.hide();
		});
	}
};

app.initialize();



var GPSTOGD = {
    PI : 3.14159265358979324,
    x_pi : 3.14159265358979324 * 3000.0 / 180.0,
    delta : function (lat, lon) {
        // Krasovsky 1940
        //
        // a = 6378245.0, 1/f = 298.3
        // b = a * (1 - f)
        // ee = (a^2 - b^2) / a^2;
        var a = 6378245.0; //  a: 卫星椭球坐标投影到平面地图坐标系的投影因子。
        var ee = 0.00669342162296594323; //  ee: 椭球的偏心率。
        var dLat = this.transformLat(lon - 105.0, lat - 35.0);
        var dLon = this.transformLon(lon - 105.0, lat - 35.0);
        var radLat = lat / 180.0 * this.PI;
        var magic = Math.sin(radLat);
        magic = 1 - ee * magic * magic;
        var sqrtMagic = Math.sqrt(magic);
        dLat = (dLat * 180.0) / ((a * (1 - ee)) / (magic * sqrtMagic) * this.PI);
        dLon = (dLon * 180.0) / (a / sqrtMagic * Math.cos(radLat) * this.PI);
        return {'lat': dLat, 'lon': dLon};
    },
    //GPS---高德
    gcj_encrypt : function ( wgsLat , wgsLon ) {
        if (this.outOfChina(wgsLat, wgsLon))
            return {'lat': wgsLat, 'lon': wgsLon};

        var d = this.delta(wgsLat, wgsLon);
        return {'lat' : wgsLat + d.lat,'lon' : wgsLon + d.lon};
    },
    outOfChina : function (lat, lon) {
        if (lon < 72.004 || lon > 137.8347)
            return true;
        if (lat < 0.8293 || lat > 55.8271)
            return true;
        return false;
    },
    transformLat : function (x, y) {
        var ret = -100.0 + 2.0 * x + 3.0 * y + 0.2 * y * y + 0.1 * x * y + 0.2 * Math.sqrt(Math.abs(x));
        ret += (20.0 * Math.sin(6.0 * x * this.PI) + 20.0 * Math.sin(2.0 * x * this.PI)) * 2.0 / 3.0;
        ret += (20.0 * Math.sin(y * this.PI) + 40.0 * Math.sin(y / 3.0 * this.PI)) * 2.0 / 3.0;
        ret += (160.0 * Math.sin(y / 12.0 * this.PI) + 320 * Math.sin(y * this.PI / 30.0)) * 2.0 / 3.0;
        return ret;
    },
    transformLon : function (x, y) {
        var ret = 300.0 + x + 2.0 * y + 0.1 * x * x + 0.1 * x * y + 0.1 * Math.sqrt(Math.abs(x));
        ret += (20.0 * Math.sin(6.0 * x * this.PI) + 20.0 * Math.sin(2.0 * x * this.PI)) * 2.0 / 3.0;
        ret += (20.0 * Math.sin(x * this.PI) + 40.0 * Math.sin(x / 3.0 * this.PI)) * 2.0 / 3.0;
        ret += (150.0 * Math.sin(x / 12.0 * this.PI) + 300.0 * Math.sin(x / 30.0 * this.PI)) * 2.0 / 3.0;
        return ret;
    }
};


function getPhonePositionGd() {
    var options = {
        enableHighAccuracy: true,
        maximumAge: 3000,
        timeout:15000
    }
    var watchID = navigator.geolocation.getCurrentPosition(onSuccess, onError, options);
    function onSuccess(position) {
        var zb=GPSTOGD.gcj_encrypt(position.coords.latitude,position.coords.longitude);
        //alert(zb.lon+","+zb.lat);
    };
    function onError(error) {
       if(error.code === 1){
            $.toast("请打开共享位置信息!");
       }else if(error.code === 2){
            $.toast("请检查网络及GPS是否开启!");
       }else if(error.code === 3){
            $.toast("获取位置信息超时!");
       }else{
            //$.toast("获取定位失败!");
       }
    }
};
