/**
 * 兑换机财务现金录入
 */
HYX.namespace("encFinancialcash");
HYX.encFinancialcash = (function() {
  
  /**
   * 跳向兑换机财务现金录入页面
   */
  var goToencFinancialcashPage=function(){
  	$.router.loadPage("#encFinancialcashpage");
	$("#Financial_enczhibank").html("");
	$("#Financial_enczhibankdiv").html("");
	$("#Financial_enczhibank").select2({
		tags : true,
	});
	HYX.encFinancialcash.initencFinancialcashPageTime();
  	HYX.encFinancialcash.loadOwnEncPageData();
  	HYX.encFinancialcash.zesuan();
  	HYX.encFinancialcash.Reset();
  };
  
  
  var initencFinancialcashPageTime=function(){
		$("#Financial_exdate").val("");
		$("#Financial_exdate").calendar({
			dayNamesShort:['日', '一', '二', '三', '四', '五', '六'],
			monthNames:['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月' , '9月' , '10月', '11月', '12月'],
			maxDate:new Date()
		});
  };
  
  
  /**
   * 动态密码列表、权限获取
   */
  var loadOwnEncPageData=function(){
	    //用户信息获取
	    if(null == userInfo){
	      $.toast('用户信息获取失败!');
	      return;
	    }
	    //传参
	    var param = {
	      'user_id': userInfo.user_id
	    };
	    //开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      dataType : "jsonp",
	      jsonp : "callback",
	      url: basePath + "getInsideUserLine",
	      data: param,
	      success: function(data){
	        //关闭进度条
	        $.hideIndicator();
	        var error=data.error;
	        if("undefined" != typeof(error)){
	          HYX.util.error(error);
	          $.hideIndicator();
	          return;
	        }    
	        if(data.flag){
	          HYX.encFinancialcash.getfindDotName();
	          $.hideIndicator();
	        }else{
	          $.toast(data.messgae);
	          $.hideIndicator();
	        }
	        
	      },
	    timeout:15000,
	    error:function(XMLHttpRequest, textStatus, errorThrown){
	      $.hideIndicator();
	      if(textStatus == "timeout"){
	        $.toast("获取超时");
	      }else{
	    	  HYX.util.error('error');
	      }
	    }
	 });  
  };
  
  
  var getfindDotName=function(){
	$("#Financial_enczhibankdiv").html(""); 
	//获取网点名称
	$.ajax({
		type : "post",
		url : basePath + "findDotName",
		success : function(data) {
			$("#Financial_enczhibank").html("");
			encurbandistrictlist=data.content;
			var html="";
			html +='<option value=""></option>';
			for(var i=0;i<encurbandistrictlist.length;i++){
				html +='<option value="'+encurbandistrictlist[i].devid+'">'+encurbandistrictlist[i].encbank+'-'+encurbandistrictlist[i].encdot+'</option>';
			}
			$("#Financial_enczhibank").append(html);
		}
	});

  }
  
  
  var changefindDotName=function(DotName){
	  var zhibankdivhtml=$("#Financial_enczhibankdiv").html(); 
	  if(zhibankdivhtml=="" || zhibankdivhtml == "null" || zhibankdivhtml == null){
		  $("#Financial_enczhibankdiv").append('<a class="selecta" value="'+DotName+'">'+DotName+'<span class="selectspan" onclick="HYX.encFinancialcash.deletefindDotName(\''+DotName+'\')">×</span></a>');
	  }else{
		  var str=[];
		  $("#Financial_enczhibankdiv a").each(function(){
			 stri=$(this).attr("value");
			 str.push(stri);
		  }); 
		  var DotNamei=str.join(",");
		  if(DotNamei.indexOf(DotName)>=0){
			  return;
		  }else{
			  $("#Financial_enczhibankdiv").append('<a class="selecta" value="'+DotName+'">'+DotName+'<span class="selectspan" onclick="HYX.encFinancialcash.deletefindDotName(\''+DotName+'\')">×</span></a>');  
		  }
	  } 
  }
  
  
  var deletefindDotName=function(DotName){
	  $("#Financial_enczhibankdiv a").each(function(){ 
		 var str=$(this).attr("value");
		 if(str==DotName){
			 $(this).remove();
		 }
	  }); 
  }
 
  
  
  //添加
  var addFinancialCash=function(){
	  var reg= /^[1-9]*[1-9][0-9]*$/;
	  var str=[];
	  $("#Financial_enczhibankdiv a").each(function(){
		 stri=$(this).attr("value");
		 str.push(stri);
	  }); 
	  var encname=str.join(",");
	  var exdate=$.trim($("#Financial_exdate").val());
	  var cash_100=$.trim($("#Financial_cash_100").val());
	  var cash_50=$.trim($("#Financial_cash_50").val());
	  var cash_20=$.trim($("#Financial_cash_20").val());
	  var cash_10=$.trim($("#Financial_cash_10").val());
	  var cash_5=$.trim($("#Financial_cash_5").val());
	  var cash_1=$.trim($("#Financial_cash_1").val());
	  var coin_10=$.trim($("#Financial_coin_10").val());
	  var coin_5=$.trim($("#Financial_coin_5").val());
	  var coin_1=$.trim($("#Financial_coin_1").val());
	  var coin_10s=$.trim($("#Financial_coin_10s").val());
	  var coin_5s=$.trim($("#Financial_coin_5s").val());
	  var coin_1s=$.trim($("#Financial_coin_1s").val());
	  
	  if(encname=="" || encname == null || encname =="null"){
		  $.toast("网点名称不能为空！");
		  return;
	  }
	  if(cash_100 == 0 && cash_50 == 0  && cash_20 == 0 && cash_10 == 0 && cash_5 == 0 && cash_1 == 0 && coin_10 == 0 && coin_5 == 0 && coin_1 == 0){
		  $.toast("请输入加钞数量");
		  return;
	  }
	  if(!reg.test(cash_100) && cash_100!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(cash_50) && cash_50!=0){
		  $.toast("请输入正整数！");
		  return;
	  }if(!reg.test(cash_20) && cash_20!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(cash_10) && cash_10!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(cash_5) && cash_5!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(cash_1) && cash_1!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_10) && coin_10!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_5) && coin_5!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_1) && coin_1!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_10s) && coin_10s!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_5s) && coin_5s!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(!reg.test(coin_1s) && coin_1s!=0){
		  $.toast("请输入正整数！");
		  return;
	  }
	  if(cash_100 == ""){
		  cash_100=0;
	  }
	  if(cash_50 == ""){
		  cash_50=0;
	  }
	  if(cash_20 == ""){
		  cash_20=0;
	  }
	  if(cash_10 == ""){
		  cash_10=0;
	  }
	  if(cash_5 == ""){
		  cash_5=0;
	  }
	  if(cash_1 == ""){
		  cash_1=0;
	  }
	  if(coin_10 == ""){
		  coin_10=0;
	  }
	  if(coin_5 == ""){
		  coin_5=0;
	  }
	  if(coin_1 == ""){
		  coin_1=0;
	  }
	  if(coin_10s == ""){
		  coin_10s=0;
	  }
	  if(coin_5s == ""){
		  coin_5s=0;
	  }
	  if(coin_1s == ""){
		  coin_1s=0;
	  }
	  
	var countmoney=Number(cash_100*100)+Number(cash_50*50)+Number(cash_20*20)+Number(cash_10*10)+Number(cash_5*5)+Number(cash_1)+Number(coin_10)+Number(coin_5)+Number(coin_1)+Number(coin_10s*50)+Number(coin_5s*50/2)+Number(coin_1s*50/10);
	  
	$.modal({
      text: '总金额为：'+countmoney+',确认提交么？',
      buttons: [
        {
          text: '确认',
          onClick: function() {
        	//传参
    	    var param = {
    	      'encname': encname,
    	      'exdate':exdate,
    	      'fcstarts':1,
    	      'superior_fcid':'',
    	      'rz100':cash_100,
    	      'rz50':cash_50,
    	      'rz20':cash_20,
    	      'rz10':cash_10,
    	      'rz5':cash_5,
    	      'rz1':cash_1,
    	      'ry10':coin_10,
    	      'ry5':coin_5,
    	      'ry1':coin_1,
    	      'rcy10':coin_10s,
    	      'rcy5':coin_5s,
    	      'rcy1':coin_1s,
    	    };
    		  //开启进度条
    	    $.showIndicator();
    	    $.ajax({
    		    type : "POST",
    		    url: basePath + "addFinancialCash",
    		    data: param,
    		    success: function(data){
    		        //关闭进度条
    		        $.hideIndicator();
    		        var error=data.error;
    		        if("undefined" != typeof(error)){
    		          HYX.util.error(error);
    		          return;
    		        }    
    		        if(data.flag){
    		          HYX.encFinancialcash.getfindDotName();
    		          $.toast("提交成功！总金额："+countmoney+"元");
    		        }else{
    		          $.toast(data.content);
    		        }    
    		    },
    		    timeout:15000,
    		    error:function(XMLHttpRequest, textStatus, errorThrown){
    		      $.hideIndicator();
    		      if(textStatus == "timeout"){
    		        $.toast("获取超时");
    		      }else{
    		    	  HYX.util.error('error');
    		      }
    		    }
    		 });  
          }
        },
        {
          text: '取消'
        }
      ]
    })
  }
  
  
  var zesuan=function(){
	  $("#Financial_cash_100").blur(function(){
		  var cash_100=$.trim($("#Financial_cash_100").val());
		  $("#Financial_cash_100").prev().html("");
		  $("#Financial_cash_100").prev().html(cash_100*100+"元");
	  });
	  $("#Financial_cash_50").blur(function(){
		  var cash_50=$.trim($("#Financial_cash_50").val());
		  $("#Financial_cash_50").prev().html("");
		  $("#Financial_cash_50").prev().html(cash_50*50+"元");
	  });
	  $("#Financial_cash_20").blur(function(){
		  var cash_20=$.trim($("#Financial_cash_20").val());
		  $("#Financial_cash_20").prev().html("");
		  $("#Financial_cash_20").prev().html(cash_20*20+"元");
	  });
	  $("#Financial_cash_10").blur(function(){
		  var cash_10=$.trim($("#Financial_cash_10").val());
		  $("#Financial_cash_10").prev().html("");
		  $("#Financial_cash_10").prev().html(cash_10*10+"元");
	  });
	  $("#Financial_cash_5").blur(function(){
		  var cash_5=$.trim($("#Financial_cash_5").val());
		  $("#Financial_cash_5").prev().html("");
		  $("#Financial_cash_5").prev().html(cash_5*5+"元");
	  });
	  $("#Financial_cash_1").blur(function(){
		  var cash_1=$.trim($("#Financial_cash_1").val());
		  $("#Financial_cash_1").prev().html("");
		  $("#Financial_cash_1").prev().html(cash_1+"元");
	  });
	  $("#Financial_coin_10").blur(function(){
		  var coin_10=$.trim($("#Financial_coin_10").val());
		  $("#Financial_coin_10").prev().html("");
		  $("#Financial_coin_10").prev().html(coin_10+"元");
	  });
	  $("#Financial_coin_5").blur(function(){
		  var coin_5=$.trim($("#Financial_coin_5").val());
		  $("#Financial_coin_5").prev().html("");
		  $("#Financial_coin_5").prev().html(coin_5/2+"元");
	  });
	  $("#Financial_coin_1").blur(function(){
		  var coin_1=$.trim($("#Financial_coin_1").val());
		  $("#Financial_coin_1").prev().html("");
		  $("#Financial_coin_1").prev().html(coin_1/10+"元");
	  });
	  $("#Financial_coin_10s").blur(function(){
		  var coin_10s=$.trim($("#Financial_coin_10s").val());
		  $("#Financial_coin_10s").prev().html("");
		  $("#Financial_coin_10s").prev().html(coin_10s*50+"元");
	  });
	  $("#Financial_coin_5s").blur(function(){
		  var coin_5s=$.trim($("#Financial_coin_5s").val());
		  $("#Financial_coin_5s").prev().html("");
		  $("#Financial_coin_5s").prev().html(coin_5s*50/2+"元");
	  });
	  $("#Financial_coin_1s").blur(function(){
		  var coin_1s=$.trim($("#Financial_coin_1s").val());
		  $("#Financial_coin_1s").prev().html("");
		  $("#Financial_coin_1s").prev().html(coin_1s*50/10+"元");
	  });
	  
  }
  
  
  
  var Reset=function(){
	  $("#Financial_cash_100").val("");
	  $("#Financial_cash_50").val("");
	  $("#Financial_cash_20").val("");
	  $("#Financial_cash_10").val("");
	  $("#Financial_cash_5").val("");
	  $("#Financial_cash_1").val("");
	  $("#Financial_coin_10").val("");
	  $("#Financial_coin_5").val("");
	  $("#Financial_coin_1").val("");
	  $("#Financial_coin_10s").val("");
	  $("#Financial_coin_5s").val("");
	  $("#Financial_coin_1s").val("");
	  $("#Financial_cash_100").prev().html("");
	  $("#Financial_cash_50").prev().html("");
	  $("#Financial_cash_20").prev().html("");
	  $("#Financial_cash_10").prev().html("");
	  $("#Financial_cash_5").prev().html("");
	  $("#Financial_cash_1").prev().html("");
	  $("#Financial_coin_10").prev().html("");
	  $("#Financial_coin_5").prev().html("");
	  $("#Financial_coin_1").prev().html("");
	  $("#Financial_coin_10s").prev().html("");
	  $("#Financial_coin_5s").prev().html("");
	  $("#Financial_coin_1s").prev().html("");
  }
  
  
  
  return {
	  goToencFinancialcashPage : goToencFinancialcashPage,
	  initencFinancialcashPageTime:initencFinancialcashPageTime,
	  loadOwnEncPageData:loadOwnEncPageData,
	  getfindDotName:getfindDotName,
	  changefindDotName:changefindDotName,
	  deletefindDotName:deletefindDotName,
	  addFinancialCash:addFinancialCash,
	  zesuan:zesuan,
	  Reset:Reset
  };
})();
