/**
 * 登录页面JS
 */
HYX.namespace("loginPage");
HYX.loginPage = (function() {
  
 /**
   * 前往登录界面
   */
  var goToLoginPageMethod=function(){
    if(null != userInfo){
        HYX.adminIndex.goToadminIndexMethod();
        return;
    }
    $.router.loadPage("#loginPage");
    $("#loginPage_user_name1").val("");
    $("#loginPage_user_password1").val("");
  };

  /**
   * 登录功能
   */
  var login = function() {
    //帐号
    var loginPage_user_name = $.trim($("#loginPage_user_name1").val());
    //密码
    var loginPage_user_password = $.trim($("#loginPage_user_password1").val());

    if (null == loginPage_user_name || loginPage_user_name == "" || typeof (loginPage_user_name) == "undefined") 	{
      $.toast("帐号为空");
      return;
    }

    if (null == loginPage_user_password || loginPage_user_password == "" || typeof (loginPage_user_password) == "undefined") {
      $.toast("密码为空");
      return;
    }
    
    //传参
    var param = {
      'user_Account': loginPage_user_name,
      'user_Password': loginPage_user_password
    };
    // 开启进度条
    $.showIndicator();
    $.ajax({
      type : "get",
      dataType : "jsonp",
      url: basePath + "login",
      jsonp : "callback",
      data : param,
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
          //关闭进度条
          $.hideIndicator();
          if(!data.flag){
            $.toast(data.messgae);
            return;
          }
          userInfo=data.content;
          HYX.adminIndex.goToadminIndexMethod();
      },
      timeout : 15000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
        $.hideIndicator();
        if (textStatus == "timeout") {
          $.toast("登录超时");
        } else {
          $.toast("登录失败,请重试");
        }
      }
    });
  };
  
  return {
    login: login,
    goToLoginPageMethod : goToLoginPageMethod
  };
})();

