/**
 * 主页JS
 */
HYX.namespace("mainPage");
HYX.mainPage = (function() {

  
  /**
   * 跳向主页需要执行的方法
   */
  var goToMainPageMethod=function(userSs){
	  if(userSs=="true"){
		  $('#introduct_v7').show();
	  }
	  $.router.loadPage("#mainPage");
	  HYX.mainPage.initMainPageData();
	  HYX.mainPage.loadingMainPageContentData();
	  HYX.mainPage.initSwiper();
	  HYX.mainPage.initMainPageMessge();
  };
  
  /**
   * 图片滚动
   */
  var swiper=null;
  var initSwiper=function(){
  	//带参数初始化
  	if(swiper == null){
  		swiper = new Swiper('.swiper-container', {
  			initialSlide:0,
  			pagination: '.swiper-pagination',
  			paginationClickable: true,
  			spaceBetween: 30,
  			centeredSlides: true,
  			autoplay: 2500,
  			autoplayDisableOnInteraction: false
  		});
  	}else{
  		swiper.stopAutoplay();
  		setTimeout("HYX.mainPage.swiperfunc()",1000);
  	}
  }

  var swiperfunc=function(){
  	swiper.startAutoplay();	
  }
  
  
  /**
   * 图标点击事件
   */
  var mouseDown=function(data){
	  if(data === 1){
		  //动态密码
		  goToOwnEncPage();
		}else if(data === 2){
		  //运行状态
          goToOwnEncMapPage();
		}else if(data === 3){
		  //数据分析
		  HYX.tdaEncPage.goToTdaEncPageMethod();
		}else if(data === 4){
		  //联系我们
		  HYX.mainPage.gotocontactus();
		}else if(data === 6){
		  //冠字号查询
		  HYX.gzhSeach.goToTdaEncOneAreaDetailPage();
		}else if(data === 7){
		  HYX.shaoshiAddMoneyPage.goToshaoshiAddMoneyPage();
		}
		else if(data === 8){
		  //HYX.shaoshiAddMoneyPage.goToshaoshiAddMoneyPage();
		  HYX.encFinancialcash.goToencFinancialcashPage();
		}
		else if(data === 9){
		  //HYX.shaoshiAddMoneyPage.goToshaoshiAddMoneyPage();
		  HYX.encNotecollectionCount.goToencNotecollectionCountPage();
		}
		else if(data === 10){
		  //HYX.shaoshiAddMoneyPage.goToshaoshiAddMoneyPage();
		  HYX.encFaultwarning.goToencFaultwarningPage();
		}
  };
  
  /**
   * 一键拨打
   */
  var servicesPagePlayTelPhone=function(){
	  //var myreg = /(^(0[0-9]{2,3}\-)?([2-9][0-9]{6,7})+(\-[0-9]{1,4})?$)|(^((\(\d{3}\))|(\d{3}\-))?(1[358]\d{9})$)/;
	  //var telnumber=document.getElementById('clearingservice_telphone1').innerText;
	  var telnumber="17783827167";
	  if(null != telnumber && telnumber != ""){
	    var url='tel://' + telnumber;
	    window.location.href = url; 
	  }else{
	    $.toast("无效号码");
	  }
	};
  
  
  
  /**
   * 联系我们
   */
  var gotocontactus=function(){
	  $.modal({
	    text: '<img src="img/lianxi_03.png" style="margin-top:-3.5rem;width:3.5rem;height:3.5rem;"/>'+
	    	  '<div style="float:left;height:1rem;line-height:1rem;width:100%;margin-top:-1.5rem;"><span style="float:right;cursor:pointer;"  onclick="HYX.mainPage.closemodal()">×</span></div>'+
	          '<div style="font-size:0.6rem;border-bottom: 1px solid gray;text-align: left;color:#FF0000;"><img src="img/logo.png" style="width:0.8rem;height:0.8rem;margin-right:0.2rem;"/>德明序-金融设备服务运营商</br>官网：www.chinahyx.net</br>硬币动动：www.dmxcsc.com</div>'+
	          '<div style="font-size:0.6rem;border-bottom: 1px solid gray;text-align: left;padding-top:0.25rem;"><div style="color:#FF0000;">重庆德明序地址:</div><div style="float:left">重庆市渝中区上清寺美专校街66号鑫隆达大厦A座13F</div></div>'+
	          '<div style="font-size:0.6rem;border-bottom: 1px solid gray;text-align: left;padding-top:0.25rem;"><div style="color:#FF0000;">四川德明序地址:</div><div style="float:left">四川省成都市高新区吉瑞三路99号环球时代中心1栋2单元2404</div></div>'+
	          '<div style="font-size:0.6rem;text-align: left;margin-top:0.3rem;"><div style="color:#FF0000;">技术服务热线:</div><div style=""><input type="button" style="width:90%;display:block;height：0.8rem;font-size:0.8rem;background:#FF0000;border:0px;color:#fff;border-radius:0.2rem;margin:auto;" onclick="HYX.mainPage.servicesPagePlayTelPhone()" value="一键拨打" /></div></div>'
	  })
  }
  
  /**
   * 关闭modal
   */
  var closemodal=function(){
	  $.closeModal();
  }
  
  
  /**
   * 渲染数据
   */
  var initMainPageData=function(){
    var user_nick=userInfo.user_nick;
    if(null == user_nick || "undefined" == typeof(user_nick) || "null" == user_nick || "" == user_nick){
      user_nick="硬币之家管家";
    }
    $("#own_user_nick").text(user_nick);
  };
  
  
  /*
   * 冠字号搜索
   * */
  
  var mySeach = function(){
	  
  }
  
  
  /**
   * 初始化主页上的退出按钮
   */
  var initMainPageBtnExit=function(){
	  var buttons1 = [{
		text: '退出',
		bold: true,
		bg: 'primary',
		color: '#fff',
		onClick: function() {
		  //退出方法
		  //ajax方法JSONP方法
		  // 开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      dataType : "jsonp",
	      url: basePath + "exit",
	      jsonp : "callback",
	      jsonpCallback : "success_jsonpCallback",
	      success : function(data) {
	          //关闭进度条
	          $.hideIndicator();
	          var error=data.error;
	          if("undefined" != typeof(error)){
	            HYX.util.error(error);
	            return;
	          }
	          if(!data.flag){
	            $.toast(data.messgae);
	            return;
	          }
	          //切换帐号
	          HYX.loginPage.goToLoginPageMethod();
	          $.toast("退出成功!");
	      },
	      timeout : 15000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	        $.hideIndicator();
	        if(textStatus == "timeout") {
	          $.toast("退出超时");
	        }else{
	          $.toast("退出失败,请重试");
	        }
	      }
	    });
		}
	  }];
	  var buttons2 = [{
		text: '取消'
	  }];
//	  var buttons3 = [{
//		text: '修改密码',
//		bold: true,
//		bg: 'primary',
//		onClick:function(){
//			// 弹出修改页面
//			HYX.modifyPwdPage.goToModifyPwdPageMethod();
//		}
//	  }];
	  var groups = [buttons1,buttons2];
	  $.actions(groups);
  };
  
  /**
   * 请求数据,获取权限信息
   */
  var loadingMainPageContentData=function(){
    // 开启进度条
    $.showIndicator();
    $.ajax({
      type : "get",
      dataType : "jsonp",
      url: basePath + "main",
      jsonp : "callback",
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
          //关闭进度条
          $.hideIndicator();
          var error=data.error;
          if("undefined" != typeof(error)){
            HYX.util.error(error);
            return;
          }
          if(!data.flag){
            $.toast(data.messgae);
            return;
          }
          var k=-1;
          var content=data.content;
          if(content.PWD == "YES"){
            k=1;
            $("#ownEncPage_li").show();
          }else if(content.PWD == "NO"){
            $("#ownEncPage_li").hide();
          }
          var enc=content.ENC;
          if(null != enc && enc.length != 0){
            k=1;
            encIds=enc;
            $("#ownEncMapPage_li").show();
          }else{
            encIds=new Array();
            $("#ownEncMapPage_li").hide();
          }
          
          if(k === -1){
            $.toast("未有权限,请联系管理员");
          }
      },
      timeout : 15000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
        $.hideIndicator();
        if (textStatus == "timeout") {
          $.toast("获取超时");
        } else {
        	HYX.util.error('error');
        }
      }
    });
  };
  
  /**
   * 退出
   */
  var tuichu=function() {
	  HYX.mainPage.initMainPageBtnExit();
  };
  
  
  /**
   * 消息提示
   */
  var initMainPageMessge=function(){
	  
	   $.ajax({
	      type : "post",
	      url: basePath + "findEncNews",
	      success : function(data) {
	          if(data.flag == true){
	        	  $('.in_email span').show().html(data.content.length);
	          }
	      },
	      timeout : 15000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	    	 
	      }
	    });
  	};
  
  
  var shiyong=function(){
	  $.modal({
	      text: '<div style="height:8rem;"><div id="countdown"></div>'+
	      		'<p id="note"></p></div>'
	  });
	  var note = $('#note'),
		ts = new Date(2012, 0, 1),newYear = true;
	
		if((new Date()) > ts){
			// The new year is here! Count towards something else.
			// Notice the *1000 at the end - time must be in milliseconds
			//(new Date(userInfo.date.replace(/-/g,"/"))).getTime()-(new Date()).getTime()
			var timer=new Date(Date.parse((userInfo.date).replace(/-/g, "/"))).getTime()-(new Date()).getTime();
			ts = (new Date()).getTime()+timer;
			newYear = false;
		}
			
		$('#countdown').countdown({
			timestamp	: ts,
			callback	: function(days, hours, minutes, seconds){
				var message = "";
				message += "距试用到期 <br />";
				message += days + " 天 " + ( days==1 ? '':'' ) + "";
				message += hours + " 时 " + ( hours==1 ? '':'' ) + "";
				message += minutes + " 分" + ( minutes==1 ? '':'' ) + " ";
				message += seconds + " 秒" + ( seconds==1 ? '':'' ) + "";
				note.html(message);
			}
	});
  }
  
  
  return {
	initSwiper:initSwiper,
	swiperfunc:swiperfunc,
	gotocontactus:gotocontactus,
	mouseDown:mouseDown,
	closemodal:closemodal,
	servicesPagePlayTelPhone:servicesPagePlayTelPhone,
    initMainPageBtnExit: initMainPageBtnExit,
    loadingMainPageContentData: loadingMainPageContentData,
    goToMainPageMethod:goToMainPageMethod,
    initMainPageData:initMainPageData,
    tuichu:tuichu,
    shiyong:shiyong,
    initMainPageMessge:initMainPageMessge
  };
  
  
  
})();