/**
 * 运行状态
 */
HYX.namespace("ownEncMapPage");
HYX.ownEncMapPage = (function() {
	var data_info="";  //全局数据
	var normalNum = "";  //正常台数
	var addNum = "";  //缺钞台数
	var errNum = "";  //故障台数
	var loadContData = new Array;   //组合数据
	/**
	 * 前往登录界面
	 */
	var goToOwnEncMapPageMethod=function(bid){
		$.router.loadPage("#ownEncMapPage");
		var conmtHei = $('.conmt_top').height();
		$('.content_head').css('margin-top',conmtHei);
		HYX.ownEncMapPage.removeOwnEncinput(); //验证账号密码
		
		HYX.ownEncMapPage.loadRefresh();  //下拉刷新方法
		/*HYX.ownEncMapPage.loadInfinite();  //上拉加载方法*/
	};
	
	//清空数据列表
	var removeOwnEncinput = function(){
		//初始化清空列表
		loadContData.length = 0;
		$('#own_EncMap_searchContent').val('');
		$('#ownEncMapPage_list').html('');
		$('#ownEncallNormalArray').html("正常：0台");
		$('#ownEncallAddArray').html("缺钞：0台");
		$('#ownEncallErrArray').html("故障：0台");
		HYX.ownEncMapPage.getOwnEncMapPageDataBaseData(); //查询状态数据
	}
	
	
	
	
	
	//查询状态数据
	var getOwnEncMapPageDataBaseData = function(){
		//开启进度条
	  	$.showIndicator();
	  	$.ajax({
	  		type : "get",
	  		dataType : "jsonp",
	  		url : basePath + "getEncYuEA",
	  		data:{bid:"0"},
	  		jsonp : "callback",
	  		jsonpCallback : "success_jsonpCallback",
	  		success: function(data) {
	  			//关闭进度条
	  			$.hideIndicator();
	  			var error=data.error;
		        if("undefined" != typeof(error)){
		        	HYX.util.error(error);
		        	return;
		        }
		        if(!data.flag){
					$.toast(data.messgae);
					$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					return;
				}
	  			if(data.content.add.length==0 && data.content.err.length==0 && data.content.normal.length==0){
	  				$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	  				$.toast('暂无数据');
	    			return;
	  			}
	  			//查询设备台数
				if(data.content.normal == null && data.content.add == null && data.content.err == null){
					$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					$.toast("暂无设备！");
					return;
				}
				if(data.content.normal == 'null' && data.content.add == 'null' && data.content.err == 'null'){
					$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					$.toast("暂无设备！");
					return;
				}
				if(typeof(data.content.normal.length) == 'undefined' && typeof(data.content.add.length) == 'undefined' && typeof(data.content.err.length) == 'undefined'){
					$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					$.toast("暂无设备！");
					return;
				}
  				data_info = data.content;
	  			HYX.ownEncMapPage.getOwnEncMapClass(data.content);
	  			normalNum = data.content.normal;  //正常台数
	  			addNum = data.content.add;  //缺钞台数
	  			errNum = data.content.err;  //故障台数
	  			loadContData.length = 0;
	  			loadContData = loadContData.concat(normalNum);
	  			loadContData = loadContData.concat(addNum);
	  			loadContData = loadContData.concat(errNum);
	  		}, 
	  		timeout:15000,
	  		error:function(XMLHttpRequest, textStatus, errorThrown){
	  			$.hideIndicator();
	  			if(textStatus == "timeout"){
	  				$.toast("获取超时");
	  			}else{
	  				$.toast("获取失败,请重试");
	  			}
	  		}
	  	});
	};
	
	//数据分类
	var getOwnEncMapClass = function(data){
		HYX.ownEncMapPage.screenEncdata('all','');
	};
	
	//点击正常，缺钞，故障进行分类
	var screenEncdata = function(screenId,searchDta){
		$('#ownEncMapPage_list').html('');
		var html = "";
		var src = "";
		var newNormal = new Array();  //声明数组保存查询出来的数据
		var newAdd = new Array();
		var newErr = new Array();
		if(searchDta!=""){
			var nnew = 0;
			var anew = 0;
			var enew = 0;
			for(var i = 0;i<normalNum.length;i++){
				if(normalNum[i].devid.indexOf(searchDta)>-1 || normalNum[i].encbank.indexOf(searchDta)>-1 || normalNum[i].encregion.indexOf(searchDta)>-1 || normalNum[i].encurbandistrict.indexOf(searchDta)>-1){
					newNormal[nnew] = normalNum[i];
					nnew++;
				}
			}
			for(var i = 0;i<addNum.length;i++){
				if(addNum[i].devid.indexOf(searchDta)>-1 || addNum[i].encbank.indexOf(searchDta)>-1 || addNum[i].encregion.indexOf(searchDta)>-1 || addNum[i].encurbandistrict.indexOf(searchDta)>-1){
					newAdd[anew] = addNum[i];
					anew++;
				}
			}
			for(var i = 0;i<errNum.length;i++){
				if(errNum[i].devid.indexOf(searchDta)>-1 || errNum[i].encbank.indexOf(searchDta)>-1 || errNum[i].encregion.indexOf(searchDta)>-1 || errNum[i].encurbandistrict.indexOf(searchDta)>-1){
					newErr[enew] = errNum[i];
					enew++;
				}
			}
		}else{
			newNormal = data_info.normal;
			newAdd = data_info.add;
			newErr = data_info.err;
		}
		
		$('#ownEncallNormalArray').html("正常："+newNormal.length+"台");
		$('#ownEncallAddArray').html("缺钞："+newAdd.length+"台");
		$('#ownEncallErrArray').html("故障："+newErr.length+"台");
		//关闭进度条
		$.hideIndicator();
		if(screenId=="normal"){
			//正常数据
			for(var i = 0;i<newNormal.length;i++){
				if(null == newNormal[i].img || "null" ==  newNormal[i].img || "undefined" == typeof(newNormal[i].img) || "" == $.trim(newNormal[i].img)){
					src="img/s_login_ENC-100.png";
				}else{
					src="img/"+newNormal[i].img+"";
				}
				html+='<div class="s_cont" onclick="HYX.ownEncMapPage.loadUrlPage(\''+newNormal[i].devid+'\');">';
				html+='<div class="s_cont_top">';
				html+='<div class="s_cont_left">';
				html+='<img src='+src+'>';
				html+='<span style="background-color: #8dc63f;"></span>';
				html+='</div>';
				html+='<div class="s_cont_mid">';
				html+='<label class="encMap_address" style="font-size:1rem;">'+newNormal[i].encbank+'</label>';
				html+='<span class="encMap_span"><a class="encMap_name">'+newNormal[i].devid+'</a>'+newNormal[i].brand+'</span>';
				html+='<label class="encMap_address">'+newNormal[i].location_info+'</label>';
				html+='<span class="encMap_time">'+newNormal[i].inserttime+'</span>';
				html+='</div>';
				html+='<img src="img/i-list-chevron-right.png" class="ownEncShow"/>';
				html+='</div>';
				html+='</div>';
			}
		}else if(screenId=="add"){
			//缺钞设备
			for(var i = 0;i<newAdd.length;i++){
				if(null == newAdd[i].img || "null" ==  newAdd[i].img || "undefined" == typeof(newAdd[i].img) || "" == $.trim(newAdd[i].img)){
					src="img/s_login_ENC-100.png";
				}else{
					src="img/"+newAdd[i].img+"";
				}
				html+='<div class="s_cont" onclick="HYX.ownEncMapPage.loadUrlPage(\''+newAdd[i].devid+'\');">';
				html+='<div class="s_cont_top">';
				html+='<div class="s_cont_left">';
				html+='<img src='+src+'>';
				html+='<span style="background-color: #898989;"></span>';
				html+='</div>';
				html+='<div class="s_cont_mid">';
				html+='<label class="encMap_address" style="font-size:1rem;">'+newAdd[i].encbank+'</label>';
				html+='<span class="encMap_span"><a class="encMap_name">'+newAdd[i].devid+'</a>'+newAdd[i].brand+'</span>';
				html+='<label class="encMap_address">'+newAdd[i].location_info+'</label>';
				html+='<span class="encMap_time">'+newAdd[i].inserttime+'</span>';
				html+='</div>';
				html+='<img src="img/i-list-chevron-right.png" class="ownEncShow"/>';
				html+='</div>';
				html+='</div>';
			}
		}else if(screenId=="err"){
			//故障设备
			for(var i = 0;i<newErr.length;i++){
				if(null == newErr[i].img || "null" ==  newErr[i].img || "undefined" == typeof(newErr[i].img) || "" == $.trim(newErr[i].img)){
					src="img/s_login_ENC-100.png";
				}else{
					src="img/"+newErr[i].img+"";
				}
				html+='<div class="s_cont" onclick="HYX.ownEncMapPage.loadUrlPage(\''+newErr[i].devid+'\');">';
				html+='<div class="s_cont_top">';
				html+='<div class="s_cont_left">';
				html+='<img src='+src+'>';
				html+='<span style="background-color: #ff6633;"></span>';
				html+='</div>';
				html+='<div class="s_cont_mid">';
				html+='<label class="encMap_address" style="font-size:1rem;">'+newErr[i].encbank+'</label>';
				html+='<span class="encMap_span"><a class="encMap_name">'+newErr[i].devid+'</a>'+newErr[i].brand+'</span>';
				html+='<label class="encMap_address">'+newErr[i].location_info+'</label>';
				html+='<span class="encMap_time">'+newErr[i].inserttime+'</span>';
				html+='</div>';
				html+='<img src="img/i-list-chevron-right.png" class="ownEncShow"/>';
				html+='</div>';
				html+='</div>';
			}
		}else{
			for(var i=0;i<newNormal.length;i++){
				newNormal[i].state = 'normal';
			}
			for(var i=0;i<newAdd.length;i++){
				newAdd[i].state = 'add';
			}
			for(var i=0;i<newErr.length;i++){
				newErr[i].state = 'err';
			}
			var data_zh = newNormal;
			data_zh = data_zh.concat(newAdd);
			data_zh = data_zh.concat(newErr);
			for(var i = 0;i<data_zh.length;i++){
				if(null == data_zh[i].img || "null" ==  data_zh[i].img || "undefined" == typeof(data_zh[i].img) || "" == $.trim(data_zh[i].img)){
					src="img/s_login_ENC-100.png";
				}else{
					src="img/"+data_zh[i].img+"";
				}
				
				html+='<div class="s_cont" onclick="HYX.ownEncMapPage.loadUrlPage(\''+data_zh[i].devid+'\');">';
				html+='<div class="s_cont_top">';
				html+='<div class="s_cont_left">';
				html+='<img src='+src+'>';
				if(data_zh[i].state == 'normal'){
					html+='<span style="background-color: #8dc63f;"></span>';
				}else if(data_zh[i].state == 'add'){
					html+='<span style="background-color: #898989;"></span>';
				}else{
					html+='<span style="background-color: #ff6633;"></span>';
				}
				html+='</div>';
				html+='<div class="s_cont_mid">';
				html+='<label class="encMap_address" style="font-size:1rem;">'+data_zh[i].encbank+'</label>';
				html+='<span class="encMap_span"><a class="encMap_name">'+data_zh[i].devid+'</a>'+data_zh[i].brand+'</span>';
				html+='<label class="encMap_address">'+data_zh[i].location_info+'</label>';
				html+='<span class="encMap_time">'+data_zh[i].inserttime+'</span>';
				html+='</div>';
				html+='<img src="img/i-list-chevron-right.png" class="ownEncShow"/>';
				html+='</div>';
				html+='</div>';
			}
		}
		if(html==""){
			$.toast("暂无数据");
			$('#ownEncMapPage_list').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
		}else{
			$('#ownEncMapPage_list').html(html);
		}
		
	};
	
	//点击进入列表页面
	var loadUrlPage = function(bid){
		HYX.ownEncContMapPage.loadownEncContMapPage(loadContData,bid);
	};
	
	//点击筛选
	var sxscreenEncdata = function(bid,e){
		$(e).addClass('cur').siblings().removeClass('cur');
		var searchDta = $.trim($("#own_EncMap_searchContent").val()); //获取搜索值
		HYX.ownEncMapPage.screenEncdata(bid,searchDta);
	};
	
	//搜索数据接口
	var seachEncMapPage = function(state){
		//开启进度条
		$.showIndicator();
		var searchDta = $.trim($("#own_EncMap_searchContent").val()); //获取搜索值
		if(state == undefined || state == "undefined"){
			state == "all";
		}
		HYX.ownEncMapPage.screenEncdata(state,searchDta);
	};
	
	//下拉刷新
	var loadRefresh = function(){
		var state;
		$(document).on('refresh', '#ownEncMapPage .pull-to-refresh-content',function(e) {
			$('.ownEncMapPageLinecount div').each(function(){
				if($(this).hasClass("cur")){
					state = $(this).attr('bid');
				}
			})
		    setTimeout(function() {
		    	HYX.ownEncMapPage.seachEncMapPage(state);
		        // done
		        $.pullToRefreshDone('#ownEncMapPage .pull-to-refresh-content');
		    }, 2000);
		});
	};
	
	//上拉加载
	var loadInfinite = function(){
		var loading = false;
	    var maxItems = 100;
	    var itemsPerLoad = 5;
	    function addItems(number, lastIndex) {
            var html = '';
            for (var i = lastIndex + 1; i <= lastIndex + number; i++) {
            	html += '<div class="s_cont">' +
			                '<div class="s_cont_top">' +
			                '<div class="s_cont_left">' +
			                  '<img src="img/s_login_ENC-100.png">' +
			                      '<span style="background-color: #8dc63f;"></span>'+
			                  '</div>' +
			                '<div class="s_cont_mid">' +
			            '<span class="encMap_span"><a class="encMap_name">光荣</a>CDJSYH1586</span>'+
			            '<label class="encMap_address">四川省绵阳市建设银行江油纪念碑分理处</label>'+
			            '<span class="encMap_time">2018-08-16 14:50:28</span>'+
			            '</div>'+
			            '</div>'+
			            '</div>';
            }
            $('#ownEncMapPage_list').append(html);

        }
	    addItems(itemsPerLoad, 0);
	    var lastIndex = 20;
	    $(document).on('infinite', '.infinite-scroll',function(){
	        // 如果正在加载，则退出
	        if (loading) return;
	        // 设置flag
	        loading = true;
	        setTimeout(function() {
	            loading = false;
	            if (lastIndex >= maxItems) {
	                $.detachInfiniteScroll($('.infinite-scroll'));
	                $('.infinite-scroll-preloader').remove();
	                return;
	            }
	            addItems(itemsPerLoad, lastIndex);
	            lastIndex = $('#ownEncMapPage_list .s_cont').length;
	        }, 1000);
	    });
	};
	
	return {
		goToOwnEncMapPageMethod: goToOwnEncMapPageMethod,
		loadRefresh:loadRefresh,
		loadInfinite:loadInfinite,
		getOwnEncMapPageDataBaseData:getOwnEncMapPageDataBaseData,
		getOwnEncMapClass:getOwnEncMapClass,
		screenEncdata:screenEncdata,
		seachEncMapPage:seachEncMapPage,
		sxscreenEncdata:sxscreenEncdata,
		loadOwnEncPageData:loadOwnEncPageData,
		loadUrlPage:loadUrlPage,
		removeOwnEncinput:removeOwnEncinput
	};
})();

