/**
 * 加钞详细页面
 */
HYX.namespace("tdaEncAddMoneyAreaDetailPage");
HYX.tdaEncAddMoneyAreaDetailPage = (function() {
  var pageNumber; //初始化保存当前页数
  var tdaEncAddMoneyAreaDetailPage_total=new Array();
  
  var goToAddMoneyAreaDetailPage=function(){
  	$.router.loadPage("#tdaEncAddMoneyAreaDetailPage");
  	pageNumber = 1;  //初始化当前页数
	HYX.tdaEncAddMoneyAreaDetailPage.initTdaEncOneAreaDetailPageTime();
	HYX.tdaEncAddMoneyAreaDetailPage.initEncOneAreaDetailPage();
	HYX.tdaEncAddMoneyAreaDetailPage.setTdaEncOneAreaDetailPage(0,0);
	HYX.tdaEncAddMoneyAreaDetailPage.removeSearchEncOneAreaDetailPage();
  };
  
  //初始化时间控件
  var initTdaEncOneAreaDetailPageTime=function(){
  	$("#firstTime_jc").val("");
	$("#firstTime_jc").calendar({
		monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
    	dayNamesShort:['日','一','二','三','四','五','六']
	});
	$("#lastTime_jc").val("");
	$("#lastTime_jc").calendar({
		monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
    	dayNamesShort:['日','一','二','三','四','五','六']
	});
	var liHei = $('.list_y_le').width();
	var whei = $(window).width();
	//$('.gzhData_gd').css('width',whei-liHei);
  };
  
  //清空数据
  var removeSearchEncOneAreaDetailPage=function(){
  	$("#tdaEncAddMoneyAreaDetailPage_searchContent").val("");
	$("#firstTime_jc").val("");
	$("#lastTime_jc").val("");
	
	HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
  };
  
  var searchEncOneDetail=function(){
	HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
  };
  
  /**
   * page：第几页
   * 
   */ 
  var loadTdaEncOneAreaDetailData=function(page){
	  $("#tdaEncAddMoneyAreaDetailPage_devid").html("");
	  	$("#tdaEncAddMoneyAreaDetailPage_content").html("");
  	tdaEncAddMoneyAreaDetailPage_total=new Array();
  	
  	var tdaEncAddMoneyAreaDetailPage_start=$.trim($("#firstTime_jc").val());
	var tdaEncAddMoneyAreaDetailPage_end=$.trim($("#lastTime_jc").val());
	
	if("undefined" == typeof(tdaEncAddMoneyAreaDetailPage_start) || null == tdaEncAddMoneyAreaDetailPage_start || "" == tdaEncAddMoneyAreaDetailPage_start){
		tdaEncAddMoneyAreaDetailPage_start="";
	}
	
	if("undefined" == typeof(tdaEncAddMoneyAreaDetailPage_end) || null == tdaEncAddMoneyAreaDetailPage_end || "" == tdaEncAddMoneyAreaDetailPage_end){
		var myDate=new Date();
		tdaEncAddMoneyAreaDetailPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+(myDate.getDate());
	}
	
	var start=new Date(tdaEncAddMoneyAreaDetailPage_start.replace("-", "/").replace("-", "/"));
	var end=new Date(tdaEncAddMoneyAreaDetailPage_end.replace("-", "/").replace("-", "/"));
	
	if(end < start){
		$.toast("开始日期大于结束日期");
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
		return;
	}
	var tdaEncAddMoneyAreaDetailPage_searchContent=$.trim($("#tdaEncAddMoneyAreaDetailPage_searchContent").val());
	
	if(null == tdaEncAddMoneyAreaDetailPage_searchContent || "null" == tdaEncAddMoneyAreaDetailPage_searchContent || "undefined" == typeof(tdaEncAddMoneyAreaDetailPage_searchContent)){
		tdaEncAddMoneyAreaDetailPage_searchContent="";
	}
  	var param={
		"start" : tdaEncAddMoneyAreaDetailPage_start,//开始时间
		"end" : tdaEncAddMoneyAreaDetailPage_end,//结束时间
		"searchContent" : tdaEncAddMoneyAreaDetailPage_searchContent, //搜索内容
		"page":page, //页数
		"rows": 10 //每页显示10条数据
	};
	// 开启进度条
    $.showIndicator();
    $.ajax({
      type : "get",
      dataType : "jsonp",
      url: basePath + "getTdaAddMoneyRegionAreaDetailRegion",
      jsonp : "callback",
      data : param,
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
          //关闭进度条
          $.hideIndicator();
          var error=data.error;
          if("undefined" != typeof(error)){
            HYX.util.error(error);
            return;
          }
          if(!data.flag){
            $.toast(data.messgae);
            $('#jcsjFenye').hide();
      	  	$('#jcsjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
            return;
          }
          
          var dataList=data.content.data;
          var pagTtotal=data.content.total;
          if(dataList.length > 0 && dataList != null && dataList != 'null' && typeof(dataList.length) != 'undefined'){
        	  $('#jcsjFenye').show();
        	  $('#jcsjNull').html('');
        	  HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
              tdaEncAddMoneyAreaDetailPage_total=data.content.totalAddMoney;
              HYX.tdaEncAddMoneyAreaDetailPage.setTdaEncOneAreaDetailLineDate(dataList);
              HYX.tdaEncAddMoneyAreaDetailPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
          }else{
        	  $.toast("未查询到相关数据");
        	  $('#jcsjFenye').hide();
        	  $('#jcsjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
          }
          pageNumber = page;  //当前页数复制给全局变量保存
      },
      timeout : 9000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
        $.hideIndicator();
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
        if (textStatus == "timeout") {
          $.toast("获取超时");
        } else {
        	$.toast("获取失败,请重试");
        }
      }
    });
	
  };
  
  /**
   * 设置列表数据
   * 
   * 
   */
  var setTdaEncOneAreaDetailLineDate=function(dataList){

  	var tdaEncAddMoneyAreaDetailPage_data_html = "";
  	var tdaEncAddMoneyAreaDetailPage_devid_html = "";
	  	
  	if(null != dataList && dataList.length != 0){
  		for(var i=0;i<dataList.length;i++){
  			
  			//---start 列表数据
  			tdaEncAddMoneyAreaDetailPage_data_html+='<tr>' +
  					'<td>'+dataList[i].encregion+'</td>' + //地区
  					'<td>'+dataList[i].bank+'</td>' + //银行
 					'<td>'+dataList[i].encdot+'</td>' + //支行
  					'<td>'+dataList[i].con+'</td>' + //加钞次数
  					'<td>'+HYX.tdaEncAddMoneyAreaDetailPage.getjl(dataList[i].con,dataList[i].days)+'</td>' + //加钞率
  					'<td>'+dataList[i].enc+'</td>' + //机身编码
  					'</tr>';
  			//---end
  			
  			tdaEncAddMoneyAreaDetailPage_devid_html += '<tr><td>'+dataList[i].enc+'</td></tr>';
  		}
  	}
  	
  	$("#tdaEncAddMoneyAreaDetailPage_content").html(tdaEncAddMoneyAreaDetailPage_data_html);
  	//$("#tdaEncAddMoneyAreaDetailPage_devid").html(tdaEncAddMoneyAreaDetailPage_devid_html);
  };
  
  var daysBetween = function (sDate1,sDate2){
	//Date.parse() 解析一个日期时间字符串，并返回1970/1/1 午夜距离该日期时间的毫秒数
	var time1 = Date.parse(new Date(sDate1));
	var time2 = Date.parse(new Date(sDate2));
	var nDays = Math.abs(parseInt((time2 - time1)/1000/3600/24));
	return nDays;
	};
  
  /**
   * 获取几率
   */
  var getjl=function(con,days){
	 var jlv = con/days;
	 
	 if(jlv>1){
		 jlv = 1;
	 }
	 
	 jlv = (jlv.toFixed(2)) * 100;
	 jlv = jlv.toFixed(2);
  	 return jlv+"%";
  };
  
  /**
   * 获取哪一年哪一个月的天数
   */
  var mGetDate=function(year, month){
    var d = new Date(year, month, 0);
    return d.getDate();
  };
  
  /**
   * 设置分页的数据
   */
  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
  	$("#tdaEncAddMoneyAreaDetailPage_xiye").val(page);
  	$("#tdaEncAddMoneyAreaDetailPage_mo").text(Math.ceil(Number(pagTtotal)/10));
  };
  
  /**
   * 设置翻页
   */
  var scrolltop=function(top){
  	var hei=25*top-25;
	$("#tdaEncAddMoneyAreaDetailPage_xab").scrollTop(hei);
  };
  
  /**
   * 分页请求选择
   */
  var fl=function(p1,p2){
  	$("#tdaEncAddMoneyAreaDetailPage_xiye").empty();
	$("#tdaEncAddMoneyAreaDetailPage_xiye").html(p1);//给显示的页数赋值
	HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(p1);
  };
  
  /**
   * 设置分页数,以及设置初始化
   */
  var initEncOneAreaDetailPage=function(){
    if(tdaEncAddMoneyAreaDetailPage_flag){
       tdaEncAddMoneyAreaDetailPage_flag=false;
    	//设置首页点击事件
  	$("#tdaEncAddMoneyAreaDetailPage_first").click(function(){
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(1);
		var v=document.getElementById("tdaEncAddMoneyAreaDetailPage_xiye");
		if(Number(v.value) === 1){
            HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
			return;
		}
		v.value=1;
		HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(1);
		HYX.tdaEncAddMoneyAreaDetailPage.scrolltop(v.value);
	});
	
	//设置点击莫页事件
	$("#tdaEncAddMoneyAreaDetailPage_last").click(function(){
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(1);
		var v=document.getElementById("tdaEncAddMoneyAreaDetailPage_xiye");
		var l=document.getElementById("tdaEncAddMoneyAreaDetailPage_mo");
		if(Number(v.value) === Number(l.innerHTML)){
            HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
			return; 
		}
		v.value=l.innerHTML;
		HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
		HYX.tdaEncAddMoneyAreaDetailPage.scrolltop(v.value);
	});
	
	//设置上一页点击事件
	$("#tdaEncAddMoneyAreaDetailPage_top").click(function(){
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(1);
		var v=document.getElementById("tdaEncAddMoneyAreaDetailPage_xiye");
		var num=v.value;
		if(num>1){
			num--;
			v.value=num;
			HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.tdaEncAddMoneyAreaDetailPage.scrolltop(v.value);
	    }else{
	     HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
	    }
	});
	
	//设置下一页点击事件
	$("#tdaEncAddMoneyAreaDetailPage_down").click(function(){
        HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(1);
		var pages=parseInt($("#tdaEncAddMoneyAreaDetailPage_mo").html());//获取当前的总页数
		var v=$("#tdaEncAddMoneyAreaDetailPage_xiye");
		var num=parseInt(v.val());
		if(num < pages){
			num = ++num;
			v.val(num);
			HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(num);
			HYX.tdaEncAddMoneyAreaDetailPage.scrolltop(num);
        }else{
          HYX.tdaEncAddMoneyAreaDetailPage.disableEnableBtn(2);
        }
	});
	
	
	//点击跳转
	$("#tdaEncAddMoneyAreaDetailPage_jump").click(function(){
		var pagenum = $.trim($('#tdaEncAddMoneyAreaDetailPage_xiye').val());
		var maxpage = $('#tdaEncAddMoneyAreaDetailPage_mo').html();
		if(pagenum == ""){
			$.toast("请输入跳转页");
			return;
		}
		if(parseInt(pagenum)>parseInt(maxpage)){
			$.toast("请输入正确页数");
			$('#tdaEncAddMoneyAreaDetailPage_xiye').val(pageNumber);
			return;
		}
		if(isNaN(pagenum)){
			$.toast("请输入正确页数");
			return;
		}
		HYX.tdaEncAddMoneyAreaDetailPage.loadTdaEncOneAreaDetailData(pagenum); 
	});
    }
  };
                               
  var disableEnableBtn=function(state){
	   if(state === 1){
	     $("#tdaEncAddMoneyAreaDetailPage_first").attr("disabled","disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_last").attr("disabled","disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_top").attr("disabled","disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_down").attr("disabled","disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_xifenye").attr("disabled","disabled");
	   }else if(state === 2){
	     $("#tdaEncAddMoneyAreaDetailPage_first").removeAttr("disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_last").removeAttr("disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_top").removeAttr("disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_down").removeAttr("disabled");
	     $("#tdaEncAddMoneyAreaDetailPage_xifenye").removeAttr("disabled");
	   }
  };

  
  
  
  return {
	goToAddMoneyAreaDetailPage : goToAddMoneyAreaDetailPage,
    initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
    searchEncOneDetail : searchEncOneDetail,
    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
    scrolltop:scrolltop,
    fl:fl,
    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
    disableEnableBtn:disableEnableBtn,
    mGetDate:mGetDate,
    getjl:getjl,
    daysBetween:daysBetween
  };
})();

