/**
 * 空机率分析-列表数据展示
 */
HYX.namespace("tdaEncEmptyAreaDetailPage");
HYX.tdaEncEmptyAreaDetailPage = (function() {
	
	var pageNumber; //初始化保存当前页数
	
	var tdaEncEmptyAreaDetailPage_total = {
	  	"TotalTaiNumber":0,
	  	"TotalUseNumber":0,
	  	"TotalKjNumber":0
	};
	  
	  
	var tdaEncEmptyAreaDetailPage_dataList=new Array();
	/**
	 * 跳往空机率页面
	 * region 地区
	 * detail 银行
	 */
	var geToTdaEncEmptyAreaDetailPageMethod=function(){
		$.router.loadPage("#tdaEncEmptyAreaDetailPage");
		pageNumber = 1;  //初始化当前页数
		var liHei = $('.list_y_le').width();
		var whei = $(window).width();
		//$('.gzhData_gd').css('width',whei-liHei);
		HYX.tdaEncEmptyAreaDetailPage.refreshEncDetailPage();
	};
	//初始化时间控件
	var initTdaEncOneAreaDetailPageTime=function(){
		$("#firstTime_xz").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
  	    $("#lastTime_xz").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
	};
	//刷新方法
	var refreshEncDetailPage = function(){
		var liHei = $('.list_y_le').width();
		var whei = $(window).width();
		//$('.gzhData_gd').css('width',whei-liHei);
		HYX.tdaEncEmptyAreaDetailPage.removeSearchEncOneAreaDetailPage();   //清空数据
    	HYX.tdaEncEmptyAreaDetailPage.initTdaEncOneAreaDetailPageTime();   //初始化时间控件
      	//分页
      	HYX.tdaEncEmptyAreaDetailPage.initEncEmptyAreaDetailPage();
      	
      	HYX.tdaEncEmptyAreaDetailPage.setTdaEncOneAreaDetailPage(0,0);
      	
    	
	};
	//清空搜索栏，时间
	var removeSearchEncOneAreaDetailPage=function(){
		$('#tdaEncEmptyAreaDetailPage_devid').html("");
		$('#tdaEncEmptyAreaDetailPageLineDateId').html("");
		$("#tdaEncEmptyAreaDetailPage_searchContent").val("");
		$("#firstTime_xz").val("");
		$("#lastTime_xz").val("");
		
		HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	};
	//搜索方法
	var searchEncOneDetail=function(){
		$('#tdaEncEmptyAreaDetailPage_devid').html("");
		$('#tdaEncEmptyAreaDetailPageLineDateId').html("");
		HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	};
	  
	  /**
	   * 设置分页的数据
	   */
	  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#tdaEncEmptyAreaDetailPage_xiye").val(page);
	  	$("#tdaEncEmptyAreaDetailPage_mo").text(Math.ceil(Number(pagTtotal)/10));
	  };
	  
	  /**
	   * 设置翻页
	   */
	  var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#tdaEncEmptyAreaDetailPage_xab").scrollTop(hei);
	  };
	  
	  /**
	   * 分页请求选择
	   */
	  var fl=function(p1,p2){
	  	$("#tdaEncEmptyAreaDetailPage_xiye").empty();
		$("#tdaEncEmptyAreaDetailPage_xiye").html(p1);//给显示的页数赋值
		HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(p1);
	  };
	  
	  /**
	   * 设置分页数,以及设置初始化
	   */
	  var initEncEmptyAreaDetailPage=function(){
	    if(tdaEncEmptyAreaDetailPage_flag){
	       tdaEncEmptyAreaDetailPage_flag=false;
	    	//设置首页点击事件
	  	$("#tdaEncEmptyAreaDetailPage_first").click(function(){
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncEmptyAreaDetailPage_xiye");
			if(Number(v.value) === 1){
	            HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
				return;
			}
			v.value=1;
			HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(1);
			HYX.tdaEncEmptyAreaDetailPage.scrolltop(v.value);
		});
		
		//设置点击莫页事件
		$("#tdaEncEmptyAreaDetailPage_last").click(function(){
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncEmptyAreaDetailPage_xiye");
			var l=document.getElementById("tdaEncEmptyAreaDetailPage_mo");
			if(Number(v.value) === Number(l.innerHTML)){
	            HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
				return; 
			}
			v.value=l.innerHTML;
			HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.tdaEncEmptyAreaDetailPage.scrolltop(v.value);
		});
		
		//设置上一页点击事件
		$("#tdaEncEmptyAreaDetailPage_top").click(function(){
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncEmptyAreaDetailPage_xiye");
			var num=v.value;
			if(num>1){
				num--;
				v.value=num;
				HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.tdaEncEmptyAreaDetailPage.scrolltop(v.value);
		    }else{
		     HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
		    }
		});
		
		//设置下一页点击事件
		$("#tdaEncEmptyAreaDetailPage_down").click(function(){
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(1);
			var pages=parseInt($("#tdaEncEmptyAreaDetailPage_mo").html());//获取当前的总页数
			var v=$("#tdaEncEmptyAreaDetailPage_xiye");
			var num=parseInt(v.val());
			if(num < pages){
				num = ++num;
				v.val(num);
				HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(num);
				HYX.tdaEncEmptyAreaDetailPage.scrolltop(num);
	        }else{
	          HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
	        }
		});
		
		//点击跳转
		$("#tdaEncEmptyAreaDetailPage_jump").click(function(){
			var pagenum = $.trim($('#tdaEncEmptyAreaDetailPage_xiye').val());
			var maxpage = $('#tdaEncEmptyAreaDetailPage_mo').html();
			if(pagenum == ""){
				$.toast("请输入跳转页");
				return;
			}
			if(parseInt(pagenum)>parseInt(maxpage)){
				$.toast("请输入正确页数");
				$('#tdaEncEmptyAreaDetailPage_xiye').val(pageNumber);
				return;
			}
			if(isNaN(pagenum)){
				$.toast("请输入正确页数");
				return;
			}
			HYX.tdaEncEmptyAreaDetailPage.loadTdaEncOneAreaDetailData(pagenum);
		});
		
	    }
	  };
	                               
	  var disableEnableBtn=function(state){
		   if(state === 1){
		     $("#tdaEncEmptyAreaDetailPage_first").attr("disabled","disabled");
		     $("#tdaEncEmptyAreaDetailPage_last").attr("disabled","disabled");
		     $("#tdaEncEmptyAreaDetailPage_top").attr("disabled","disabled");
		     $("#tdaEncEmptyAreaDetailPage_down").attr("disabled","disabled");
		     $("#tdaEncEmptyAreaDetailPage_xifenye").attr("disabled","disabled");
		   }else if(state === 2){
		     $("#tdaEncEmptyAreaDetailPage_first").removeAttr("disabled");
		     $("#tdaEncEmptyAreaDetailPage_last").removeAttr("disabled");
		     $("#tdaEncEmptyAreaDetailPage_top").removeAttr("disabled");
		     $("#tdaEncEmptyAreaDetailPage_down").removeAttr("disabled");
		     $("#tdaEncEmptyAreaDetailPage_xifenye").removeAttr("disabled");
		   }
	  };
	  
	  /**
	   * page：第几页
	   * 
	   */ 
	  var loadTdaEncOneAreaDetailData=function(page){
	  	
	  	tdaEncEmptyAreaDetailPage_dataList=new Array();
	  	
	  	tdaEncEmptyAreaDetailPage_total = {
	  		"TotalTaiNumber":0,
	  		"TotalUseNumber":0,
	  		"TotalKjNumber":0
	  	};
	  	
	  	var tdaEncEmptyAreaDetailPage_start=$.trim($("#firstTime_xz").val());
		var tdaEncEmptyAreaDetailPage_end=$.trim($("#lastTime_xz").val());
		
		if("undefined" == typeof(tdaEncEmptyAreaDetailPage_start) || null == tdaEncEmptyAreaDetailPage_start || "" == tdaEncEmptyAreaDetailPage_start){
			tdaEncEmptyAreaDetailPage_start="1999-9-9";
		}
		
		if("undefined" == typeof(tdaEncEmptyAreaDetailPage_end) || null == tdaEncEmptyAreaDetailPage_end || "" == tdaEncEmptyAreaDetailPage_end){
			var myDate=new Date();
			tdaEncEmptyAreaDetailPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+(myDate.getDate());
		}
		
		var start=new Date(tdaEncEmptyAreaDetailPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(tdaEncEmptyAreaDetailPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
			return;
		}
		var tdaEncEmptyAreaDetailPage_searchContent=$.trim($("#tdaEncEmptyAreaDetailPage_searchContent").val());
		
		if(null == tdaEncEmptyAreaDetailPage_searchContent || "null" == tdaEncEmptyAreaDetailPage_searchContent || "undefined" == typeof(tdaEncEmptyAreaDetailPage_searchContent)){
			tdaEncEmptyAreaDetailPage_searchContent="";
		}
	  	var param={
			"start" : tdaEncEmptyAreaDetailPage_start,//开始时间
			"end" : tdaEncEmptyAreaDetailPage_end,//结束时间
			"searchContent" : tdaEncEmptyAreaDetailPage_searchContent, //搜索内容
			"page": page, //页数
			"rows" : 10 //每页显示10条数据    
		};
		// 开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      dataType : "jsonp",
	      url: basePath + "getTdaEncEmptyDetailPage",
	      jsonp : "callback",
	      data : param,
	      jsonpCallback : "success_jsonpCallback",
	      success : function(data) {
	          //关闭进度条
	          $.hideIndicator();
	          var error=data.error;
	          if("undefined" != typeof(error)){
	            HYX.util.error(error);
	            return;
	          }
	          if(!data.flag){
	            $.toast(data.messgae);
	            $('#xzlFenye').hide();
	        	$('#xzlNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	            return;
	          }
	          
	          if(data.content.data.list.length>0 && typeof(data.content.data.list.length) != 'undefined' && data.content.data.list != null && data.content.data.list != 'null'){
	        	  $('#xzlFenye').show();
	        	  $('#xzlNull').html('');
	        	  HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
	 	         
		          var dataList=data.content.data.list;
		          tdaEncEmptyAreaDetailPage_dataList=dataList;
		          var pagTtotal=data.content.data.total;
		          
		          tdaEncEmptyAreaDetailPage_total = {
				  		"TotalTaiNumber":data.content.TotalTaiNumber,
				  		"TotalUseNumber":data.content.TotalUseNumber,
				  		"TotalKjNumber":data.content.TotalKjNumber
				  };
				  //总时间段数据
				  var TotalTimeNumber=data.content.TotalTimeNumber;
		          HYX.tdaEncEmptyAreaDetailPage.setTdaEncOneAreaDetailLineDate(dataList);
		          HYX.tdaEncEmptyAreaDetailPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
	          }else{
	        	  $.toast("未查询到相关数据");
	        	  $('#xzlFenye').hide();
	        	  $('#xzlNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	          }
	          pageNumber = page;  //当前页数复制给全局变量保存
	          
	      },
	      timeout : 35000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	        $.hideIndicator();
	        HYX.tdaEncEmptyAreaDetailPage.disableEnableBtn(2);
	        if (textStatus == "timeout") {
	        	$.toast("获取超时");
	        } else {
	        	$.toast("获取失败,请重试");
	        }
	      }
	    });
		
	  };
	  
	  
	  /**
	   * 渲染列表数据
	   */
	  var setTdaEncOneAreaDetailLineDate=function(dataList){
	  	var tdaEncEmptyAreaDetailPage_data_html = "";
	  	var tdaEncEmptyAreaDetailPage_devid = "";
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			var nulljl=parseInt(parseFloat(dataList[i].nulljl)*100)+"%";
	  			//---start 列表数据
	  			tdaEncEmptyAreaDetailPage_data_html+='<tr>' +
	  					'<td>'+dataList[i].encregion+'</td>' + 
	  					'<td>'+dataList[i].encbank+'</td>' + 
	 					'<td>'+dataList[i].encdot+'</td>' + 
	  					'<td>'+dataList[i].con+'</td>' + 
	  					'<td>'+nulljl+'</td>' + 
	  					'<td>'+dataList[i].devid+'</td>' + 
	  					'</tr>';
	  			//---end
	  			tdaEncEmptyAreaDetailPage_devid += '<tr><td>'+dataList[i].devid+'</td></tr>'
	  		}
	  	}
	  	$("#tdaEncEmptyAreaDetailPageLineDateId").html(tdaEncEmptyAreaDetailPage_data_html);
	  	//$("#tdaEncEmptyAreaDetailPage_devid").html(tdaEncEmptyAreaDetailPage_devid);
	  };
	
	return {
		geToTdaEncEmptyAreaDetailPageMethod : geToTdaEncEmptyAreaDetailPageMethod,
		initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    disableEnableBtn:disableEnableBtn,
	    refreshEncDetailPage:refreshEncDetailPage,
	    initEncEmptyAreaDetailPage:initEncEmptyAreaDetailPage
	};
})();
