/**
 * 长短款数据详细分析
 */
HYX.namespace("tdaEncLengthAreaPage");
HYX.tdaEncLengthAreaPage = (function() {
	var pageNumber; //初始化保存当前页数
	var devid = "";
	var tdaEncLengthAreaPage_flag = true;
	var tdaEncLengthAreaPage_total=new Array();
	var tdaEncLengthAreaPage_start = '';
	var tdaEncLengthAreaPage_end = '';
	var goTotdaEncLengthAreaPage=function(bid){
		$.router.loadPage("#tdaEncLengthAreaPage");
		var pageNumber; //初始化保存当前页数
		devid = bid;
		HYX.tdaEncLengthAreaPage.initTdaEncOneAreaDetailPageTime();
		HYX.tdaEncLengthAreaPage.initEncOneAreaDetailPage();
		HYX.tdaEncLengthAreaPage.setTdaEncOneAreaDetailPage(0,0);
		HYX.tdaEncLengthAreaPage.removeSearchEncOneAreaDetailPage();
	};
	  
	//初始化时间控件
	var initTdaEncOneAreaDetailPageTime=function(){
	  	$("#firstTime_cdk").val("");
		$("#firstTime_cdk").calendar({
			monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
	    	dayNamesShort:['日','一','二','三','四','五','六']
		});
		$("#lastTime_cdk").val("");
		$("#lastTime_cdk").calendar({
			monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
	    	dayNamesShort:['日','一','二','三','四','五','六']
		});
		var liHei = $('.list_y_le').width();
		var whei = $(window).width();
		$('.gzhData_gd_width').css('width',whei);
	};
	  
	//清空数据
	var removeSearchEncOneAreaDetailPage=function(){
		HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(1); 
	};
	  
	/**
	 * page：第几页
	 * 
	 */ 
	var loadTdaEncOneAreaDetailData=function(page){
		$("#tdaEncLengthAreaPage_devid").html("");
		$("#tdaEncLengthAreaPage_content").html("");
	  	tdaEncLengthAreaPage_total=new Array();
	  	
	  	tdaEncLengthAreaPage_start=$.trim($("#firstTime_cdk").val());
		tdaEncLengthAreaPage_end=$.trim($("#lastTime_cdk").val());
		
		if("undefined" == typeof(tdaEncLengthAreaPage_start) || null == tdaEncLengthAreaPage_start || "" == tdaEncLengthAreaPage_start){
			tdaEncLengthAreaPage_start="1999-09-09";
		}
		
		if("undefined" == typeof(tdaEncLengthAreaPage_end) || null == tdaEncLengthAreaPage_end || "" == tdaEncLengthAreaPage_end){
			var myDate=new Date();
			tdaEncLengthAreaPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+(myDate.getDate());
		}
		
		var start=new Date(tdaEncLengthAreaPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(tdaEncLengthAreaPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
			return;
		}
		var tdaEncLengthAreaPage_searchContent=$.trim($("#tdaEncLengthAreaPage_searchContent").val());
		
		if(null == tdaEncLengthAreaPage_searchContent || "null" == tdaEncLengthAreaPage_searchContent || "undefined" == typeof(tdaEncLengthAreaPage_searchContent)){
			tdaEncLengthAreaPage_searchContent="";
		}
	  	var param={
			"startDate" : tdaEncLengthAreaPage_start,//开始时间
			"endDate" : tdaEncLengthAreaPage_end,//结束时间
			"devid":devid,
			"page": page, //页数
			"rows" : 15 //每页显示15条数据
		};
		// 开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      url: basePath + "getIsNullLongShort",
	      data : param,
	      dataType : "jsonp",
	      jsonp : "callback",
	      jsonpCallback : "success_jsonpCallback",
	      success : function(data) {
	          //关闭进度条
	          $.hideIndicator();
	          var error=data.error;
	          if("undefined" != typeof(error)){
	        	  HYX.util.error(error);
	        	  return;
	          }
	          if(!data.flag || data.content.list == null || data.content.list == 'null' || data.content.list.length == 0 || typeof(data.content.list.length) == 'undefined'){
	        	  $.toast("未查询到相关数据");
	        	  $('#cdk1Fenye').hide();
	        	  $('#cdk1Null').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	        	  return;
	          }else{
	        	  var dataList=data.content.list;
		          var pagTtotal=data.content.total;
	        	  $('#cdk1Fenye').show();
	        	  $('#cdk1Null').html('');
	        	  HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
	              tdaEncLengthAreaPage_total=data.content.totalAddMoney;
	              HYX.tdaEncLengthAreaPage.setTdaEncOneAreaDetailLineDate(dataList);
	              HYX.tdaEncLengthAreaPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
	          }
	          pageNumber = page;  //当前页数复制给全局变量保存
	      },
	      timeout : 9000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	    	  $.hideIndicator();
	    	  HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
	    	  if (textStatus == "timeout") {
	    		  $.toast("获取超时");
	    	  }else{
	    		  $.toast("获取失败,请重试");
	    	  }
	      }
	  });
		
	};
	  
	  
	  /**
	   * 设置列表数据
	   * 
	   * 
	   */
	  var setTdaEncOneAreaDetailLineDate=function(dataList){

	  	var tdaEncLengthAreaPage_data_html = "";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			//---start 列表数据
	  			tdaEncLengthAreaPage_data_html+=
	  				"<tr>"
					+"<td>"+ dataList[i].totaldepositamount +"</td>"
					+"<td>"+ dataList[i].totalwithdrawalamount +"</td>"
					+"<td>"+ dataList[i].nrdate +"</td>"
					+"<td>" + dataList[i].rz100 +"</td>"
					+"<td>" + dataList[i].cz100 +"</td>"
					+"<td>" + dataList[i].rz50 +"</td>"
					+"<td>" + dataList[i].cz50 +"</td>"
					+"<td>" + dataList[i].rz20 +"</td>"
					+"<td>" + dataList[i].cz20 +"</td>"
					+"<td>" + dataList[i].rz10 +"</td>"
					+"<td>" + dataList[i].cz10 +"</td>"
					+"<td>" + dataList[i].rz5 +"</td>"
					+"<td>" + dataList[i].cz5 +"</td>"
					+"<td>" + dataList[i].rz1 +"</td>"
					+"<td>" + dataList[i].cz1 +"</td>"
					+"<td>" + dataList[i].ry10 +"</td>"
					+"<td>" + dataList[i].cy10 +"</td>"
					+"<td>" + dataList[i].ry5 +"</td>"
					+"<td>" + dataList[i].cy5 +"</td>"
					+"<td>" + dataList[i].ry1 +"</td>"
					+"<td>" + dataList[i].cy1 +"</td>"
					+"<td>" + dataList[i].ccj10 +"</td>"
					+"<td>" + dataList[i].ccj5 +"</td>"
					+"<td>" + dataList[i].ccj1 +"</td></tr>";
	  			//---end
	  			
	  		}
	  	}
	  	
	  	$("#tdaEncLengthAreaPage_content").html(tdaEncLengthAreaPage_data_html);
	  };
	  
	  
	  /**
	   * 获取哪一年哪一个月的天数
	   */
	  var mGetDate=function(year, month){
	    var d = new Date(year, month, 0);
	    return d.getDate();
	  };
	  
	  /**
	   * 设置分页的数据
	   */
	  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#tdaEncLengthAreaPage_xiye").val(page);
	  	$("#tdaEncLengthAreaPage_mo").text(Math.ceil(Number(pagTtotal)/15));
	  };
	  
	  /**
	   * 设置翻页
	   */
	  var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#tdaEncLengthAreaPage_xab").scrollTop(hei);
	  };
	  
	  /**
	   * 分页请求选择
	   */
	  var fl=function(p1,p2){
	  	$("#tdaEncLengthAreaPage_xiye").empty();
		$("#tdaEncLengthAreaPage_xiye").html(p1);//给显示的页数赋值
		HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(p1);
	  };
	  
	  /**
	   * 设置分页数,以及设置初始化
	   */
	  var initEncOneAreaDetailPage=function(){
	    if(tdaEncLengthAreaPage_flag){
	       tdaEncLengthAreaPage_flag=false;
	    	//设置首页点击事件
	  	$("#tdaEncLengthAreaPage_first").click(function(){
	        HYX.tdaEncLengthAreaPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncLengthAreaPage_xiye");
			if(Number(v.value) === 1){
	            HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
				return;
			}
			v.value=1;
			HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(1);
			HYX.tdaEncLengthAreaPage.scrolltop(v.value);
		});
		
		//设置点击莫页事件
		$("#tdaEncLengthAreaPage_last").click(function(){
	        HYX.tdaEncLengthAreaPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncLengthAreaPage_xiye");
			var l=document.getElementById("tdaEncLengthAreaPage_mo");
			if(Number(v.value) === Number(l.innerHTML)){
	            HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
				return; 
			}
			v.innervalueHTML=l.innerHTML;
			HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.tdaEncLengthAreaPage.scrolltop(v.value);
		});
		
		//设置上一页点击事件
		$("#tdaEncLengthAreaPage_top").click(function(){
	        HYX.tdaEncLengthAreaPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncLengthAreaPage_xiye");
			var num=v.value;
			if(num>1){
				num--;
				v.value=num;
				HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.tdaEncLengthAreaPage.scrolltop(v.value);
		    }else{
		     HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
		    }
		});
		
		//设置下一页点击事件
		$("#tdaEncLengthAreaPage_down").click(function(){
	        HYX.tdaEncLengthAreaPage.disableEnableBtn(1);
			var pages=parseInt($("#tdaEncLengthAreaPage_mo").html());//获取当前的总页数
			var v=$("#tdaEncLengthAreaPage_xiye");
			var num=parseInt(v.val());
			if(num < pages){
				num = ++num;
				v.val(num);
				HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(num);
				HYX.tdaEncLengthAreaPage.scrolltop(num);
	        }else{
	          HYX.tdaEncLengthAreaPage.disableEnableBtn(2);
	        }
		});
		
		
		//点击跳转
		$("#tdaEncLengthAreaPage_jump").click(function(){
			var pagenum = $.trim($('#tdaEncLengthAreaPage_xiye').val());
			var maxpage = $('#tdaEncLengthAreaPage_mo').html();
			if(pagenum == ""){
				$.toast("请输入跳转页");
				return;
			}
			if(parseInt(pagenum)>parseInt(maxpage)){
				$.toast("请输入正确页数");
				$('#tdaEncLengthAreaPage_xiye').val(pageNumber);
				return;
			}
			if(isNaN(pagenum)){
				$.toast("请输入正确页数");
				return;
			}
			HYX.tdaEncLengthAreaPage.loadTdaEncOneAreaDetailData(pagenum); 
		});
	    }
	  };
	                               
	  var disableEnableBtn=function(state){
		   if(state === 1){
		     $("#tdaEncLengthAreaPage_first").attr("disabled","disabled");
		     $("#tdaEncLengthAreaPage_last").attr("disabled","disabled");
		     $("#tdaEncLengthAreaPage_top").attr("disabled","disabled");
		     $("#tdaEncLengthAreaPage_down").attr("disabled","disabled");
		     $("#tdaEncLengthAreaPage_xifenye").attr("disabled","disabled");
		   }else if(state === 2){
		     $("#tdaEncLengthAreaPage_first").removeAttr("disabled");
		     $("#tdaEncLengthAreaPage_last").removeAttr("disabled");
		     $("#tdaEncLengthAreaPage_top").removeAttr("disabled");
		     $("#tdaEncLengthAreaPage_down").removeAttr("disabled");
		     $("#tdaEncLengthAreaPage_xifenye").removeAttr("disabled");
		   }
	  };
	
 
  
  
  return {
	  goTotdaEncLengthAreaPage : goTotdaEncLengthAreaPage,
	  initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    disableEnableBtn:disableEnableBtn,
	    mGetDate:mGetDate
  };
})();
