/**
 * 详细页面
 */
HYX.namespace("tdaEncOneAreaDetailPage");
HYX.tdaEncOneAreaDetailPage = (function() {
	var pageNumber; //初始化保存当前页数
	var tdaEncOneAreaDetailPage_region="";
	var tdaEncOneAreaDetailPage_detail="";
	var tdaEncOneAreaDetailPage_total=new Array();
	var todayflag = '';
	
	//进入详情页面加载方法
	var goToTdaEncOneAreaDetailPage=function(today){
		pageNumber = 1;  //初始化当前页数
		//判断是否是今日交易数据
		if(today == "today"){
			todayflag = today;
		}
  		$.router.loadPage("#tdaEncOneAreaDetailPage");
  		HYX.tdaEncOneAreaDetailPage.refreshEncDetailPage();
  	    
	};
	
	//刷新方法
	var refreshEncDetailPage = function(){
		var liHei = $('.list_y_le').width();
  	    var whei = $(window).width();
  	    /*$('.gzhData_gd').css('width',whei-liHei);*/
  	    
    	HYX.tdaEncOneAreaDetailPage.initTdaEncOneAreaDetailPageTime();   //初始化时间控件
    	HYX.tdaEncOneAreaDetailPage.initEncOneAreaDetailPage();   //分页
    	HYX.tdaEncOneAreaDetailPage.setTdaEncOneAreaDetailPage(0,0);   //设置分页数据
  	
    	HYX.tdaEncOneAreaDetailPage.removeSearchEncOneAreaDetailPage();   //清空数据
	};
	
	//初始化时间控件
	var initTdaEncOneAreaDetailPageTime=function(){
		$("#firstTime_jy").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
  	    $("#lastTime_jy").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
	};
	
	//清空搜索栏，时间
	var removeSearchEncOneAreaDetailPage=function(){
		$('#tdaEncOneAreaDetailPage_devid').html("");
		$('#tdaEncOneAreaDetailPageLineDateId').html("");
		$("#tdaEncOneAreaDetailPage_searchContent").val("");
		$("#firstTime_jy").val("");
		$("#lastTime_jy").val("");
		$('#cunEncOnezongmum').html(0);
		$('#quEncOnezongmum').html(0);
		HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	};
	
	//搜索方法
	var searchEncOneDetail=function(){
		todayflag = '';
		HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	};
	
	
	
	/**
	 * page：第几页
	 * 
	 */ 
	var loadTdaEncOneAreaDetailData=function(page){
		$("#tdaEncOneAreaDetailPageLineDateId").html('');
	  	$("#tdaEncOneAreaDetailPage_devid").html('');
		
	  	tdaEncOneAreaDetailPage_total=new Array();
	  	
	  	var tdaEncOneAreaDetailPage_start=$.trim($("#firstTime_jy").val());
		var tdaEncOneAreaDetailPage_end=$.trim($("#lastTime_jy").val());
		
		if("undefined" == typeof(tdaEncOneAreaDetailPage_start) || null == tdaEncOneAreaDetailPage_start || "" == tdaEncOneAreaDetailPage_start){
			tdaEncOneAreaDetailPage_start="1999-9-9";
		}
		
		if("undefined" == typeof(tdaEncOneAreaDetailPage_end) || null == tdaEncOneAreaDetailPage_end || "" == tdaEncOneAreaDetailPage_end){
			var myDate=new Date();
			tdaEncOneAreaDetailPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+myDate.getDate();
		}
		
		var start=new Date(tdaEncOneAreaDetailPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(tdaEncOneAreaDetailPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
			return;
		}
		
		var tdaEncOneAreaDetailPage_searchContent=$.trim($("#tdaEncOneAreaDetailPage_searchContent").val());
		
		if(null == tdaEncOneAreaDetailPage_searchContent || "null" == tdaEncOneAreaDetailPage_searchContent || "undefined" == typeof(tdaEncOneAreaDetailPage_searchContent)){
			tdaEncOneAreaDetailPage_searchContent="";
		}
		
		//判断是否今日交易数据
		if(todayflag == 'today'){
			var today = HYX.tdaEncOneAreaDetailPage.getNowFormatDate();
			tdaEncOneAreaDetailPage_start = today;
			tdaEncOneAreaDetailPage_end = today;
			$('#firstTime_jy,#lastTime_jy').val(today);
			todayflag = '';
		}
		
	  	var param={
			"startDate" : tdaEncOneAreaDetailPage_start,//开始时间
			"endDate" : tdaEncOneAreaDetailPage_end,//结束时间
			"searchValuesParam" : tdaEncOneAreaDetailPage_searchContent, //搜索内容
			"pageNum": page, //页数
			"rows" : 10 //每页显示10条数据
		};
	  	
		// 开启进度条
		//by宇
	    $.showIndicator();
	    $.ajax({
	    	type : "get",
	    	url: basePath + "getEncchangeByCondition",
		    data : param,
		    dataType : "jsonp",
			jsonp : "callback",
	  		jsonpCallback : "success_jsonpCallback",
	    	success : function(data) {
	    		//关闭进度条
	    		$.hideIndicator();
	    		var error=data.error;
				if("undefined" != typeof(error)){
					HYX.util.error(error);
					return;
				}
				if(!data.flag){
					$.toast(data.messgae);
					$('#tdaEncOneAreaDetailPageLineDateId').html('');
	    			$('#tdaEncOneAreaDetailPage_devid').html('');
	    			$('#jysjFenye').hide();
	    			$('#jysjZongmum').hide();
	    			$('#jysjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					return;
				}
	    		if(data.content.list != null && data.content.list != "null" && typeof(data.content.list.length) != 'undefined' && data.content.list.length != 0){
	    			$('#jysjFenye').show();
	    			$('#jysjZongmum').show();
	    			$('#jysjNull').html('');
	    			HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
		    		var dataList=data.content.list;
		    		var pagTtotal=data.content.total;
		    		//tdaEncOneAreaDetailPage_total=data.list.totalEncexchangeinfo;
		    		HYX.tdaEncOneAreaDetailPage.setTdaEncOneAreaDetailLineDate(dataList);
		    		HYX.tdaEncOneAreaDetailPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
	    		}else{
	    			$('#tdaEncOneAreaDetailPageLineDateId').html('');
	    			$('#tdaEncOneAreaDetailPage_devid').html('');
	    			$('#jysjFenye').hide();
	    			$('#jysjZongmum').hide();
	    			$('#jysjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	    			$.toast("暂无数据");
	    		}
	    		
	    		
	    		if(data.contentone[0] != null && data.contentone[0] != 'null' && typeof(data.contentone.length) != 'undefined' && data.contentone.length>0){
	    			$('#cunEncOnezongmum').html(data.contentone[0].TOTALCUN);
	    		  	$('#quEncOnezongmum').html(data.contentone[0].TOTALQU);
	    		}else{
	    			$('#cunEncOnezongmum').html(0);
	    		  	$('#quEncOnezongmum').html(0);
	    		}
	    		pageNumber = page;  //当前页数复制给全局变量保存
	    	},
	    	timeout : 15000,
	    	error : function(XMLHttpRequest, textStatus, errorThrown) {
	    		$.hideIndicator();
	    		HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
	    		if (textStatus == "timeout") {
	    			$.toast("获取超时");
	    		}else {
	    			$.toast("获取失败,请重试");
	    		}
	    	}
	    });
	};
	 
	//获取当前时间，格式YYYY-MM-DD
    var getNowFormatDate = function() {
        var date = new Date();
        var seperator1 = "-";
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        if (month >= 1 && month <= 9) {
            month = "0" + month;
        }
        if (strDate >= 0 && strDate <= 9) {
            strDate = "0" + strDate;
        }
        var currentdate = year + seperator1 + month + seperator1 + strDate;
        return currentdate;
    }
	
	/**
	 * 设置列表数据
	 */
	var setTdaEncOneAreaDetailLineDate=function(dataList){
	  	try{
	  		$("#tdaEncOneAreaDetailPageLineDateId tr").remove();
	  	}catch(e){
	  	}
	  	
	  	var tdaEncOneAreaDetailPage_devid_html="";
	  	var tdaEncOneAreaDetailPage_data_html="";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			
	  			//---start 设备信息
	  			var devid=dataList[i].devid;
	  			tdaEncOneAreaDetailPage_devid_html+='<tr><td>'+devid+'</td></tr>';
	  			//---end
	  			
	  			//---start 列表数据
	  			tdaEncOneAreaDetailPage_data_html+='<tr>' +
	  					'<td>'+dataList[i].nrdate+'</td>' + //交易时间
  						'<td>'+dataList[i].encregion+'</td>' + //地区
	  					'<td>'+dataList[i].encbank+'</td>' + //银行
	  					'<td>'+dataList[i].encdot+'</td>' + //支行
	  					'<td>'+dataList[i].totaldepositamount+'</td>' + //存款总金额
	  					'<td>'+dataList[i].totalwithdrawalamount+'</td>' + //取款总金额
	  					'<td>'+dataList[i].totaldepositlongshort+'</td>' + //存多取少-长短款
	  					'<td>'+dataList[i].totalwithdrawallongshort+'</td>' + //取多存少-长短款
	  					'<td>'+dataList[i].rz100+'</td>' + //纸100元(张)-存
	  					'<td>'+dataList[i].cz100+'</td>' + //纸100元(张)-取
	  					'<td>'+dataList[i].rz50+'</td>' + //纸50元(张)-存
	  					'<td>'+dataList[i].cz50+'</td>' + //纸50元(张)-取
	  					'<td>'+dataList[i].rz20+'</td>' + //纸20元(张)-存
	  					'<td>'+dataList[i].cz20+'</td>' + //纸20元(张)-取
	  					'<td>'+dataList[i].rz10+'</td>' + //纸10元(张)-存
	  					'<td>'+dataList[i].cz10+'</td>' + //纸10元(张)-取
	  					'<td>'+dataList[i].rz5+'</td>' + //纸5元(张)-存
	  					'<td>'+dataList[i].cz5+'</td>' + //纸5元(张)-取
	  					'<td>'+dataList[i].rz1+'</td>' + //纸1元(张)-存
	  					'<td>'+dataList[i].cz1+'</td>' + //纸1元(张)-取
	  					'<td>'+dataList[i].ry10+'</td>' + //硬1元(枚)-存
	  					'<td>'+dataList[i].cy10+'</td>' + //硬1元(枚)-取
	  					'<td>'+dataList[i].ry5+'</td>' + //硬5角(枚)-存
	  					'<td>'+dataList[i].cy5+'</td>' + //硬5角(枚)-取
	  					'<td>'+dataList[i].ry1+'</td>' + //硬1角(枚)-存
	  					'<td>'+dataList[i].cy1+'</td>' + //硬1角(枚)-取
	  					'<td>'+dataList[i].ccj10+'</td>' + //硬卷1元(枚)-取
	  					'<td>'+dataList[i].ccj5+'</td>' + //硬卷5角(枚)-取
	  					'<td>'+dataList[i].ccj1+'</td>' + //硬卷1角(枚)-取
	  					'<td>'+dataList[i].devid+'</td>' + //机身编码
	  					'</tr>';
	  			//---end
	  		}
	  	}
	  	
	  	//$("#tdaEncOneAreaDetailPage_devid").html(tdaEncOneAreaDetailPage_devid_html);
	  	$("#tdaEncOneAreaDetailPageLineDateId").html(tdaEncOneAreaDetailPage_data_html);
	  
	};
	  
	/**
	 * 设置分页的数据
	 */
	var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#tdaEncOneAreaDetailPage_xiye").val(page);
	  	$("#tdaEncOneAreaDetailPage_mo").text(Math.ceil(Number(pagTtotal)/10));
	};
	  
	/**
	 * 设置翻页
	 */
	var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#tdaEncOneAreaDetailPage_xab").scrollTop(hei);
	};
	  
	/**
	 * 分页请求选择
	 */
	var fl=function(p1,p2){
	  	$("#tdaEncOneAreaDetailPage_xiye").empty();
		$("#tdaEncOneAreaDetailPage_xiye").html(p1);//给显示的页数赋值
		HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(p1);
	};
	  
	/**
	 * 设置分页数,以及设置初始化
	 */
	var initEncOneAreaDetailPage=function(){
	    if(tdaEncOneAreaDetailPage_flag){
	    	tdaEncOneAreaDetailPage_flag=false;
	    	//设置首页点击事件
		  	$("#tdaEncOneAreaDetailPage_first").click(function(){
		        HYX.tdaEncOneAreaDetailPage.disableEnableBtn(1);
				var v=document.getElementById("tdaEncOneAreaDetailPage_xiye");
				if(Number(v.value) === 1){
		            HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
					return;
				}
				v.value=1;
				HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(1);
				HYX.tdaEncOneAreaDetailPage.scrolltop(v.value);
			});
			
			//设置点击莫页事件
			$("#tdaEncOneAreaDetailPage_last").click(function(){
		        HYX.tdaEncOneAreaDetailPage.disableEnableBtn(1);
				var v=document.getElementById("tdaEncOneAreaDetailPage_xiye");
				var l=document.getElementById("tdaEncOneAreaDetailPage_mo");
				if(Number(v.value) === Number(l.innerHTML)){
		            HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
					return; 
				}
				v.value=l.innerHTML;
				HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.tdaEncOneAreaDetailPage.scrolltop(v.value);
			});
			
			//设置上一页点击事件
			$("#tdaEncOneAreaDetailPage_top").click(function(){
		        HYX.tdaEncOneAreaDetailPage.disableEnableBtn(1);
				var v=document.getElementById("tdaEncOneAreaDetailPage_xiye");
				var num=v.value;
				if(num>1){
					num--;
					v.value=num;
					HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
					HYX.tdaEncOneAreaDetailPage.scrolltop(v.value);
		        }else{
		            HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
		        }
			});
			
			//设置下一页点击事件
			$("#tdaEncOneAreaDetailPage_down").click(function(){
		        HYX.tdaEncOneAreaDetailPage.disableEnableBtn(1);
				var pages=parseInt($("#tdaEncOneAreaDetailPage_mo").html());//获取当前的总页数
				var v=$("#tdaEncOneAreaDetailPage_xiye");
				var num=parseInt(v.val());
				if(num < pages){
					num = ++num;
					v.val(num);
					HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(num);
					HYX.tdaEncOneAreaDetailPage.scrolltop(num);
		        }else{
		            HYX.tdaEncOneAreaDetailPage.disableEnableBtn(2);
		        }
			});
			
			//点击跳转
			$("#tdaEncOneAreaDetailPage_jump").click(function(){
				var pagenum = $.trim($('#tdaEncOneAreaDetailPage_xiye').val());
				var maxpage = $('#tdaEncOneAreaDetailPage_mo').html();
				if(pagenum == ""){
					$.toast("请输入跳转页");
					return;
				}
				if(parseInt(pagenum)>parseInt(maxpage)){
					$.toast("请输入正确页数");
					$('#tdaEncOneAreaDetailPage_xiye').val(pageNumber);
					return;
				}
				if(isNaN(pagenum)){
					$.toast("请输入正确页数");
					return;
				}
				HYX.tdaEncOneAreaDetailPage.loadTdaEncOneAreaDetailData(pagenum);
			});
	    }
	};
	                               
	var disableEnableBtn=function(state){
		if(state === 1){
			$("#tdaEncOneAreaDetailPage_first").attr("disabled","disabled");
		    $("#tdaEncOneAreaDetailPage_last").attr("disabled","disabled");
		    $("#tdaEncOneAreaDetailPage_top").attr("disabled","disabled");
		    $("#tdaEncOneAreaDetailPage_down").attr("disabled","disabled");
		    $("#tdaEncOneAreaDetailPage_xifenye").attr("disabled","disabled");
		}else if(state === 2){
		    $("#tdaEncOneAreaDetailPage_first").removeAttr("disabled");
		    $("#tdaEncOneAreaDetailPage_last").removeAttr("disabled");
		    $("#tdaEncOneAreaDetailPage_top").removeAttr("disabled");
		    $("#tdaEncOneAreaDetailPage_down").removeAttr("disabled");
		    $("#tdaEncOneAreaDetailPage_xifenye").removeAttr("disabled");
		}
	};

	//转换货币格式方法  
	var thousandBitSeparator=function(str){
	   var num = parseFloat(str).toFixed(3);//这里因为我需要两位小数所以做一个限制，你们看情况做小数位的限制
	   var s = num.substring(0, (num.length-1));//只取小数位2位
	   return s && s.toString().replace(/(\d)(?=(\d{3})+\.)/g, function($0, $1) {
	       return $1 + ",";
	   });
	};
  
	
	return {
		goToTdaEncOneAreaDetailPage : goToTdaEncOneAreaDetailPage,
	    initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    thousandBitSeparator:thousandBitSeparator,
	    disableEnableBtn:disableEnableBtn,
	    refreshEncDetailPage:refreshEncDetailPage,
	    getNowFormatDate:getNowFormatDate
	};
})();

