/**
 * 登录页面JS
 */
HYX.namespace("tdaEnclistPage");
HYX.tdaEnclistPage = (function() {
  
  /**
   * 前往登录界面
   */
  var data_info = ""; //全局化数据
  var newdataList = '';   //赋值数据
  var newdata = new Array;
  var html = "";
  var cvrhtml = "";
  var goTotdaEnclistPage=function(dataList){
    $.router.loadPage("#tdaEnclistPage");
    var conmtHei = $('.conmt_top').height();
    $('.content_head').css('margin-top','0');
    if(typeof(dataList.length) == 'undefined' || dataList.length == 0 || dataList == null || dataList == 'null'){
		$('#encList_data_null').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
    	$.toast("未查询到相关数据！");
		return;
	}
    $('#encList_data_null').html('');
    HYX.tdaEnclistPage.loadRefresh();
    data_info = dataList;
    newdataList = dataList;
    HYX.tdaEnclistPage.loadData(false,false); //加载数据
    //初始化地区选择控件
	$("#city-picker a").cityPicker({   
	    toolbarTemplate: '<header class="bar bar-nav">\
	    <button class="button button-link pull-right close-picker" onclick="HYX.tdaEnclistPage.cityChoice();">确定</button>\
	    <h1 class="title">选择地区</h1>\
	    </header>'
	});
	var hdhei = $('header').height();
	var cityhei = $('.encList_city').height();
	var encListPage = $('.encListPage').height();
	//$('.encList_data').css({'margin-top':hdhei+encListPage,'padding-bottom':hdhei+encListPage,});
  };
  
  //搜索
  var searchEnclistPage = function(){
	  data_info = null;  
	  newdata.length = 0;  //清空数组
	  var searchEnc = $('#encListSeach_searchContent').val();
	  if(searchEnc=="" || searchEnc==null || searchEnc == undefined || searchEnc == "undefined"){  //判断搜索的值是否为空
		  data_info = newdataList;
		  HYX.tdaEnclistPage.loadData(false,false);
	  }else{
		  var nnew = 0;
		  for(var i=0;i<newdataList.length;i++){
			  if(newdataList[i].encbank.indexOf(searchEnc)>-1 || newdataList[i].encdot.indexOf(searchEnc)>-1 || newdataList[i].encregion.indexOf(searchEnc)>-1 || newdataList[i].encurbandistrict.indexOf(searchEnc)>-1){
				  newdata[nnew] = newdataList[i];
				  nnew++;
			  }
		  }
		  data_info = newdata;
		  HYX.tdaEnclistPage.loadData(false,false);
	  }
  };
  
  //加载数据
  var loadData = function(elat,elng){
	  $('.encList_data').html('');
	  if(typeof(data_info.length) == 'undefined' || data_info == null || data_info == 'null' || data_info.length == 0){
		  $('#encList_data_null').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
		  $.toast("未查询到相关数据！");
		  return;
	  }
	  $('#encList_data_null').html('');
	  for(var i=0;i<data_info.length;i++){
		//计算硬币余量比例
		var yb10 = (data_info[i].coin_10_total)/390*100;
		var yb5 = (data_info[i].coin_5_total)/440*100;
		var yb1 = (data_info[i].coin_1_total)/250*100;
		var zb100 = (data_info[i].cash_100_total)/115*100;
		var zb50 = (data_info[i].cash_50_total)/115*100;
		var zb20 = (data_info[i].cash_20_total)/115*100;
		var zb10 = (data_info[i].cash_10_total)/115*100;
		var zb5 = (data_info[i].cash_5_total)/115*100;
		var zb1 = (data_info[i].cash_1_total)/115*100;
		var enc_html = '<div class="customer_foot">';
		if(data_info[i].encbank.indexOf('红塔银行')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/hongta_bank.jpg"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('建设')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/CBC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('农业')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/ABC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('农村信用')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/RCC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('中国银行')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/BOC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('交通')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/BCM_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('农村商业')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/RCB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('邮政')>-1 || data_info[i].encbank.indexOf('邮储')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/PSBC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('工商')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/icbc_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('浦发')>-1 || data_info[i].encbank.indexOf('浦东发展')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/spdb_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('广发')>-1 || data_info[i].encbank.indexOf('广东发展')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/cgb_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('民生')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/CMBC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('中信')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/CITIC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('富滇')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/FDB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('兴和村镇')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/YXXHRB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('汇丰')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/HSBC_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('招商')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/CMB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('光大')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/CEB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('华夏')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/HXB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else if(data_info[i].encbank.indexOf('平安')>-1){
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/PAB_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}else{
			enc_html += '<p class="customer_bank" onclick="HYX.tdaEnclistPage.tdaEnclistZd(this)"><img src="img/zw_bank.png"/><label>'+data_info[i].encbank+'-'+data_info[i].encdot+'</label><i class="imenu"></i></p>';
		}
    	enc_html += '<div class="encList_data_qb" style="display:none;">';
    	enc_html += '<div class="customer_yb">';
    	enc_html += '<label>硬币<br />存量</label>';
    	enc_html += '<div id="">';
    	enc_html += '<canvas class="canvasIndex'+i+''+(i+1)+'" amount="10000" vote="10000" tip="50"></canvas><canvas class="canvasIndex'+i+''+(i+2)+'" amount="10000" vote="10000" tip="50"></canvas><canvas class="canvasIndex'+i+''+(i+3)+'" amount="10000" vote="10000" tip="50"></canvas>';
    	enc_html += '</div>';
    	enc_html += '</div>';
    	enc_html += '<div class="customer_zb">';
    	enc_html += '<label>纸币<br />存量</label>';
    	enc_html += '<div id="">';
    	enc_html += '<span><i class="customer_zb_bg customer_100_'+i+'"></i><i class="customer_zb_text">100元</i></span>';
    	enc_html += '<span><i class="customer_zb_bg customer_50_'+i+'"></i><i class="customer_zb_text">50元</i></span>';
    	enc_html += '<span><i class="customer_zb_bg customer_20_'+i+'"></i><i class="customer_zb_text">20元</i></span>';
    	enc_html += '<span><i class="customer_zb_bg customer_10_'+i+'"></i><i class="customer_zb_text">10元</i></span>';
    	enc_html += '<span><i class="customer_zb_bg customer_5_'+i+'"></i><i class="customer_zb_text">5元</i></span>';
    	enc_html += '<span><i class="customer_zb_bg customer_1_'+i+'"></i><i class="customer_zb_text">1元</i></span>';
    	enc_html += '</div>';
    	enc_html += '</div>';
    	enc_html += '<div class="customer_address">';
    	enc_html += '<p class="address_detailed"><img src="img/mark_r.png"/><label>'+data_info[i].location_info+'</label></p>';
    	var spoing = data_info[i].enclal.split(',');
    	enc_html += '<a href="#" class="customer_navigation" onclick="HYX.tdaEnclistPage.mapChoice(this)" lng="'+Number(spoing[0])+'" lat="'+Number(spoing[1])+'">导航</a>';
    	enc_html += '</div>';
    	enc_html += '</div>';
    	enc_html += '</div>';
    	var optionjson = [
    	   {"percent":yb10,"text":"1元","color":"#ff0000","w":80,"oneCircle":"ture"},
    	   {"percent":yb5,"text":"5角","color":"#ffb524","w":80,"oneCircle":"ture"},
    	   {"percent":yb1,"text":"1角","color":"#417505","w":80,"oneCircle":"ture"}
    	];
	    
		var mapHtml = '<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://m.amap.com/search/mapview/keywords='+data_info[i].location_info+'&pagenum=1&cluster_state=5"><img src="img/amap_img.png" />高德地图</a></li>'+
		'<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://map.baidu.com/mobile/webapp/search/search/qt=s&wd='+data_info[i].location_info+'"><img src="img/baidu_img.png" />百度地图</a></li>'+
		'<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://map.qq.com/m/index/nav/spointx='+spoing[0]+'&spointy='+spoing[1]+'&eword='+data_info[i].location_info+'"><img src="img/tengxun_img.png" />腾讯地图</a></li>'+
		'<li><a href="#" onclick="HYX.tdaEnclistPage.colse_bg()">取消</a></li>';
		$('.fixe_cont ul').html(mapHtml);
    	$('.encList_data').append(enc_html);
    	$(".canvasIndex"+i+""+(i+1)+"").audios2(optionjson[0]);
	    $(".canvasIndex"+i+""+(i+2)+"").audios2(optionjson[1]);
	    $(".canvasIndex"+i+""+(i+3)+"").audios2(optionjson[2]);
	    $('.customer_100_'+i+'').animate({width:zb100+'%'},2000);
	    $('.customer_50_'+i+'').animate({width:zb50+'%'},2000);
	    $('.customer_20_'+i+'').animate({width:zb20+'%'},2000);
	    $('.customer_10_'+i+'').animate({width:zb10+'%'},2000);
	    $('.customer_5_'+i+'').animate({width:zb5+'%'},2000);
	    $('.customer_1_'+i+'').animate({width:zb1+'%'},2000);
	}
  };
  var tdaEnclistZd = function(e){
	  $(e).siblings('.encList_data_qb').slideToggle(function(){
    	  if($(this).is(":visible")){
    		  $(this).siblings('p').find('i').addClass('cur');
    	  }else{
    		  $(this).siblings('p').find('i').removeClass('cur');
    	  }
      });
  }
  var cityShow = function(){
	$('.customer_fixe_bg').show();
  };
  var cityHide = function(){
	$('.customer_fixe_bg').hide();
  };
  
  	//跳转导航
	var loactionUrl = function(e){
		var bid = $(e).attr('bid');
		window.location.href=bid;
	};
  
  	//显示导航地图选择层
	var mapChoice = function (e){
		var maplng = $(e).attr('lng');
		var maplat = $(e).attr('lat');
		var address = $(e).siblings('p').find('label').html();
		var mapHtml = '<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://m.amap.com/search/mapview/keywords='+address+'&pagenum=1&cluster_state=5"><img src="img/amap_img.png" />高德地图</a></li>'+
		'<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://map.baidu.com/mobile/webapp/search/search/qt=s&wd='+address+'"><img src="img/baidu_img.png" />百度地图</a></li>'+
		'<li><a href="#" onclick="HYX.tdaEnclistPage.loactionUrl(this);" bid="https://map.qq.com/m/index/nav/spointx='+maplng+'&spointy='+maplat+'&eword='+address+'"><img src="img/tengxun_img.png" />腾讯地图</a></li>'+
		'<li><a href="#" class="fixe_coles();">取消</a></li>';
		$('.fixe_cont ul').html(mapHtml);
		$(".fixe_bg").fadeIn();
		$(".fixe_cont").slideDown();
	}
	//隐藏导航地图选择层
	var colse_bg = function (){
		$(".fixe_bg").fadeOut();
		$(".fixe_cont").slideUp();
	}
  
  /**
  * light7城市选择
  * @author hupengfei
  */
  var cityChoice = function(){
	HYX.tdaEnclistPage.cityHide();
  	var province = $('.col-province .picker-selected').html();   //省份
  	var city = $('.col-city .picker-selected').html();  //城市
  	var district = $('.col-district .picker-selected').html();  //城市
  	var citynum = $('.col-city .picker-selected').index();
  	var districtnum = $('.col-district .picker-selected').index();
  	var prcitydis = province+""+city+''+district;
  	if(districtnum === 0){
  		district = "全部";
  	}
  };
  //下拉刷新
	var loadRefresh = function(){
		$(document).on('refresh', '#tdaEnclistPage .pull-to-refresh-content',function(e) {
		    setTimeout(function() {
		    	HYX.tdaEnclistPage.searchEnclistPage();
		        // done
		        $.pullToRefreshDone('#tdaEnclistPage .pull-to-refresh-content');
		    }, 2000);
		});
	};
  return {
	  goTotdaEnclistPage:goTotdaEnclistPage,
	  loadData:loadData,
	  cityShow:cityShow,
	  cityHide:cityHide,
	  cityChoice:cityChoice,
	  searchEnclistPage:searchEnclistPage,
	  mapChoice:mapChoice,
	  colse_bg:colse_bg,
	  loactionUrl:loactionUrl,
	  tdaEnclistZd:tdaEnclistZd,
	  loadRefresh:loadRefresh
  };
})();

