/**
 * namespace.js
 * 
 * @author <mail:958123835@qq.com>, copy yahoo
 */
var HYX = window.Hyx || {};
HYX.namespace = function(ns) {

  if (!ns || !ns.length) { return null; }

  var levels = ns.split(".");
  var nsobj = HYX;

  /**
   * MEDIA is implied, so it is ignored if it is included
   */
  for (var i = (levels[0] == "HYX") ? 1 : 0; i < levels.length; ++i) {
    nsobj[levels[i]] = nsobj[levels[i]] || {};
    nsobj = nsobj[levels[i]];
  }
  return nsobj;
};

HYX.extend = function(subclass, superclass) {
  var fn = function() {
  };
  fn.prototype = superclass.prototype;
  subclass.prototype = new fn();
  subclass.prototype.constructor = subclass;
  subclass.superclass = superclass.prototype;
  if (superclass.prototype.constructor == Object.prototype.constructor) {
    superclass.prototype.constructor = superclass;
  }
};