/**
 * 登录页面JS
 */
HYX.namespace("adminIndex");
HYX.adminIndex = (function() {
	/**
	 * 前往登录界面
	 */
	var flag = true;
	var goToadminIndexMethod=function(){
		$.router.loadPage("#adminIndex");
		var date=new Date;
		var newyear = date.getFullYear();
		if(flag){
			new rolldate.Date({
				el:'#firstTime',
				format:'YYYY',
				beginYear:2016,
				endYear:newyear
			});
			flag = false;
		}
		$('#encequipmentNum,#encNormalNum,#encFaultNum,#analysis_jybs,#analysis_ck,#analysis_qk,#transaction_cdqs').html('0');
		$('#transaction_qdcs,#analysis_ck_money,#analysis_qk_money').html('0');
		HYX.adminIndex.transaction_day('first'); //今日交易数据分析
		//HYX.adminIndex.transaMap('first');  //年度存取款走势图
		//HYX.adminIndex.areaMap('first');  //地区存取款走势图
		//HYX.adminIndex.encIndexNum();  //设备台数接口
		//HYX.adminIndex.transaction_num();  //交易笔数，总额，长短款
		$(document).on("click", ".cus_img_right", function() {
			$.openPanel("#panel-js-demo");
		});
	};
	/*
	 * 今日交易数据分析
	 * name:hupengfei
	 * */
	var transaction_day = function(firstId){
		//获取查询数据年份
		var indexYear = "";
		if(firstId=="first"){
			var myDate = new Date();
			indexYear = myDate.getFullYear();
			$('#firstTime').val(indexYear);
		}else{
			indexYear = $('#firstTime').val();
		}
		// 开启进度条
	    $.showIndicator();
		$.ajax({
			type: "get",
			url: basePath+"getIndexAllData",
			data: {"year":indexYear,"encurbandistrict":''},
			dataType : "jsonp",
			jsonp : "callback",
	  		jsonpCallback : "success_jsonpCallback",
			success: function(data){
				//关闭进度条
				$.hideIndicator();
				var error=data.error;
				if("undefined" != typeof(error)){
					HYX.util.error(error);
					return;
				}
				if(!data.flag){
					$.toast(data.messgae);
					return;
				}
				
				//判断今日交易数据
				if(data.content.TodayNumbersData[0].length == 0 || data.content.TodayNumbersData[0] == null || data.content.TodayNumbersData[0] == 'null' || typeof(data.content.TodayNumbersData.length) == 'undefined'){
					$.toast("今日交易暂无数据！");
  			  	}else{
  			  		$('#transaction_day_ck').html(data.content.TodayNumbersData[0].CNUMBERS);
  			  		$('#transaction_day_1k').html(data.content.TodayNumbersData[0].QNUMBERS);
  			  	}
      		  	
				//查询今日交易数据前5的地区
				if(data.content.TransactionDateByYear[0].length == 0 || data.content.TransactionDateByYear[0] == null || data.content.TransactionDateByYear[0] == 'null' || typeof(data.content.TransactionDateByYear.length) == 'undefined'){
					$.toast("今日交易暂无数据！");
  			  	}else{
  			  		HYX.adminIndex.transaction_day_5(data.content.TransactionDateByYear);   //查询今日交易数据前5的地区
  			  	}
				
				//查询设备台数
				if(data.content.YuEBalanceDate.normal == null && data.content.YuEBalanceDate.add == null && data.content.YuEBalanceDate.err == null){
					$.toast("暂无设备台数！");
				}
				if(data.content.YuEBalanceDate.normal == 'null' && data.content.YuEBalanceDate.add == 'null' && data.content.YuEBalanceDate.err == 'null'){
					$.toast("暂无设备台数！");
				}
				if(typeof(data.content.YuEBalanceDate.normal.length) == 'undefined' && typeof(data.content.YuEBalanceDate.add.length) == 'undefined' && typeof(data.content.YuEBalanceDate.err.length) == 'undefined'){
					$.toast("暂无设备台数！");
				}
				if(data.content.YuEBalanceDate.normal.length>0 || data.content.YuEBalanceDate.add.length>0 || data.content.YuEBalanceDate.err.length>0){
					HYX.adminIndex.encIndexNum(data.content.YuEBalanceDate);   //查询设备台数
  			  	}else{
  			  		$.toast("暂无设备台数！");
  			  	}
				
				//年度存取款走势图
				if(data.content.YearSaveRunViewDate.length == 0 || data.content.YearSaveRunViewDate == null || data.content.YearSaveRunViewDate == 'null' || typeof(data.content.YearSaveRunViewDate.length) == 'undefined'){
					$.toast("暂无年度存取款信息！");
  			  	}else{
  			  		HYX.adminIndex.transaMap(data.content.YearSaveRunViewDate);   //年度存取款走势图
  			  	}
				
				//存取款总金额，交易总笔数，长短款
				if(data.content.TransactionSummaryDate.length == 0 || data.content.TransactionSummaryDate == null || data.content.TransactionSummaryDate == 'null' || typeof(data.content.TransactionSummaryDate.length) == 'undefined'){
					$.toast("暂无年度交易信息！");
  			  	}else{
  			  		HYX.adminIndex.transaction_num(data.content.TransactionSummaryDate);   //年度存取款走势图
  			  	}
				
				//年度地区存取款走势图
				if(data.content.TransactionDateByYear.length == 0 || data.content.TransactionDateByYear == null || data.content.TransactionDateByYear == 'null' || typeof(data.content.TransactionDateByYear.length) == 'undefined'){
					$.toast("暂无年度地区交易信息！");
  			  	}else{
  			  		HYX.adminIndex.areaMap(data.content.TransactionDateByYear);   //年度地区存取款走势图
  			  	}
				
			},
			timeout : 25000,
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				$.hideIndicator();
				if (textStatus == "timeout") {
					$.toast("获取超时");
				} else {
					$.toast("获取失败,请重试");
				}
			}
		});
	}
	/**
	 * 查询今日交易数据前5的地区
	 * 
	 * */
	var transaction_day_5 = function(data){
		var color=['#3cb2ef','#32c5e9','#9fe6b8','#ffdb5c','#ff9f7f'];
		var dataList = new Array();
		if(data.length>0){
			if(data.length<5){
				var datalength = data.length;
			}else{
				var datalength = 5;
			}
			for(var i=0;i<datalength;i++){
				var paramContent={
					'value' : data[i].C,
					'name'  : data[i].ENC_NUM
		  		};
				dataList.push(paramContent);
			}
			var dataDay=dataList;
			var dom = document.getElementById("todayEncMap");
			var myChart = echarts.init(dom);
			var app = {};
			option = null;
	    	option = {
	    		series : [{
	    			name: '交易笔数',
	    			type: 'pie',
	    			radius : '50%',
	    			center: ['50%', '52%'],
	    			labelLine:{  
	    				normal:{  
	    					length:1
	    				}  
	    			},
	    			color: color,
	    			data: dataDay,
	    			itemStyle: {
	    				emphasis: {
	    					shadowBlur: 2,
	    					shadowOffsetX: 0,
	    					shadowColor: 'rgba(0, 0, 0, 0.5)'
	    				}
	    			}
	    		}]
	    	};
	    	if (option && typeof option === "object") {
	    		myChart.setOption(option, true);
	    	}
	  	}else{
	  		$.toast('今日交易暂无数据!');
	  	}

	}
	
	/*
	 * 设备台数
	 * */
	var encIndexNum = function(data){
		$('#encequipmentNum').html(data.normal.length+data.add.length+data.err.length);
		$('#encNormalNum').html(data.normal.length);
		if(data.add.length==0){
			$('.sparemoneyNum').css('background-color','#ccc');
		}
		$('#encAddNum').html(data.add.length);
		$('#encFaultNum').html(data.err.length);
		//data.normal.length = 0;
		//data.add.length = 0;
		//data.err.length = 0;
	}
	
	//点击查询筛选数据
	var searchIndexMethod = function(){
		$('#encequipmentNum,#encNormalNum,#encFaultNum,#analysis_jybs,#analysis_ck,#analysis_qk,#transaction_cdqs').html('0');
		$('#transaction_qdcs,#analysis_ck_money,#analysis_qk_money').html('0');
		
		HYX.adminIndex.transaction_day('');
	};
   /*
   * 年度存取款走势图
   * name:hupengfei
   */
	var transaMap = function(date){
		var dateList = [];
		var date_cunkuan = [];
		var date_qukuan = [];
		var date_zoushi = [];
		for(var i=0;i<date.length;i++){
			dateList[i] = parseInt(date[i].nrdate)+'月';
			date_cunkuan[i] = (date[i].totaldepositamount/10000).toFixed(2);
			date_qukuan[i] = (date[i].totalwithdrawalamount/10000).toFixed(2);
			date_zoushi[i] = (date[i].totalwithdrawalamount/10000).toFixed(2);
		}
		var dom = document.getElementById("analysis_ckzz");
		var myChart = echarts.init(dom);
		var app = {};
		option = null;
		option = {
		    tooltip: {
		        trigger: 'axis',
		        axisPointer: {
		            type: 'cross',
		            crossStyle: {
		                color: '#999'
		            }
		        }
		    },
		    color: ["#f9882c", "#24c5fb"],
		    textStyle: {
		        color: "#333",
		    },
		    legend: {
		        data:['存款','取款','走势'],
		        textStyle: {
			        color: "#333",
			    },
			    top:'10px'
		    },
		    grid: {
		    	top: 35,
  	            bottom: 25,
  	            right:35,
  	            left:35
	        },
		    xAxis: [
		        {
		            type: 'category',
		            data: dateList,
		            axisPointer: {
		                type: 'shadow'
		            },
		            axisLabel:{
				     	interval:0,//横轴信息全部显示
		            },
		            bottom:'6px'
		        }
		    ],
		    yAxis: [
		        {
		            type: 'value',
		            name: '存款(万元)',
		            min: 0,
		            interval: 100,
		            axisLabel: {
		                formatter: '{value}'
		            }
		        },
		        {
  		            type: 'value',
  		            name: '取款(万元)',
  		            min: 0,
  		            interval: 100,
  		            axisLabel: {
  		                formatter: '{value}'
  		            }
  		        }
		    ],
		    series: [
		        {
		            name:'存款',
		            type:'bar',
		            data:date_cunkuan
		        },
		        {
		            name:'取款',
		            type:'bar',
		            yAxisIndex: 1,
		            data:date_qukuan
		        }
		    ]
		};
		if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
  		
	};
	
	/*
	 * 交易笔数，总额长短款
	 */
	var transaction_num = function(date){
		$('#analysis_jybs').html(date[0].numberOfTransactions*2);
    	$('#analysis_ck').html(date[0].numberOfTransactions);
    	$('#analysis_qk').html(date[0].numberOfTransactions);
    	$('#analysis_qk_money').html(thousandBitSeparator(date[0].totalwithdrawalamount));
    	$('#analysis_ck_money').html(thousandBitSeparator(date[0].totaldepositamount));
    	$('#transaction_cdqs').html(thousandBitSeparator(date[0].totaldepositlongshort));
    	$('#transaction_qdcs').html(thousandBitSeparator(date[0].totalwithdrawallongshort));
    	//date.length = 0;
	};
	
	/*
   * 地区存取款走势图
   * name:hupengfei
   */
	var areaMap = function(data){
		var addressData = new Array();  //地区集合
		var encCkData = new Array();  //地区交易数据集合-存款
		var encQkData = new Array();  //地区交易数据集合-取款
		for(var i=0;i<data.length;i++){
			addressData[i] = data[i].ENC_NUM;
			encCkData[i] = (data[i].C/10000).toFixed(2);
			encQkData[i] = (data[i].Q/10000).toFixed(2);
		}
		var dom = document.getElementById("areaMap");
  		var myChart = echarts.init(dom);
  		var app = {};
  		option = null;
  		option = {
  		    color: ["#f9882c", "#24c5fb"],
  		    textStyle: {
  		        color: "#333",
  		    },
  		    grid: {
  	            top: 35,
  	            bottom: 65,
  	            right:40,
  	            left:40
  	        },
  		    xAxis: [
  		        {
  		            type: 'category',
  		            data: addressData,
  		            axisPointer: {
  		                type: 'shadow'
  		            },
  		            axisLabel:{
					     interval:0,//横轴信息全部显示
					},
  		            bottom:'6px'
  		        }
  		    ],
  		    yAxis: [
  		        {
  		            type: 'value',
  		            name: '存款(万元)',
  		            min: 0,
  		            interval: 500,
  		            axisLabel: {
  		                formatter: '{value}'
  		            }
  		        },
  		        {
  		            type: 'value',
  		            name: '取款(万元)',
  		            min: 0,
  		            interval: 500,
  		            axisLabel: {
  		                formatter: '{value}'
  		            }
  		        }
  		    ],
  		    dataZoom: [
	            {
	                show: true,
	                start: 0,
	                end: 24
	            }
	        ],
  		    series: [
  		        {
  		            name:'存款',
  		            type:'bar',
  		            barWidth: '20%',
  		            data:encCkData
  		        },
  		        {
  		            name:'取款',
  		            type:'bar',
  		            barWidth: '20%',
  		            yAxisIndex: 1,
  		            data:encQkData
  		        }
  		    ]
  		};
  		if (option && typeof option === "object") {
  		    myChart.setOption(option, true);
  		}
			
	};
	
	//侧边栏页面跳转
	var loactionUrl = function(urlid){
		$.closePanel("#panel-js-demo");
		if(urlid==1){
			setTimeout("HYX.tdaEncOneAreaDetailPage.goToTdaEncOneAreaDetailPage()",500);
		}else if(urlid==2){
			setTimeout("HYX.tdaEncEmptyAreaDetailPage.geToTdaEncEmptyAreaDetailPageMethod()",500);
		}else if(urlid==3){
			setTimeout("HYX.tdaEncAddMoneyAreaDetailPage.goToAddMoneyAreaDetailPage()",500);
		}else if(urlid==4){
			setTimeout("HYX.tdaEncbandanalysisinfoPage.goToTdaEncbandanalysisinfoPage()",500);
		}else if(urlid==5){
			setTimeout("HYX.tdaEncTroubleAreaDetailPage.goToTdaEncTroubleAreaDetailPage()",500);
		}else if(urlid==6){
			setTimeout("HYX.tdaEncLengthAreaDetailPage.goTotdaEncLengthAreaDetailPage()",500);
		}else{
			setTimeout("HYX.customerIndexPage.goToIndex()",500)
		}
	};
	// 将金额类型转为数字类型  
    function toNum(str) {  
		str = str + "";
        return str.replace(/\,|\￥/g, "");
    }  
	//千位分隔符
	function thousandBitSeparator(num) {
		num = parseFloat(toNum(num)).toFixed(2).toString().split(".");
		num[0] = num[0].replace(new RegExp('(\\d)(?=(\\d{3})+$)','ig'),"$1,");
		return num.join(".");
	}
	//备付金跳转
	var beifujinData = function(){
		var bfjNum = $('#encAddNum').html();
		if(bfjNum == 0){
			$.toast("无备付金不足设备");
		}else{
			HYX.ownEncMapPage.goToOwnEncMapPageMethod(2);   //2表示备付金不足
		}
	};
	
	return {
		goToadminIndexMethod : goToadminIndexMethod,
		transaction_day:transaction_day,
		transaMap:transaMap,
		areaMap:areaMap,
		loactionUrl:loactionUrl,
		encIndexNum:encIndexNum,
		searchIndexMethod:searchIndexMethod,
		transaction_num:transaction_num,
		beifujinData:beifujinData,
		transaction_day_5:transaction_day_5
	};
})();

