/**
 * 兑换机加钞回收录入
 */
HYX.namespace("encNotecollectionCount");
HYX.encNotecollectionCount = (function() {
	
  var findFinancialCashlist;
  var encurbandistrictlist;
  var fcid="";
  
  /**
   * 跳向兑换机加钞回收录入页面
   */
  var goToencNotecollectionCountPage=function(){
  	 $.router.loadPage("#encNotecollectionCountpage");
  	 document.getElementById("notecollectiondeitel_buttom").style.display = "none";
  	 HYX.encNotecollectionCount.findObtainFinancialDataBasedOnID();
  };
  
  
  

  /**
   * 查找财务数据
   */
  var findObtainFinancialDataBasedOnID=function(){
	    //开启进度条
	    $.showIndicator();
	    $.ajax({
		    type : "POST",
		    url: basePath + "findObtainFinancialDataBasedOnID",
		    success: function(data){
		        //关闭进度条
		        $.hideIndicator();
		        findFinancialCashlist=data.content;
		        if(data.flag){
		        	HYX.encNotecollectionCount.xuanranFinancialData();
		        }else{
		        	$.toast(data.messgae);
		        }
		    },
		    timeout:15000,
		    error:function(XMLHttpRequest, textStatus, errorThrown){
		      $.hideIndicator();
		      if(textStatus == "timeout"){
		        $.toast("获取超时");
		      }else{
		        $.toast("获取失败,请重试");
		      }
		    }
		 });  
  }
  
  
  /**
   * 渲染财务数据
   */
  var  xuanranFinancialData=function(){
	  $("#FinancialDatalist").html("");
	  var html="";
	  for(var i=0;i<findFinancialCashlist.length;i++){
		  if(findFinancialCashlist[i].fcstarts == 1){
			  var count=findFinancialCashlist[i].ccj1*50/10+findFinancialCashlist[i].ccj5*50/2+findFinancialCashlist[i].ccj10*50+findFinancialCashlist[i].ry1/10+findFinancialCashlist[i].ry5/2+findFinancialCashlist[i].ry10+findFinancialCashlist[i].rz1+findFinancialCashlist[i].rz5*5+findFinancialCashlist[i].rz10*10+findFinancialCashlist[i].rz20*20+findFinancialCashlist[i].rz50*50+findFinancialCashlist[i].rz100*100;
			  html+='<li class="item-content item-link" onclick="HYX.encNotecollectionCount.findIdbyFinancialData(\''+findFinancialCashlist[i].fcid+'\')">';
			  html+='<div class="item-media"><img src="img/icon2.png"></div>';
			  html+='<div class="item-inner">';
			  html+='<div class="item-title">领用金额 -- <span style="color:coral;">'+count+'元</span></div>';
			  html+='<div class="item-after">'+findFinancialCashlist[i].nrdate+'</div>';
			  html+='</div>';
			  html+='</li>';
		  }
	  }
	  $("#FinancialDatalist").append(html);
  }
  
  
  
  /**
   * 根据财务ID查询加钞回收数据
   */
	var findIdbyFinancialData=function(id){
		 $.router.loadPage("#encNotecollectiondeitelpage");
		 
		//传参
	    var param = {
	      'fcid': id,
	    };
	    //开启进度条
	    $.showIndicator();
	    $.ajax({
		    type : "POST",
		    url: basePath + "findObtainFinancialReconciliationDataBasedOnID",
		    data: param,
		    success: function(data){
		        //关闭进度条
		        $.hideIndicator();
		        encurbandistrictlist=data.content;
		        if(data.flag){
		        	HYX.encNotecollectionCount.xuanranFinancialDatadeteil();
		        }else{
		        	$.toast(data.messgae);
		        }
		    },
		    timeout:15000,
		    error:function(XMLHttpRequest, textStatus, errorThrown){
		      $.hideIndicator();
		      if(textStatus == "timeout"){
		        $.toast("获取超时");
		      }else{
		        $.toast("获取失败,请重试");
		      }
		    }
		 });  
	}
	
	
	
	/**
	 * 渲染
	 */
	var xuanranFinancialDatadeteil=function(){
		var countmoney=0;
		var addmoney=0;
		var huishoumoney=0;
		var jiaohuimoney=0;
		var firstcoinmoney=0;
		var secendcoinmoney=0;
		var zdjiaohuimoney=0;
		var name="";
		for(var i=0;i<encurbandistrictlist.length;i++){
			if(encurbandistrictlist[i].fcstarts==1){
				name=encurbandistrictlist[i].encname.split(",");
				var html="";
				for(var j=0;j<name.length;j++){
					html += '<li style="color: #fff;padding-left:0.75rem;padding-top:0.4rem;padding-buttom:0.35rem;">'+name[j]+'</li>';
				}
				fcid=encurbandistrictlist[i].fcid;
				//总金额
				countmoney += encurbandistrictlist[i].ccj1*50/10+encurbandistrictlist[i].ccj5*50/2+encurbandistrictlist[i].ccj10*50+encurbandistrictlist[i].ry1/10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry10+encurbandistrictlist[i].rz1+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz100*100;
			}
			if(encurbandistrictlist[i].fcstarts==2){
				//加钞总金额
				addmoney += encurbandistrictlist[i].rz100*100+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz1+encurbandistrictlist[i].ry10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry10/10+encurbandistrictlist[i].ccj10*50+encurbandistrictlist[i].ccj5*50/2+encurbandistrictlist[i].ccj1*50/10;
			}
			if(encurbandistrictlist[i].fcstarts==3){
				//回收总金额
				huishoumoney += encurbandistrictlist[i].rz100*100+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz1+encurbandistrictlist[i].ry10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry1/10+encurbandistrictlist[i].ccj10*50+encurbandistrictlist[i].ccj5*50/2+encurbandistrictlist[i].ccj1*50/10;;
			}
			if(encurbandistrictlist[i].fcstarts==6){
				zdjiaohuimoney += encurbandistrictlist[i].ccj1*50/10+encurbandistrictlist[i].ccj5*50/2+encurbandistrictlist[i].ccj10*50+encurbandistrictlist[i].ry1/10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry10+encurbandistrictlist[i].rz1+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz100*100;
			}
/*			if(encurbandistrictlist[i].fcstarts==4){
				//加钞前-回收钞箱总金额
				firstcoinmoney=encurbandistrictlist[i].rz100*100+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz1+encurbandistrictlist[i].ry10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry1/10;
			}
			if(encurbandistrictlist[i].fcstarts==5){
				//加钞后-回收钞箱总金额
				secendcoinmoney=encurbandistrictlist[i].rz100*100+encurbandistrictlist[i].rz50*50+encurbandistrictlist[i].rz20*20+encurbandistrictlist[i].rz10*10+encurbandistrictlist[i].rz5*5+encurbandistrictlist[i].rz1+encurbandistrictlist[i].ry10+encurbandistrictlist[i].ry5/2+encurbandistrictlist[i].ry1/10;
			}*/
		}
		jiaohuimoney=countmoney-addmoney+huishoumoney;
		$("#notecollectiondeitel_name").html("");
		$("#countmoney").html("");
		$("#addmoney").html("");
		$("#huishoumoney").html("");
		$("#zdjiaohuimoney").html("");
		$("#jiaohuimoney").html("");
/*		$("#firstcoin").html(firstcoinmoney+"元");
		$("#secendcoin").html(secendcoinmoney+"元");*/
		$("#notecollectiondeitel_name").append(html);
		$("#countmoney").html(countmoney+"元");
		$("#addmoney").html(addmoney+"元");
		$("#huishoumoney").html(huishoumoney+"元");
		$("#zdjiaohuimoney").html(zdjiaohuimoney+"元");
		$("#jiaohuimoney").html(jiaohuimoney+"元");
		if(zdjiaohuimoney == "" || zdjiaohuimoney == "null" || zdjiaohuimoney == null){
			document.getElementById("notecollectiondeitel_buttom").style.display = "block";
		}
	}

	
  var goToencCrosspaymententryPage=function(){
	  HYX.encCrosspaymententry.initencCrosspaymententryPage(fcid);
  }
  
  
  return {
	  goToencNotecollectionCountPage : goToencNotecollectionCountPage,
	  findObtainFinancialDataBasedOnID:findObtainFinancialDataBasedOnID,
	  xuanranFinancialData:xuanranFinancialData,
	  findIdbyFinancialData:findIdbyFinancialData,
	  xuanranFinancialDatadeteil:xuanranFinancialDatadeteil,
	  goToencCrosspaymententryPage:goToencCrosspaymententryPage
  };
})();