/**
 * 冠字号查询
 */
HYX.namespace("gzhSeach");
HYX.gzhSeach = (function() {
	var pageNumber; //初始化保存当前页数
	var gzhSeach_total=new Array();
  
	var goToTdaEncgzhSearchPage=function(){
		pageNumber = 1;  //初始化当前页数
		$.router.loadPage("#gzhSeach");
		var conmtHei = $('.conmt_top').height();
		$('.content_head').css('margin-top',conmtHei);
		var liHei = $('.list_y_le').width();
		var whei = $(window).width();
		$('.gzhData_gd').css('width',whei-liHei);
		//初始化清空列表
		HYX.gzhSeach.refreshGzhdata();  //刷新
	};
	
	//清空数据
	var removGzhseachInput = function(){
		$("#tdaGzhSeachPage_devid").html('');
	  	$("#tdaGzhSeachPage_content").html('');
	  	$("#gzhSeach_searchContent").val('');
	};
	
	//刷新数据
	var refreshGzhdata = function(){
		HYX.gzhSeach.removGzhseachInput();
		HYX.gzhSeach.initEncOneAreaDetailPage();
		HYX.gzhSeach.removeSearchEncOneAreaDetailPage();
		HYX.gzhSeach.setTdaEncOneAreaDetailPage(0,0);
	}
	
	var backTdaEncOneAreaDetailPage=function(){
	  	HYX.gzhSeach.goToTdaEncOneAreaPageMethod(tdaEncOneAreaDetailPage_region);
	};
	  
	var initTdaEncOneAreaDetailPageTime=function(){
		$("#gzhSeach_own_EncMap_searchContent").val("");
	};
  
	var removeSearchEncOneAreaDetailPage=function(){
		$("#gzhSeach_own_EncMap_searchContent").val("");
		HYX.gzhSeach.loadTdaEncOneAreaDetailData(1); 
	};
  
	var searchEncOneDetail=function(){
		HYX.gzhSeach.loadTdaEncOneAreaDetailData(1); 
	};
  
	/**
	   * page：第几页
	   * 
	   */ 
	var loadTdaEncOneAreaDetailData=function(page){
		$("#tdaGzhSeachPage_devid").html('');
	  	$("#tdaGzhSeachPage_content").html('');
	  	gzhSeach_total=new Array();
		var gzhSeach_searchContent=$.trim($("#gzhSeach_searchContent").val());
		if(null == gzhSeach_searchContent || "null" == gzhSeach_searchContent || "undefined" == typeof(gzhSeach_searchContent)){
			gzhSeach_searchContent="";
		}
		if(page == undefined){
			page=1;
		}
	  	var param={
			"crownSize" : gzhSeach_searchContent, //搜索内容
			"pageNum": page //页数
		};
		// 开启进度条
	    $.showIndicator();
	    $.ajax({
	    	type : "get",
	    	dataType : "jsonp",
	    	url: basePath + "getBytimeCrownsize",
	    	jsonp : "callback",
	    	data : param,
	    	jsonpCallback : "success_jsonpCallback",
	    	success : function(data) {
	    		//关闭进度条
	    		$.hideIndicator();
	    		var error=data.error;
	    		if("undefined" != typeof(error)){
	    			HYX.util.error(error);
	    			return;
	    		}
	    		if(!data.flag || data.content.list.length == 0 || typeof(data.content.list.length) == 'undefined' || data.content.list == null || data.content.list == 'null'){
	    			$.toast('没有查询到相应的数据');
	    			$('#gzhFenye').hide();
	    			$('#gzhNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	    			return;
	    		}
	    		if(data.content.list.length > 0){
	    			$('#gzhFenye').show();
	    			$('#gzhNull').html('');
	    			HYX.gzhSeach.disableEnableBtn(2);
		    		var dataList=data.content.data;
		    		var pagTtotal=data.content.total;
		    		gzhSeach_total=data.content.totalEncexchangeinfo;
		    		HYX.gzhSeach.setTdaEncOneAreaDetailLineDate(data.content.list);
		    		HYX.gzhSeach.setTdaEncOneAreaDetailPage(page,pagTtotal);
	    		}
	    		pageNumber = page;  //当前页数复制给全局变量保存
	    	},
	    	timeout : 15000,
	    	error : function(XMLHttpRequest, textStatus, errorThrown) {
	    		$.hideIndicator();
	    		HYX.gzhSeach.disableEnableBtn(2);
	    		if (textStatus == "timeout") {
	    			$.toast("获取超时");
	    		} else {
	    			$.toast("获取失败,请重试");
	    		}
	    	}
	    });
	};
	
	/**
	   * 设置列表数据
	   */
	  var setTdaEncOneAreaDetailLineDate=function(dataList){
	  	try{
	  		$(".gzhSeachLineDateClass").remove();
	  		$(".list_y_le label").remove();
	  	}catch(e){
	  	}
	  	
	  	var gzhSeach_devid_html="";
	  	var gzhSeach_data_html="";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			
	  			//---start 冠字号码
	  			var crownsize=dataList[i].crownsize;
	  			gzhSeach_devid_html+='<tr><td>'+crownsize+'</td></tr>';
	  			//---end
	  			
	  			if(dataList[i].type==1){
	  				dataList[i].type = "存款";
	  			}else{
	  				dataList[i].type = "取款";
	  			}
	  			//---start 列表数据
	  			gzhSeach_data_html+='<tr>' +
	  					'<td>'+dataList[i].encregion+'</td>' + //地区
	  					'<td>'+dataList[i].encbank+'</td>' + //银行
	  					'<td>'+dataList[i].encdot+'</td>' + //支行
	  					'<td>'+dataList[i].type+'</td>' + //类型
	  					'<td>'+dataList[i].moneycash+'</td>' + //币种金额
	  					'<td>'+dataList[i].nrdate+'</td>' + //发生时间
	  					'<td>'+dataList[i].equipmentnumber+'</td>' + //机身编码
	  					'</tr>';
	  			//---end
	  		}
	  	}
	  	
	  	$("#tdaGzhSeachPage_devid").html(gzhSeach_devid_html);
	  	$("#tdaGzhSeachPage_content").html(gzhSeach_data_html);
	  };
	  
	  /**
	   * 设置分页的数据
	   */
	  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#gzhSeach_xiye").val(page);
	  	$("#gzhSeach_mo").text(Math.ceil(Number(pagTtotal)/10));
	  };
	  
	  /**
	   * 设置翻页
	   */
	  var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#gzhSeach_xab").scrollTop(hei);
	  };
	  
	  /**
	   * 分页请求选择
	   */
	  var fl=function(p1,p2){
	  	$("#gzhSeach_xiye").empty();
		$("#gzhSeach_xiye").html(p1);//给显示的页数赋值
		HYX.gzhSeach.loadTdaEncOneAreaDetailData(p1);
	  };
	  
	  /**
	   * 设置分页数,以及设置初始化
	   */
	  var initEncOneAreaDetailPage=function(){
	    if(gzhSeach_flag){
	       gzhSeach_flag=false;
	    	//设置首页点击事件
	  	$("#gzhSeach_first").click(function(){
	        HYX.gzhSeach.disableEnableBtn(1);
			var v=document.getElementById("gzhSeach_xiye");
			if(Number(v.value) === 1){
	            HYX.gzhSeach.disableEnableBtn(2);
				return;
			}
			v.value=1;
			HYX.gzhSeach.loadTdaEncOneAreaDetailData(1);
			HYX.gzhSeach.scrolltop(v.value);
		});
		
		//设置点击莫页事件
		$("#gzhSeach_last").click(function(){
	        HYX.gzhSeach.disableEnableBtn(1);
			var v=document.getElementById("gzhSeach_xiye");
			var l=document.getElementById("gzhSeach_mo");
			if(Number(v.value) === Number(l.innerHTML)){
	            HYX.gzhSeach.disableEnableBtn(2);
				return; 
			}
			v.value=l.innerHTML;
			HYX.gzhSeach.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.gzhSeach.scrolltop(v.value);
		});
		
		//设置上一页点击事件
		$("#gzhSeach_top").click(function(){
	        HYX.gzhSeach.disableEnableBtn(1);
			var v=document.getElementById("gzhSeach_xiye");
			var num=v.value;
			if(num>1){
				num--;
				v.value = num;
				HYX.gzhSeach.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.gzhSeach.scrolltop(v.innerHTML);
			}else{
				HYX.gzhSeach.disableEnableBtn(2);
			}
		});
		
		//设置下一页点击事件
		$("#gzhSeach_down").click(function(){
	        HYX.gzhSeach.disableEnableBtn(1);
			var pages=parseInt($("#gzhSeach_mo").html());//获取当前的总页数
			var v=$("#gzhSeach_xiye");
			var num=parseInt(v.val());
			if(num < pages){
				num = ++num;
				v.val(num);
				HYX.gzhSeach.loadTdaEncOneAreaDetailData(num);
				HYX.gzhSeach.scrolltop(num);
            }else{
              HYX.gzhSeach.disableEnableBtn(2);
            }
		});
		
		//点击跳转
		$("#gzhSeach_jump").click(function(){
			var pagenum = $.trim($('#gzhSeach_xiye').val());
			var maxpage = $('#gzhSeach_mo').html();
			if(pagenum == ""){
				$.toast("请输入跳转页");
				return;
			}
			if(parseInt(pagenum)>parseInt(maxpage)){
				$.toast("请输入正确页数");
				$('#gzhSeach_xiye').val(pageNumber);
				return;
			}
			if(isNaN(pagenum)){
				$.toast("请输入正确页数");
				return;
			}
			HYX.gzhSeach.loadTdaEncOneAreaDetailData(pagenum);
		});
		
	    }
	  };
	                               
	  var disableEnableBtn=function(state){
	       if(state === 1){
	         $("#gzhSeach_first").attr("disabled","disabled");
	         $("#gzhSeach_last").attr("disabled","disabled");
	         $("#gzhSeach_top").attr("disabled","disabled");
	         $("#gzhSeach_down").attr("disabled","disabled");
	         $("#gzhSeach_xifenye").attr("disabled","disabled");
	       }else if(state === 2){
	         $("#gzhSeach_first").removeAttr("disabled");
	         $("#gzhSeach_last").removeAttr("disabled");
	         $("#gzhSeach_top").removeAttr("disabled");
	         $("#gzhSeach_down").removeAttr("disabled");
	         $("#gzhSeach_xifenye").removeAttr("disabled");
	       }
	  };
	
	return {
		goToTdaEncgzhSearchPage : goToTdaEncgzhSearchPage,
	    initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    backTdaEncOneAreaDetailPage:backTdaEncOneAreaDetailPage,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    disableEnableBtn:disableEnableBtn,
	    refreshGzhdata:refreshGzhdata,
	    removGzhseachInput:removGzhseachInput
	};
})();

