/**
 * 运行状态列表详情
 */
HYX.namespace("ownEncContMapPage");
HYX.ownEncContMapPage = (function() {
	
	var ownEncContMapPage_region="";
	var ownEncContMapPage_detail="";
	var ownEncContMapPage_total=new Array();
	var todayflag = '';
	var ownEncContMapPage_flag = true;
	var gzbid = ""; //冠字号码
	var loadData = new Array();
	//进入页面
	var loadownEncContMapPage = function(loadContData,bid){
		$.router.loadPage("#ownEncContMapPage");
		$('#ownEncMapPage_time').html('');
		HYX.ownEncContMapPage.openOwnEncMapPageContentData(loadContData,bid);
		gzbid = bid;
		HYX.ownEncContMapPage.refreshEncDetailPage();
		
	};
	
	//初始化时间控件
	var initownEncContMapPageTime=function(){
		$("#firstTime_yxzt").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
  	    $("#lastTime_yxzt").calendar({
  	    	monthNames:['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'],
  	    	dayNamesShort:['日','一','二','三','四','五','六']
  	    });
	};
	
	//清空搜索栏，时间
	var removeSearchEncOneAreaDetailPage=function(){
		$('#ownEncContMapPage_devid').html("");
		$('#ownEncContMapPage_content').html("");
		$("#ownEncContMapPage_searchContent").val("");
		$("#firstTime_yxzt").val("");
		$("#lastTime_yxzt").val("");
		$('#cunEncOnezongmum').html(0);
		$('#quEncOnezongmum').html(0);
		HYX.ownEncContMapPage.loadownEncContMapData(1); 
	};
	
	//刷新方法
	var refreshEncDetailPage = function(){
		var liHei = $('.list_y_le').width();
  	    var whei = $(window).width();
  	    //$('.gzhData_gd').css('width',whei-liHei);
  	    
    	HYX.ownEncContMapPage.initownEncContMapPageTime();   //初始化时间控件
    	HYX.ownEncContMapPage.initEncOneAreaDetailPage();   //分页
    	HYX.ownEncContMapPage.setownEncContMapPage(0,0);   //设置分页数据
  	
    	HYX.ownEncContMapPage.removeSearchEncOneAreaDetailPage();   //清空数据
	};
	
	//搜索方法
	var searchEncOneDetail=function(){
		todayflag = '';
		HYX.ownEncContMapPage.loadownEncContMapData(1); 
	};
	
	//列表赋值
	var openOwnEncMapPageContentData = function(loadContData,bid){
		var obj=null;
		for(var i=0;i<loadContData.length;i++){
			if(loadContData[i].devid == bid){
				obj=loadContData[i];
				loadData=loadContData[i];
				break;
			}
		}
		if(null == obj){
			return;
		}
		var content="";
		var encurbandistrict=obj.encurbandistrict;
		if(typeof(encurbandistrict) != "undefined"){
			content+=encurbandistrict;
		}
		var encregion=obj.encregion;
		if(typeof(encregion) != "undefined"){
			content+=encregion;
		}
		var encbank=obj.encbank;
		if(typeof(encbank) != "undefined"){
			content+=encbank;
		}
		var encdot=obj.encdot;
		if(typeof(encdot) != "undefined"){
			content+=encdot;
		}
		$("#ownEncMapPage_title").text(obj.location_info);
		$("#ownEncMapPage_bank").text(obj.encbank+'-'+obj.encdot);
	   
		//兑换钞箱(张)
		$("#ownEncMapPage_dh_100").text(obj.cash_100_total);
		$("#ownEncMapPage_dh_50").text(obj.cash_50_total);
		$("#ownEncMapPage_dh_20").text(obj.cash_20_total);
		$("#ownEncMapPage_dh_10").text(obj.cash_10_total);
		$("#ownEncMapPage_dh_5").text(obj.cash_5_total);
		$("#ownEncMapPage_dh_1").text(obj.cash_1_total);
	   
		//回收钞箱
		$("#ownEncMapPage_hs_100").text(obj.cash_100_rebox);
		$("#ownEncMapPage_hs_50").text(obj.cash_50_rebox);
		$("#ownEncMapPage_hs_20").text(obj.cash_20_rebox);
		$("#ownEncMapPage_hs_10").text(obj.cash_10_rebox);
		$("#ownEncMapPage_hs_5").text(obj.cash_5_rebox);
		$("#ownEncMapPage_hs_1").text(obj.cash_1_rebox);
	   
	   
		//硬币兑换钞箱(枚)
		$("#ownEncMapPage_yh_10").text(obj.coin_10_total);
		$("#ownEncMapPage_yh_5").text(obj.coin_5_total);
		$("#ownEncMapPage_yh_1").text(obj.coin_1_total);
	   
	   
		//硬币回收钞箱(枚)
		$("#ownEncMapPage_yhui_10").text(obj.coin_10_rebox);
		$("#ownEncMapPage_yhui_5").text(obj.coin_5_rebox);
		$("#ownEncMapPage_yhui_1").text(obj.coin_1_rebox);
	   
		//成卷硬币兑换钞箱(卷)
		$("#ownEncMapPage_yj_10").text(obj.jcoin_10_total);
		$("#ownEncMapPage_yj_5").text(obj.jcoin_5_total);
		$("#ownEncMapPage_yj_1").text(obj.jcoin_1_total);
	   
		$("#ownEncMapPage_time").text(obj.inserttime);
	};
	
	/**
	 * page：第几页
	 * 
	 */ 
	var loadownEncContMapData=function(page){
	  	
	  	ownEncContMapPage_total=new Array();
	  	
	  	var ownEncContMapPage_start=$.trim($("#firstTime_yxzt").val());
		var ownEncContMapPage_end=$.trim($("#lastTime_yxzt").val());
		
		if("undefined" == typeof(ownEncContMapPage_start) || null == ownEncContMapPage_start || "" == ownEncContMapPage_start){
			ownEncContMapPage_start="1999-9-9";
		}
		
		if("undefined" == typeof(ownEncContMapPage_end) || null == ownEncContMapPage_end || "" == ownEncContMapPage_end){
			var myDate=new Date();
			ownEncContMapPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+myDate.getDate();
		}
		
		var start=new Date(ownEncContMapPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(ownEncContMapPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.ownEncContMapPage.disableEnableBtn(2);
			return;
		}
		
		var ownEncContMapPage_searchContent=$.trim($("#ownEncContMapPage_searchContent").val());
		
		if(null == ownEncContMapPage_searchContent || "null" == ownEncContMapPage_searchContent || "undefined" == typeof(ownEncContMapPage_searchContent)){
			ownEncContMapPage_searchContent="";
		}
		
		var myDate = new Date();//获取系统当前时间
		var hours = myDate.getHours(); //获取当前小时数(0-23)
		if(hours>0 && hours<7){
			$.toast("设备关机，暂无法查询故障数据！");
			$('#ownEncContMapPage_content').html('');
			$('#ownEncContMapPage_devid').html('');
			$('#gzxqFenye').hide();
			$('#gzxqNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
			return;
		}
		
		if(loadData.state != "err"){
			$.toast("暂无故障数据");
			$('#ownEncContMapPage_content').html('');
			$('#ownEncContMapPage_devid').html('');
			$('#gzxqFenye').hide();
			$('#gzxqNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
			return;
		}
		
	  	var param={
			"startDate" : ownEncContMapPage_start,//开始时间
			"endDate" : ownEncContMapPage_end,//结束时间
			"searchValuesParam" : ownEncContMapPage_searchContent, //搜索内容
			"page": page, //页数
			"rows" : 10, //每页显示10条数据
			"devid" : gzbid
		};
		// 开启进度条
		//by宇
	    $.showIndicator();
	    $.ajax({
	    	type : "get",
	    	url: basePath + "findGzInfoData",
		    data : param,
		    dataType : "jsonp",
			jsonp : "callback",
	  		jsonpCallback : "success_jsonpCallback",
	    	success : function(data) {
	    		//关闭进度条
	    		$.hideIndicator();
	    		var error=data.error;
				if("undefined" != typeof(error)){
					HYX.util.error(error);
					return;
				}
				if(!data.flag){
					var datetime = HYX.ownEncContMapPage.getNowFormatDate();
					var stime = Date.parse(new Date(datetime));
					var etime = Date.parse(new Date(loadData.inserttime));
					var usedTime = stime - etime;
					var days=Math.floor(usedTime/(24*3600*1000));
					
					if(days>1 || days==1){
						$.toast('上传故障，暂无故障数据！');
					}else{
						$.toast(data.messgae);
					}
					$('#ownEncContMapPage_content').html('');
	    			$('#ownEncContMapPage_devid').html('');
	    			$('#gzxqFenye').hide();
	    			$('#gzxqNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
					return;
				}
	    		if(data.content.list != null && data.content.list != "null" && typeof(data.content.list.length) != 'undefined' && data.content.list.length != 0){
	    			$('#gzxqFenye').show();
	    			$('#gzxqNull').html('');
	    			HYX.ownEncContMapPage.disableEnableBtn(2);
		    		var dataList=data.content.list;
		    		var pagTtotal=data.content.total;
		    		//ownEncContMapPage_total=data.list.totalEncexchangeinfo;
		    		HYX.ownEncContMapPage.setownEncContMapLineDate(dataList);
		    		HYX.ownEncContMapPage.setownEncContMapPage(page,pagTtotal);
	    		}else{
	    			$('#ownEncContMapPage_content').html('');
	    			$('#ownEncContMapPage_devid').html('');
	    			$('#gzxqFenye').hide();
	    			$('#gzxqNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	    			$.toast("暂无数据");
	    		}
	    	},
	    	timeout : 15000,
	    	error : function(XMLHttpRequest, textStatus, errorThrown) {
	    		$.hideIndicator();
	    		HYX.ownEncContMapPage.disableEnableBtn(2);
	    		if (textStatus == "timeout") {
	    			$.toast("获取超时");
	    		}else {
	    			$.toast("获取失败,请重试");
	    		}
	    	}
	    });
	};
	 
	//获取当前时间，格式yyyy-MM-dd HH:MM:SS
    var getNowFormatDate = function() {
    	var date = new Date();
        var seperator1 = "-";
        var seperator2 = ":";
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        if (month >= 1 && month <= 9) {
            month = "0" + month;
        }
        if (strDate >= 0 && strDate <= 9) {
            strDate = "0" + strDate;
        }
        var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
                + " " + date.getHours() + seperator2 + date.getMinutes()
                + seperator2 + date.getSeconds();
        return currentdate;
    }
	
    
    
	/**
	 * 设置列表数据
	 */
	var setownEncContMapLineDate=function(dataList){
	
	  	
	  	var ownEncContMapPage_devid_html="";
	  	var ownEncContMapPage_data_html="";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			
	  			//---start 设备信息
	  			var devid=dataList[i].equipNumber;
	  			ownEncContMapPage_devid_html+='<tr><td>'+devid+'</td></tr>';
	  			//---end
	  			
	  			//---start 列表数据
	  			ownEncContMapPage_data_html+='<tr>' +
	  					'<td>'+dataList[i].enname+'</td>' + //故障详解
	  					'<td>'+dataList[i].exdate+'</td>' + //故障时间
	  					'<td>'+dataList[i].exceptioncode+'</td>' + //故障编码
	  					'<td>'+dataList[i].equipNumber+'</td>' + //机身编码
	  					'</tr>';
	  			//---end
	  		}
	  	}
	  	
	  	//$("#ownEncContMapPage_devid").html(ownEncContMapPage_devid_html);
	  	$("#ownEncContMapPage_content").html(ownEncContMapPage_data_html);
	  
	};
	  
	/**
	 * 设置分页的数据
	 */
	var setownEncContMapPage=function(page,pagTtotal){
	  	$("#ownEncContMapPage_xiye").text(page);
	  	$("#ownEncContMapPage_mo").text(Math.ceil(Number(pagTtotal)/10));
	};
	  
	/**
	 * 设置翻页
	 */
	var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#ownEncContMapPage_xab").scrollTop(hei);
	};
	  
	/**
	 * 分页请求选择
	 */
	var fl=function(p1,p2){
	  	$("#ownEncContMapPage_xiye").empty();
		$("#ownEncContMapPage_xiye").html(p1);//给显示的页数赋值
		HYX.ownEncContMapPage.loadownEncContMapData(p1);
	};
	  
	/**
	 * 设置分页数,以及设置初始化
	 */
	var initEncOneAreaDetailPage=function(){
	    if(ownEncContMapPage_flag){
	    	ownEncContMapPage_flag=false;
	    	//设置首页点击事件
		  	$("#ownEncContMapPage_first").click(function(){
		        HYX.ownEncContMapPage.disableEnableBtn(1);
				var v=document.getElementById("ownEncContMapPage_xiye");
				if(Number(v.innerHTML) === 1){
		            HYX.ownEncContMapPage.disableEnableBtn(2);
					return;
				}
				v.innerHTML=1;
				HYX.ownEncContMapPage.loadownEncContMapData(1);
				HYX.ownEncContMapPage.scrolltop(v.innerHTML);
			});
			
			//设置点击莫页事件
			$("#ownEncContMapPage_last").click(function(){
		        HYX.ownEncContMapPage.disableEnableBtn(1);
				var v=document.getElementById("ownEncContMapPage_xiye");
				var l=document.getElementById("ownEncContMapPage_mo");
				if(Number(v.innerHTML) === Number(l.innerHTML)){
		            HYX.ownEncContMapPage.disableEnableBtn(2);
					return; 
				}
				v.innerHTML=l.innerHTML;
				HYX.ownEncContMapPage.loadownEncContMapData(Number(v.innerHTML));
				HYX.ownEncContMapPage.scrolltop(v.innerHTML);
			});
			
			//设置上一页点击事件
			$("#ownEncContMapPage_top").click(function(){
		        HYX.ownEncContMapPage.disableEnableBtn(1);
				var v=document.getElementById("ownEncContMapPage_xiye");
				var num=v.innerHTML;
				if(num>1){
					num--;
					v.innerHTML=num;
					HYX.ownEncContMapPage.loadownEncContMapData(Number(v.innerHTML));
					HYX.ownEncContMapPage.scrolltop(v.innerHTML);
		        }else{
		            HYX.ownEncContMapPage.disableEnableBtn(2);
		        }
			});
			
			//设置下一页点击事件
			$("#ownEncContMapPage_down").click(function(){
		        HYX.ownEncContMapPage.disableEnableBtn(1);
				var pages=parseInt($("#ownEncContMapPage_mo").html());//获取当前的总页数
				var v=$("#ownEncContMapPage_xiye");
				var num=parseInt(v.html());
				if(num < pages){
					num = ++num;
					v.html(num);
					HYX.ownEncContMapPage.loadownEncContMapData(num);
					HYX.ownEncContMapPage.scrolltop(num);
		        }else{
		            HYX.ownEncContMapPage.disableEnableBtn(2);
		        }
			});
			
			
			//设置点击中间弹出下拉框,选择页数
			$("#ownEncContMapPage_xifenye").click(function(a){
				$("#ownEncContMapPage_uljia").empty();
				$("#ownEncContMapPage_xab").toggle();
				//显示出的一共多少页
				var uljia=$("#ownEncContMapPage_uljia");
				var page=parseInt($("#ownEncContMapPage_xiye").html());//获取当前的页数
				var pages=parseInt($("#ownEncContMapPage_mo").html());//获取当前的总页数
				for(var i=1;i<=pages;i++){
					var H="<li  onclick='HYX.ownEncContMapPage.fl("+i+","+pages+")'>"+i+"</li>";//添加一共多少页和点击事件
					uljia.append(H);
				}
				HYX.ownEncContMapPage.scrolltop(page);
			});
	    }
	};
	                               
	var disableEnableBtn=function(state){
		if(state === 1){
			$("#ownEncContMapPage_first").attr("disabled","disabled");
		    $("#ownEncContMapPage_last").attr("disabled","disabled");
		    $("#ownEncContMapPage_top").attr("disabled","disabled");
		    $("#ownEncContMapPage_down").attr("disabled","disabled");
		    $("#ownEncContMapPage_xifenye").attr("disabled","disabled");
		}else if(state === 2){
		    $("#ownEncContMapPage_first").removeAttr("disabled");
		    $("#ownEncContMapPage_last").removeAttr("disabled");
		    $("#ownEncContMapPage_top").removeAttr("disabled");
		    $("#ownEncContMapPage_down").removeAttr("disabled");
		    $("#ownEncContMapPage_xifenye").removeAttr("disabled");
		}
	};

	//转换货币格式方法  
	var thousandBitSeparator=function(str){
	   var num = parseFloat(str).toFixed(3);//这里因为我需要两位小数所以做一个限制，你们看情况做小数位的限制
	   var s = num.substring(0, (num.length-1));//只取小数位2位
	   return s && s.toString().replace(/(\d)(?=(\d{3})+\.)/g, function($0, $1) {
	       return $1 + ",";
	   });
	};
	
	
	return {
		loadownEncContMapPage: loadownEncContMapPage,
		openOwnEncMapPageContentData:openOwnEncMapPageContentData,
		initownEncContMapPageTime : initownEncContMapPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    loadownEncContMapData : loadownEncContMapData,
	    setownEncContMapLineDate:setownEncContMapLineDate,
	    setownEncContMapPage:setownEncContMapPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    thousandBitSeparator:thousandBitSeparator,
	    disableEnableBtn:disableEnableBtn,
	    refreshEncDetailPage:refreshEncDetailPage,
	    getNowFormatDate:getNowFormatDate
	};
})();

