/**
 * ENC动态密码界面
 */
var setIntervalId=new Array();
function goToOwnEncPage(){
  $.router.loadPage("#ownEncPage");
  //初始化下拉刷新动态密码
  initOwnEncPageDownRefresh();
  //渲染列表
  loadOwnEncPageData();
}


/**
 * 初始化ENC动态密码详情列表页面下拉刷新
 */
function initOwnEncPageDownRefresh(){
  //初始化下拉
  $.initPullToRefresh('#pull-to-refresh-ownEncPage');
  //下拉刷新所调用的方法
  $(document).on('refresh', '#pull-to-refresh-ownEncPage',function(e) {
    if(flag){
      loadOwnEncPageData();
      flag=false;
    }else{
      flag=true;
    }
    $.pullToRefreshDone('#pull-to-refresh-ownEncPage');
  });
}

function loadOwnEncPageData1(){
	$.closeModal('.ownEncPage-item-content-popup');
	if(null != setIntervalId && setIntervalId.length != 0){
		  for(var i=0;i<setIntervalId.length;i++){
		    window.clearInterval(setIntervalId[i]);
		  }
		  }
}

/**
 * 动态密码列表
 */
function loadOwnEncPageData(){
  $("#ownEncPage-item-content").html("");
  if(null != setIntervalId && setIntervalId.length != 0){
  for(var i=0;i<setIntervalId.length;i++){
    window.clearInterval(setIntervalId[i]);
  }
  }
  //用户信息获取
  if(null == userInfo){
    $.toast('用户信息获取失败!');
    return;
  }
  //传参
  var param = {
    'user_id': userInfo.user_id
  };
  //开启进度条
  $.showIndicator();
  $.ajax({
    type : "get",
    dataType : "jsonp",
    jsonp : "callback",
    jsonpCallback : "success_jsonpCallback",
    url: basePath + "getInsideUserLine",
    data: param,
    success: function(data){
      //关闭进度条
      $.hideIndicator();
      
      var error=data.error;
      if("undefined" != typeof(error)){
        HYX.util.error(error);
        return;
      }
      
      if(data.flag){
        renderOwnEncPageData(data.content);
      }else{
        $.toast(data.messgae);
      }
      
    },
  timeout:15000,
  error:function(XMLHttpRequest, textStatus, errorThrown){
    $.hideIndicator();
    if(textStatus == "timeout"){
      $.toast("获取超时");
    }else{
    	HYX.util.error('error');
    }
  }
  });
}


/**
 * 渲染数据
 * ownEncPage-item-content
 *      <ul>
          <li class="item-content item-link">
            <div class="item-inner">
              <div class="item-title">商品名称</div>
            </div>
          </li>
          <li class="item-content item-link">
            <div class="item-inner">
              <div class="item-title">型号</div>
            </div>
          </li>
        </ul>
        $("#ownEncPage-item-content").html("");
 */
var ownEncPage_item_content_data=new Array();
function renderOwnEncPageData(data){
  ownEncPage_item_content_data=new Array();
  var html="";
  html+="<ul>";
  try{
    var encData=data.enc;
    ownEncPage_item_content_data=data.data;
    for (var key in encData) {
      html+="<li class='item-content item-link' onclick='getOwnEncPagePassAccount(\""+key+"\")'>";
      html+="<div class='item-inner'>";
      html+="<div class='item-title' style='font-size:0.7rem'>"+encData[key]+"</div>";
      html+="</div>";
      html+="</li>";
      }
  }catch(e){
    $.toast("数据异常");
  }
  html+="</ul>";
  $("#ownEncPage-item-content").html(html);
}

/**
 * 获取帐号密码
 * ownEncPage_item_content_AccountPass
 */
function getOwnEncPagePassAccount(bank_id){
  $.popup('.ownEncPage-item-content-popup');
  var title="";
  for(var i=0;i<ownEncPage_item_content_data.length;i++){
    var equip_ID=ownEncPage_item_content_data[i].equip_ID;
    if(bank_id == equip_ID){
      title=ownEncPage_item_content_data[i].equip_ADDR;
      break;
    }
  }
  $("#ownEncPage-item-content-popup-title").text(title);
  
  var dataArray=new Array();
  try{
    for(var i=0;i<ownEncPage_item_content_data.length;i++){
      var equip_ID=ownEncPage_item_content_data[i].equip_ID;
      if(bank_id == equip_ID){
        dataArray.push(ownEncPage_item_content_data[i]);
      }
    }
  }catch(e){
    $.toast("数据异常");
  }
  
  var html='';
  if(null != dataArray && dataArray.length != 0){
    for(var i=0;i<dataArray.length;i++){
      var data=dataArray[i];
      html+='<div class="card">';
      html+='<div class="card-content">';
      html+='<div class="list-block media-list">';
      html+='<ul>';
      html+='<li class="item-content">';
      html+='<div class="item-inner">';
      html+='<div class="item-title-row">';
      html+='<div class="item-title" style="font-size:0.7rem"><img src="img/na_lagin.png" class="ownenc_img_log"/>帐号：'+data.user_ACCOUNT+'</div>';
      if(Number(data.user_TYPE) === 1){
        html+='<div class="item-after" style="font-size:0.7rem;color:blue;">加钞</div>';
      }else if(Number(data.user_TYPE) === 12){
        html+='<div class="item-after" style="font-size:0.7rem;color:red;">维护</div>';
      }
      html+='</div>';
      html+='<div class="item-subtitle" style="font-size:0.7rem"><img src="img/enc_password.png" class="ownenc_img_log"/>密码：'+data.user_PASS+'</div>';
      html+='</div>';
      html+='</li></ul></div></div>';
      html+='<div class="card-footer">';
      html+='<span style="font-size:0.62rem">'+data.user_LASTUPDATETIME+'</span>';
      //到期时间 data.user_LASTUPDATETIME+10分钟
      //现在时间 new data()
      //data.user_LASTUPDATETIME+10分钟-new data()=好多秒;
      //进行倒计时 -1 秒次更新一次
      //window.setInterval("setIntervalLastUpadteTime(data.user_LASTUPDATETIME)",1000);
      var timeStr=setIntervalLastUpadteTime(data.user_LASTUPDATETIME);
      var str="失效倒计时";
      if(timeStr === -1){
        str="密码已失效";
      }else{
        str+=timeStr;
        str+="秒";
      }
      html+='<span style="font-size:0.7rem" id="ownEncPage_getTime'+i+'">'+str+'</span>';
      html+='</div></div>';
    }
  }
  $("#ownEncPage_item_content_AccountPass").html(html);
  if(null != dataArray && dataArray.length != 0){
    var _setIntervalId=setInterval(function(){
      setIntervalPushUpdateTime(dataArray);
    },1000);
    setIntervalId.push(_setIntervalId);
  }
}

/**
 * 请求数据
 */
function setIntervalLastUpadteTime(timeStr){
  var date1=new Date(timeStr.replace(/-/g,"/")).getTime()+1000*60*10;
  var date2=new Date().getTime();
  var number=parseInt((Number(date1)-Number(date2))/1000);
    if(number<=1){
    number=-1;
  }
  return number;
}

/**
 * 倒计时改变
 */
function setIntervalPushUpdateTime(dataArray){
  for(var i=0;i<dataArray.length;i++){
    var data=dataArray[i].user_LASTUPDATETIME;
    var timeStr=setIntervalLastUpadteTime(data);
    var str="失效倒计时";
    if(timeStr === -1){
      str="密码已失效";
    }else{
      str+=timeStr;
      str+="秒";
    }
    $("#ownEncPage_getTime"+i+"").text(str);
  }
}

/**
 * 
 <div class="card">
    <div class="card-content">
      <div class="list-block media-list">
        <ul>
          <li class="item-content">
            <div class="item-inner">
              <div class="item-title-row">
                <div class="item-title">帐号</div>
                <div class="item-after">1:加钞  21:维护</div>
              </div>
              <div class="item-subtitle">密码</div>
            </div>
          </li></ul></div></div>
    <div class="card-footer">
      <span>2015/01/15</span>
      <span>5 评论</span>
    </div></div>           
 */


