/**
 * 设置中心
 */
HYX.namespace("settingPage");
HYX.settingPage = (function() {
  
 /**
   * 前往登录界面
   */
  var goToSettingPageMethod=function(){
    $.router.loadPage("#settingPage");
  };

  $(document).on('click','.setting_delit', function () {
	  $.modal({
	      title:  '<img src="img/yunnan_logo.png"/>硬币之家',
	      text: '硬币之家--向银行、公司、企业提供硬币信息数据服务，以硬币机具为纽带，以大数据为基础，以优质高效的服务体系为依托，通过线下交易，线上数据交互，帮助各大银行、公司、企业，实现硬币数据信息的共享及分析，充分利用碎片时间管理并监控设备的一切状态，让您不局限于场所，随时随地关注您的企业设备数据，让设备信息唾手可得，让决策分析尽在掌握。',
	      buttons: [
	        {
	          text: '关 闭',
	          onClick: function() {
	          }
	        }
	      ]
	    })
	});
  var signOutPage = function(){
	  //询问框
	  layer.open({
	    content: '是否确认退出？'
	    ,btn: ['确定', '取消']
	    ,yes: function(index){
	    	$.ajax({
	  	      type : "get",
	  	      dataType : "jsonp",
	  	      url: basePath + "exit",
	  	      jsonp : "callback",
	  	      jsonpCallback : "success_jsonpCallback",
	  	      success : function(data) {
	  	          //关闭进度条
	  	          $.hideIndicator();
	  	          var error=data.error;
	  	          if("undefined" != typeof(error)){
	  	        	$.toast("退出失败，请重试!");
	  	            return;
	  	          }
	  	          if(!data.flag){
	  	            $.toast(data.messgae);
	  	            return;
	  	          }
	  	          //切换帐号
	  	          $.router.loadPage('#loginPage');
	  	          $.toast("退出成功!");
	  	          userInfo = null;
	  	      },
	  	      timeout : 15000,
	  	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	  	        $.hideIndicator();
	  	        if(textStatus == "timeout") {
	  	          $.toast("退出超时");
	  	        }else{
	  	          $.toast("退出失败,请重试");
	  	        }
	  	      }
	  	    });
	    	 
	    	 layer.close(index);
	    }
	  });
  };
  
  //
  var signOutPage1 = function(){
	$.ajax({
      type : "get",
      dataType : "jsonp",
      url: basePath + "exit",
      jsonp : "callback",
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
          //关闭进度条
          $.hideIndicator();
          var error=data.error;
          if("undefined" != typeof(error)){
        	$.toast("退出失败，请重试!");
            return;
          }
          if(!data.flag){
            $.toast(data.messgae);
            return;
          }
          //切换帐号
          $.router.loadPage('#loginPage');
          $.toast("退出成功!");
          userInfo = null;
      },
      timeout : 15000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
        $.hideIndicator();
        if(textStatus == "timeout") {
          $.toast("退出超时");
        }else{
          $.toast("退出失败,请重试");
        }
      }
    });
  };
  
  //修改密码
  var updateSub = function(){
	  var old_pwd = $.trim($('#old_pwd').val());
	  var new_pwd = $.trim($('#new_pwd').val());
	  var zc_new_pwd = $.trim($('#zc_new_pwd').val());
	  if(old_pwd==""){
		  $.toast("旧密码不能为空");
		  return;
	  }
	  if(new_pwd=="" || zc_new_pwd==""){
		  $.toast("新密码不能为空");
		  return;
	  }
	  if(old_pwd==new_pwd){
		  $.toast("新密码与旧密码不能一样");
		  return;
	  }
	  if(new_pwd!=zc_new_pwd){
		  $.toast("新密码两次输入不一样");
		  return;
	  }
	  var param={
				"old_pwd" : old_pwd, 
				"new_pwd": new_pwd, 
				"user_account":userInfo.user_account
			};
	  $.ajax({
  	      type : "post",
  	      data : param,
  	      url: basePath + "updatePwd",
  	      success : function(data) {
  	          //关闭进度条
  	          $.hideIndicator();
  	        var error=data.error;
  	      if("undefined" != typeof(error)){
  	    	HYX.settingPage.colsepwd();
  	        HYX.util.error(error);
  	        return;
  	      }
  	      		
  	          if(data.flag){
  	        	HYX.settingPage.colsepwd();
  	        	$.toast("修改成功，请重新登录！");
  	        	setTimeout("HYX.settingPage.signOutPage1()",1500);
  	          }else{
  	        	 $.toast(data.content);
  	          }
  	      },
  	      timeout : 15000,
  	      error : function(XMLHttpRequest, textStatus, errorThrown) {
  	        $.hideIndicator();
  	        if(textStatus == "timeout") {
  	          $.toast("更新超时");
  	        }else{
  	        	HYX.settingPage.colsepwd();
  	        	HYX.util.error('error');
  	        }
  	      }
  	    });
  };
  var colsepwd= function(){
	  $('#old_pwd').val("");
	  $('#new_pwd').val("");
	  $('#zc_new_pwd').val("");
	  $('.updatePwd').hide();
  };
  var updatePwd= function(){
	  $('#old_pwd').val("");
	  $('#new_pwd').val("");
	  $('#zc_new_pwd').val("");
	  $('.updatePwd').show();
  };
  return {
	  goToSettingPageMethod: goToSettingPageMethod,
	  signOutPage:signOutPage,
	  updatePwd:updatePwd,
	  colsepwd:colsepwd,
	  updateSub:updateSub,
	  signOutPage1:signOutPage1
  };
})();

