/**
 * 少士加钞 shaoshiAddMoneyPage.js
 */
HYX.namespace("shaoshiAddMoneyPage");
HYX.shaoshiAddMoneyPage = (function() {

	
  /**
   * 跳转到少士加钞界面
   */
  var goToshaoshiAddMoneyPage=function(){
	  $.router.loadPage("#shaoshiAddMoneyPage");
	  $("#enczhibank").html("");
	  HYX.shaoshiAddMoneyPage.loadOwnEncPageData();
	  HYX.shaoshiAddMoneyPage.zesuan();
	  HYX.shaoshiAddMoneyPage.cleandiv();
  }
  
  
  /**
   * 动态密码列表
   */
  var loadOwnEncPageData=function(){
	    //用户信息获取
	    if(null == userInfo){
	      $.toast('用户信息获取失败!');
	      return;
	    }
	    //传参
	    var param = {
	      'user_id': userInfo.user_id
	    };
	    //开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      dataType : "jsonp",
	      jsonp : "callback",
	      url: basePath + "getInsideUserLine",
	      data: param,
	      success: function(data){
	        //关闭进度条
	        $.hideIndicator();
	        var error=data.error;
	        if("undefined" != typeof(error)){
	          HYX.util.error(error);
	          return;
	        }    
	        if(data.flag){
	          HYX.shaoshiAddMoneyPage.loadingPrimaryProvince();
	          $.hideIndicator();
	        }else{
	          $.toast(data.messgae);
	        }
	        
	      },
	    timeout:30000,
	    error:function(XMLHttpRequest, textStatus, errorThrown){
	      $.hideIndicator();
	      if(textStatus == "timeout"){
	        $.toast("获取超时");
	      }else{
	        $.toast("获取失败,请重试");
	      }
	    }
	 });  
  };
  
  
	

  
  /**
   * 获取省份
   */
  var loadingPrimaryProvince=function(){	  
	//获取省份
	$.ajax({
		type : "post",
		url : basePath + "findENCNoteTakingAuthority",
		success : function(data) {
			encurbandistrictlist=data.content;
			var html="";
			html +='<option value=""></option>';
			for(var i=0;i<encurbandistrictlist.length;i++){
				html +='<option value="'+encurbandistrictlist[i].equip_number+'">'+encurbandistrictlist[i].equip_number+'-'+encurbandistrictlist[i].encbank+'</option>';
			}
			$("#enczhibank").append(html);
		}
	});
  }
  
  
  /**
   * 提交数据
   */
  var addshaoshiAddMoney=function(){
	  var choose=HYX.shaoshiAddMoneyPage.panduanshaoshiAddMoney();
	  if(choose==0){
		  return;
	  }
	  
	  var equipmentnumber=$("#enczhibank").val();
	  var cash_100=$("#cash_100").val();
	  var cash_50=$("#cash_50").val();
	  var cash_20=$("#cash_20").val();
	  var cash_10=$("#cash_10").val();
	  var cash_5=$("#cash_5").val();
	  var cash_1=$("#cash_1").val();
	  var coin_10=$("#coin_10").val();
	  var coin_5=$("#coin_5").val();
	  var coin_1=$("#coin_1").val();
	  
	  //传参
		var param = {
		  'equipmentnumber': equipmentnumber,
		  'cash_100': Number(cash_100),
		  'cash_50': Number(cash_50),
		  'cash_20': Number(cash_20),
		  'cash_10': Number(cash_10),
		  'cash_5': Number(cash_5),
		  'cash_1': Number(cash_1),
		  'coin_10': Number(coin_10),
		  'coin_5': Number(coin_5),
		  'coin_1': Number(coin_1)
		};
		
		//开启进度条
		$.showIndicator();
		$.ajax({
		  type: "POST",
		  url: basePath + "insertAddNotes",
		  data: param,
		  success: function(data) {
		    //关闭进度条
		    $.hideIndicator();
		  },
		timeout:15000,
		error:function(XMLHttpRequest, textStatus, errorThrown){
		  $.hideIndicator();
		  if(textStatus == "timeout"){
		    $.toast("提交超时");
		  }else{
		    $.toast("提交失败,请重试");
		  }
		}
	});
  }
  
  /**
   * 条件判断
   */
  var panduanshaoshiAddMoney=function(){
	  var reg= /^[1-9]*[1-9][0-9]*$/;
	  var equipmentnumber=$("#enczhibank").val();
	  var cash_100=$("#cash_100").val();
	  var cash_50=$("#cash_50").val();
	  var cash_20=$("#cash_20").val();
	  var cash_10=$("#cash_10").val();
	  var cash_5=$("#cash_5").val();
	  var cash_1=$("#cash_1").val();
	  var coin_10=$("#coin_10").val();
	  var coin_5=$("#coin_5").val();
	  var coin_1=$("#coin_1").val();
	  if(equipmentnumber=="" || equipmentnumber=="null " || equipmentnumber== null){
		  $.toast("请选择设备");
		  return 0;
	  }
	  if(cash_100 == ""){
		  cash_100=0;
	  }
	  if(cash_50 == ""){
		  cash_50=0;
	  }
	  if(cash_20 == ""){
		  cash_20=0;
	  }
	  if(cash_10 == ""){
		  cash_10=0;
	  }
	  if(cash_5 == ""){
		  cash_5=0;
	  }
	  if(cash_1 == ""){
		  cash_1=0;
	  }
	  if(coin_10 == ""){
		  coin_10=0;
	  }
	  if(coin_5 == ""){
		  coin_5=0;
	  }
	  if(coin_1 == ""){
		  coin_1=0;
	  }
	  if(cash_100 == 0 && cash_50 == 0  && cash_20 == 0 && cash_10 == 0 && cash_5 == 0 && cash_1 == 0 && coin_10 == 0 && coin_5 == 0 && coin_1 == 0){
		  $.toast("请输入加钞数量");
		  return 0;
	  }
	  if(!reg.test(cash_100) && cash_100!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(cash_50) && cash_50!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }if(!reg.test(cash_20) && cash_20!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(cash_10) && cash_10!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(cash_5) && cash_5!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(cash_1) && cash_1!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(coin_10) && coin_10!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(coin_5) && coin_5!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  if(!reg.test(coin_1) && coin_1!=0){
		  $.toast("请输入正整数！");
		  return 0;
	  }
	  return 1;
  }
  
  
  var zesuan=function(){
	  $("#cash_100").blur(function(){
		  var cash_100=$.trim($("#cash_100").val());
		  $("#cash_100").prev().html("");
		  $("#cash_100").prev().html(cash_100*100+"元");
	  });
	  $("#cash_50").blur(function(){
		  var cash_50=$.trim($("#cash_50").val());
		  $("#cash_50").prev().html("");
		  $("#cash_50").prev().html(cash_50*50+"元");
	  });
	  $("#cash_20").blur(function(){
		  var cash_20=$.trim($("#cash_20").val());
		  $("#cash_20").prev().html("");
		  $("#cash_20").prev().html(cash_20*20+"元");
	  });
	  $("#cash_10").blur(function(){
		  var cash_10=$.trim($("#cash_10").val());
		  $("#cash_10").prev().html("");
		  $("#cash_10").prev().html(cash_10*10+"元");
	  });
	  $("#cash_5").blur(function(){
		  var cash_5=$.trim($("#cash_5").val());
		  $("#cash_5").prev().html("");
		  $("#cash_5").prev().html(cash_5*5+"元");
	  });
	  $("#cash_1").blur(function(){
		  var cash_1=$.trim($("#cash_1").val());
		  $("#cash_1").prev().html("");
		  $("#cash_1").prev().html(cash_1+"元");
	  });
	  $("#coin_10").blur(function(){
		  var coin_10=$.trim($("#coin_10").val());
		  $("#coin_10").prev().html("");
		  $("#coin_10").prev().html(coin_10+"元");
	  });
	  $("#coin_5").blur(function(){
		  var coin_5=$.trim($("#coin_5").val());
		  $("#coin_5").prev().html("");
		  $("#coin_5").prev().html(coin_5/2+"元");
	  });
	  $("#coin_1").blur(function(){
		  var coin_1=$.trim($("#coin_1").val());
		  $("#coin_1").prev().html("");
		  $("#coin_1").prev().html(coin_1/10+"元");
	  });
	  
  }
  
  
  var cleandiv=function(){
	  $("#cash_100").val("");
	  $("#cash_100").prev().html("");
	  $("#cash_50").val("");
	  $("#cash_50").prev().html("");
	  $("#cash_20").val("");
	  $("#cash_20").prev().html("");
	  $("#cash_10").val("");
	  $("#cash_10").prev().html("");
	  $("#cash_5").val("");
	  $("#cash_5").prev().html("");
	  $("#cash_1").val("");
	  $("#cash_1").prev().html("");
	  $("#coin_10").val("");
	  $("#coin_10").prev().html("");
	  $("#coin_5").val("");
	  $("#coin_5").prev().html("");
	  $("#coin_1").val("");
	  $("#coin_1").prev().html("");
  }
  
  
  
  
 
  return {
	  goToshaoshiAddMoneyPage:goToshaoshiAddMoneyPage,
	  loadOwnEncPageData:loadOwnEncPageData,
	  loadingPrimaryProvince:loadingPrimaryProvince,
	  addshaoshiAddMoney:addshaoshiAddMoney,
	  panduanshaoshiAddMoney:panduanshaoshiAddMoney,
	  zesuan:zesuan,
	  cleandiv:cleandiv
  };
})();


