/**
 *  交易数据分析首页-地区选择
 */
HYX.namespace("tdaEncOnePage");
HYX.tdaEncOnePage = (function() {
  
  /**
   * 跳向交易数据分析的首页
   */
  var goToTdaEncOnePageMethod=function(){
  	$.router.loadPage("#tdaEncOnePage");
  	$.closePanel();
  	HYX.tdaEncOnePage.initTdaEncOnePageRegionData();
  };
  
  
  /**
   * 地区查询
   */
  var initTdaEncOnePageRegionData=function(){
	
  };
  
  /**
   * 区域数据渲染
   */
  var color=['#FF66FF','#66CCCC','#99FFCC','#99CC99','#CCFFCC','#66CC33','#339900',
  '#999900','#CCCC00','#FFFFCC','#FFCC66','#CC6600','#FF9933',
  '#990033','#FF3399','#99FFFF','#CC33FF','#660099','#99CCFF','#0033FF','#CC6699','#FF9999',
  '#CC33CC','#CC99CC','#666FF','#9933FF','#66CCFF','#CCCCFF','#FFCC00','#FF9900','#FF6633',
  '#993333','#33CCCC','#66FFCC','#339933','#00FF66','#00FF00','#33CC00','#CCFF00','#CCCC99'];
  /**
   * 
     <div class="add_div">
		<a href="#" class="fl" onclick="HYX.tdaEncOneAreaPage.goToTdaEncOneAreaPageMethod(1)">重庆</a>
		<a href="#" class="fr" style="background-color: #d04d4d;" onclick="HYX.tdaEncOneAreaPage.goToTdaEncOneAreaPageMethod(2)">四川</a>
	 </div>
   */
  var loadDataHtml=function(data){
  	var regionData=data.content.regionList;
  	var bankTotal=data.content.bankTotal;
  	try{
  		if(null != bankTotal && "undefined" != typeof(bankTotal) && "null" != bankTotal && ""!=bankTotal){
  			$("#tdaEncOnePage_bankTotal").text(bankTotal);
  		}else{
  			$("#tdaEncOnePage_bankTotal").text(0);
  		}
  		var result=HYX.tdaEncOnePage.dataSplit2Group(regionData);
	  	var color_result=HYX.tdaEncOnePage.dataSplit2Group(color);
	  	var html="";
	  	if(result.length > color_result.length){
	  		$.toast("地区太多,无法渲染");
	  		$("#tdaEncOnePage_address_add_div").html(html);
	  		return;
	  	}
	  	for(var i=0;i<result.length;i++){
	  		var dataGroup=result[i];
	  		if(dataGroup.length === 2){
	  			html+='<div class="add_div">';
				html+='<a href="#" class="fl" style="background-color: '+color_result[i][0]+'" onclick="HYX.tdaEncOneAreaPage.goToTdaEncOneAreaPageMethod(\''+dataGroup[0]+'\')">'+dataGroup[0]+'</a>';
				html+='<a href="#" class="fr" style="background-color: #'+color_result[i][1]+'" onclick="HYX.tdaEncOneAreaPage.goToTdaEncOneAreaPageMethod(\''+dataGroup[1]+'\')">'+dataGroup[1]+'</a>';
				html+='</div>';
	  		}else{
	  			html+='<div class="add_div">';
				html+='<a href="#" class="fl" style="background-color: #'+color_result[i][0]+'" onclick="HYX.tdaEncOneAreaPage.goToTdaEncOneAreaPageMethod(\''+dataGroup[0]+'\')">'+dataGroup[0]+'</a>';
				html+='</div>';
	  		}
		}
  	}catch(e){
  		$.toast("地区数据渲染异常");
  		html="";
  	}
    $("#tdaEncOnePage_address_add_div").html(html);
  };
  
  
  /**
   * 把数据分为2个一组
   */
  var dataSplit2Group=function(data){
  	var result = [];
	for(var i=0,len=data.length;i<len;i+=2){
	   result.push(data.slice(i,i+2));
	}
	return result;
  };
  
  
  
  return {
    goToTdaEncOnePageMethod : goToTdaEncOnePageMethod,
    initTdaEncOnePageRegionData : initTdaEncOnePageRegionData,
    loadDataHtml : loadDataHtml,
    dataSplit2Group:dataSplit2Group
  };
})();
