/**
 * 报表首页
 */
HYX.namespace("tdaEncPage");
HYX.tdaEncPage = (function() {
  
 /**
  * 报表首页
  */
  var goToTdaEncPageMethod=function(){
  	$.router.loadPage("#tdaEncPage");
  	HYX.tdaEncPage.initServerMethod();
  };
  
  /**
   * 访问后台
   */
  var initServerMethod=function(){
  	// 开启进度条
    $.showIndicator();
    $.ajax({
      type : "get",
      dataType : "jsonp",
      url: basePath + "tdaEncPage",
      jsonp : "callback",
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
          //关闭进度条
          $.hideIndicator();
          var error=data.error;
          if("undefined" != typeof(error)){
            HYX.util.error(error);
            return;
          }
          if(!data.flag){
            $.toast(data.messgae);
            return;
          }
      },
      timeout : 30000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
        $.hideIndicator();
        if (textStatus == "timeout") {
          $.toast("访问超时");
        } else {
          $.toast("访问失败,请重试");
        }
      }
    });
    
    var whei = $('.content_encpage').height();
    var lihei = whei/6;
    $('.content_encpage .i_list li').css('height',lihei);
  };
  return {
    goToTdaEncPageMethod : goToTdaEncPageMethod,
    initServerMethod : initServerMethod
  };
})();
