/**
 * 故障详细页面
 */
HYX.namespace("tdaEncTroubleAreaDetailPage");
HYX.tdaEncTroubleAreaDetailPage = (function() {
	var pageNumber; //初始化保存当前页数
	
	var tdaEncTroubleAreaDetailPage_total=new Array();
	var goToTdaEncTroubleAreaDetailPage=function(){
		$.router.loadPage("#tdaEncTroubleAreaDetailPage");
		pageNumber = 1;  //初始化当前页数
		HYX.tdaEncTroubleAreaDetailPage.initTdaEncOneAreaDetailPageTime();
		HYX.tdaEncTroubleAreaDetailPage.initEncOneAreaDetailPage();
		HYX.tdaEncTroubleAreaDetailPage.setTdaEncOneAreaDetailPage(0,0);
		HYX.tdaEncTroubleAreaDetailPage.removeSearchEncOneAreaDetailPage();
	};
	  
	  //初始化时间控件
	  var initTdaEncOneAreaDetailPageTime=function(){
		  $("#firstTime_gz").calendar({
				monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
				dayNamesShort:['日','一','二','三','四','五','六'],
				dateFormat:'yyyy-MM-dd'
			});
			$("#lastTime_gz").calendar({
				monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
				dayNamesShort:['日','一','二','三','四','五','六'],
				dateFormat:'yyyy-MM-dd'
			});
			var liHei = $('.list_y_le').width();
			var whei = $(window).width();
			//$('.gzhData_gd').css('width',whei-liHei);
	  };
	  //清空文本框
	  var removeSearchEncOneAreaDetailPage=function(){
	  	$("#tdaEncTroubleAreaDetailPage_searchContent").val("");
	  	$("#tdaEncTroubleAreaDetailPage_devid").html('');
	  	$("#tdaEncTroubleAreaDetailPage_content").html('');
		$("#firstTime_gz").val("");
		$("#lastTime_gz").val("");
		HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	  };
	  //搜索方法
	  var searchEncOneDetail=function(){
		  $("#tdaEncTroubleAreaDetailPage_devid").html('');
		  $("#tdaEncTroubleAreaDetailPage_content").html('');
		  HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(1); 
	  };
	  
	  /**
	   * page：第几页
	   * 
	   */ 
	  var loadTdaEncOneAreaDetailData=function(page){
	  	
	  	tdaEncTroubleAreaDetailPage_total=new Array();
	  	
	  	var tdaEncTroubleAreaDetailPage_start=$("#firstTime_gz").val();
		var tdaEncTroubleAreaDetailPage_end=$("#lastTime_gz").val();
		
		if("undefined" == typeof(tdaEncTroubleAreaDetailPage_start) || null == tdaEncTroubleAreaDetailPage_start || "" == tdaEncTroubleAreaDetailPage_start){
			tdaEncTroubleAreaDetailPage_start="1999-9";
		}
		
		if("undefined" == typeof(tdaEncTroubleAreaDetailPage_end) || null == tdaEncTroubleAreaDetailPage_end || "" == tdaEncTroubleAreaDetailPage_end){
			var myDate=new Date();
			tdaEncTroubleAreaDetailPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1);
		}
		
		var start=new Date(tdaEncTroubleAreaDetailPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(tdaEncTroubleAreaDetailPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
			return;
		}
		var tdaEncTroubleAreaDetailPage_searchContent=$.trim($("#tdaEncTroubleAreaDetailPage_searchContent").val());
		
		if(null == tdaEncTroubleAreaDetailPage_searchContent || "null" == tdaEncTroubleAreaDetailPage_searchContent || "undefined" == typeof(tdaEncTroubleAreaDetailPage_searchContent)){
			tdaEncTroubleAreaDetailPage_searchContent="";
		}
	  	var param={
			"start" : tdaEncTroubleAreaDetailPage_start,//开始时间
			"end" : tdaEncTroubleAreaDetailPage_end,//结束时间
			"searchContent" : tdaEncTroubleAreaDetailPage_searchContent, //搜索内容
			"page": page, //页数
			"rows" : 10 //每页显示10条数据
		};
		// 开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      dataType : "jsonp",
	      url: basePath + "getTdaEncTroubleRegionAreaDetailRegion",
	      jsonp : "callback",
	      data : param,
	      jsonpCallback : "success_jsonpCallback",
	      success : function(data) {
	          //关闭进度条
	          $.hideIndicator();
	          var error=data.error;
	          if("undefined" != typeof(error)){
	            HYX.util.error(error);
	            return;
	          }
	          if(!data.flag){
	            $.toast(data.messgae);
	            $('#gzsjFenye').hide();
	        	$('#gzsjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	            return;
	          }
	          var dataList=data.content.data;
	          var pagTtotal=data.content.total;
	          if(dataList.length > 0 && dataList!=null && dataList!='null' && typeof(dataList.length) != 'undefined'){
	        	  $('#gzsjFenye').show();
	        	  $('#gzsjNull').html('');
	        	  HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
		          tdaEncTroubleAreaDetailPage_total=data.content.totalTrouble;
		          HYX.tdaEncTroubleAreaDetailPage.setTdaEncOneAreaDetailLineDate(dataList);
		          HYX.tdaEncTroubleAreaDetailPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
	          }else{
	        	  $.toast("未查询到相关数据");
	        	  $('#gzsjFenye').hide();
	        	  $('#gzsjNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	          }
	          pageNumber = page;  //当前页数复制给全局变量保存
	      },
	      timeout : 9000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	        $.hideIndicator();
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
	        if (textStatus == "timeout") {
	          $.toast("获取超时");
	        } else {
	        	$.toast("获取失败,请重试");
	        }
	      }
	    });
		
	  };
	  
	  /**
	   * 设置列表数据
	   *
	   */
	  var setTdaEncOneAreaDetailLineDate=function(dataList){

	  	var tdaEncTroubleAreaDetailPage_data_html = "";
	  	var tdaEncTroubleAreaDetailPage_devid_html = "";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			
	  			//---start 列表数据
	  			tdaEncTroubleAreaDetailPage_data_html+='<tr>' +
	  					'<td>'+dataList[i].encregion+'</td>' + //地区
	  					'<td>'+dataList[i].bank+'</td>' + //地区
	 					'<td>'+dataList[i].encdot+'</td>' + //支行
	  					'<td>'+dataList[i].years+'</td>' + //时间（年）
	  					'<td>'+dataList[i].mm+'</td>' + //时间（月）
	  					'<td>'+dataList[i].con+'</td>' + // 故障次数
	  					'<td>'+HYX.tdaEncTroubleAreaDetailPage.getjl(dataList[i].years,dataList[i].mm,dataList[i].con)+'</td>' + //硬卷5角(枚)-取
	  					'<td>'+dataList[i].enc+'</td>' + // 机身编码
	  					'</tr>';
	  			//---end
	  			tdaEncTroubleAreaDetailPage_devid_html+='<tr><td>'+dataList[i].enc+'</td></tr>';
	  		}
	  	}
	  	//$("#tdaEncTroubleAreaDetailPage_devid").html(tdaEncTroubleAreaDetailPage_devid_html);
	  	$("#tdaEncTroubleAreaDetailPage_content").html(tdaEncTroubleAreaDetailPage_data_html);
	  };
	  
	  
	  /**
	   * 获取几率
	   */
	  var getjl=function(year, month,con){
	  	var getYear=(new Date()).getFullYear();
		var getMonth=(new Date()).getMonth()+1;
	  	var getDateDay=0;
		if(Number(year) == Number(getYear) && Number(month) == Number(getMonth)){
			getDateDay=(new Date()).getDate();
		}else{
			getDateDay=HYX.tdaEncTroubleAreaDetailPage.mGetDate(year,Number(month));
		}
		var jlv=0;
		if(Number(con) === 0){
			jlv=0;
		}else{
			jlv=parseInt((Number(con)/(Number(getDateDay))).toFixed(2)*100);
		}
		if(jlv >= 100){
			jlv=100;
		}
	  	return jlv+"%";
	  };
	  
	  /**
	   * 获取哪一年哪一个月的天数
	   */
	  var mGetDate=function(year, month){
	    var d = new Date(year, month, 0);
	    return d.getDate();
	  };
	  
	  /**
	   * 设置分页的数据
	   */
	  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#tdaEncTroubleAreaDetailPage_xiye").val(page);
	  	$("#tdaEncTroubleAreaDetailPage_mo").text(Math.ceil(Number(pagTtotal)/10));
	  };
	  
	  /**
	   * 设置翻页
	   */
	  var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#tdaEncTroubleAreaDetailPage_xab").scrollTop(hei);
	  };
	  
	  /**
	   * 分页请求选择
	   */
	  var fl=function(p1,p2){
	  	$("#tdaEncTroubleAreaDetailPage_xiye").empty();
		$("#tdaEncTroubleAreaDetailPage_xiye").html(p1);//给显示的页数赋值
		HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(p1);
	  };
	  
	  /**
	   * 设置分页数,以及设置初始化
	   */
	  var initEncOneAreaDetailPage=function(){
	    if(tdaEncTroubleAreaDetailPage_flag){
	       tdaEncTroubleAreaDetailPage_flag=false;
	    	//设置首页点击事件
	  	$("#tdaEncTroubleAreaDetailPage_first").click(function(){
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncTroubleAreaDetailPage_xiye");
			if(Number(v.value) === 1){
	            HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
				return;
			}
			v.value=1;
			HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(1);
			HYX.tdaEncTroubleAreaDetailPage.scrolltop(v.value);
		});
		
		//设置点击莫页事件
		$("#tdaEncTroubleAreaDetailPage_last").click(function(){
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncTroubleAreaDetailPage_xiye");
			var l=document.getElementById("tdaEncTroubleAreaDetailPage_mo");
			if(Number(v.value) === Number(l.innerHTML)){
	            HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
				return; 
			}
			v.value=l.innerHTML;
			HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.tdaEncTroubleAreaDetailPage.scrolltop(v.value);
		});
		
		//设置上一页点击事件
		$("#tdaEncTroubleAreaDetailPage_top").click(function(){
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncTroubleAreaDetailPage_xiye");
			var num=v.value;
			if(num>1){
				num--;
				v.value=num;
				HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.tdaEncTroubleAreaDetailPage.scrolltop(v.value);
		    }else{
		     HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
		    }
		});
		
		//设置下一页点击事件
		$("#tdaEncTroubleAreaDetailPage_down").click(function(){
	        HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(1);
			var pages=parseInt($("#tdaEncTroubleAreaDetailPage_mo").html());//获取当前的总页数
			var v=$("#tdaEncTroubleAreaDetailPage_xiye");
			var num=parseInt(v.val());
			if(num < pages){
				num = ++num;
				v.val(num);
				HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(num);
				HYX.tdaEncTroubleAreaDetailPage.scrolltop(num);
	        }else{
	          HYX.tdaEncTroubleAreaDetailPage.disableEnableBtn(2);
	        }
		});
		
		
		//点击跳转
		$("#tdaEncTroubleAreaDetailPage_jump").click(function(){
			var pagenum = $.trim($('#tdaEncTroubleAreaDetailPage_xiye').val());
			var maxpage = $('#tdaEncTroubleAreaDetailPage_mo').html();
			if(pagenum == ""){
				$.toast("请输入跳转页");
				return;
			}
			if(parseInt(pagenum)>parseInt(maxpage)){
				$.toast("请输入正确页数");
				$('#tdaEncTroubleAreaDetailPage_xiye').val(pageNumber);
				return;
			}
			if(isNaN(pagenum)){
				$.toast("请输入正确页数");
				return;
			}
			HYX.tdaEncTroubleAreaDetailPage.loadTdaEncOneAreaDetailData(pagenum); 
		});
	    }
	  };
	                               
	  var disableEnableBtn=function(state){
		   if(state === 1){
		     $("#tdaEncTroubleAreaDetailPage_first").attr("disabled","disabled");
		     $("#tdaEncTroubleAreaDetailPage_last").attr("disabled","disabled");
		     $("#tdaEncTroubleAreaDetailPage_top").attr("disabled","disabled");
		     $("#tdaEncTroubleAreaDetailPage_down").attr("disabled","disabled");
		     $("#tdaEncTroubleAreaDetailPage_xifenye").attr("disabled","disabled");
		   }else if(state === 2){
		     $("#tdaEncTroubleAreaDetailPage_first").removeAttr("disabled");
		     $("#tdaEncTroubleAreaDetailPage_last").removeAttr("disabled");
		     $("#tdaEncTroubleAreaDetailPage_top").removeAttr("disabled");
		     $("#tdaEncTroubleAreaDetailPage_down").removeAttr("disabled");
		     $("#tdaEncTroubleAreaDetailPage_xifenye").removeAttr("disabled");
		   }
	  };

	  
  
  
	return {
		goToTdaEncTroubleAreaDetailPage : goToTdaEncTroubleAreaDetailPage,
		initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
		removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    disableEnableBtn:disableEnableBtn,
	    mGetDate:mGetDate,
	    getjl:getjl
	};
})();

