/**
 * 使用波段分析详细页面
 */
HYX.namespace("tdaEncbandanalysisinfoPage");
HYX.tdaEncbandanalysisinfoPage = (function() {
	var pageNumber; //初始化保存当前页数
	
	var tdaEncbandanalysisinfoPage_total=new Array();
	var tdaEncbandanalysisinfoPage_start = '';
	var tdaEncbandanalysisinfoPage_end = '';
	  var goToTdaEncbandanalysisinfoPage=function(){
	  	$.router.loadPage("#tdaEncbandanalysisinfoPage");
	  	pageNumber = 1;  //初始化当前页数
		HYX.tdaEncbandanalysisinfoPage.initTdaEncOneAreaDetailPageTime();
		HYX.tdaEncbandanalysisinfoPage.initEncOneAreaDetailPage();
		HYX.tdaEncbandanalysisinfoPage.setTdaEncOneAreaDetailPage(0,0);
		HYX.tdaEncbandanalysisinfoPage.removeSearchEncOneAreaDetailPage();
	  };
	  
	  //初始化时间控件
	  var initTdaEncOneAreaDetailPageTime=function(){
	  	$("#firstTime_sybd").val("");
		$("#firstTime_sybd").calendar({
			monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
	    	dayNamesShort:['日','一','二','三','四','五','六']
		});
		$("#lastTime_sybd").val("");
		$("#lastTime_sybd").calendar({
			monthNames:['01','02','03','04','05','06','07','08','09','10','11','12'],
	    	dayNamesShort:['日','一','二','三','四','五','六']
		});
		var liHei = $('.list_y_le').width();
		var whei = $(window).width();
		//$('.gzhData_gd').css('width',whei-liHei);
	  };
	  
	  //清空数据
	  var removeSearchEncOneAreaDetailPage=function(){
	  	$("#tdaEncbandanalysisinfoPage_searchContent").val("");
		$("#firstTime_sybd").val("");
		$("#lastTime_sybd").val("");
		
		HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(1); 
	  };
	  
	  var searchEncOneDetail=function(){
		HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(1); 
	  };
	  
	  /**
	   * page：第几页
	   * 
	   */ 
	  var loadTdaEncOneAreaDetailData=function(page){
		  $("#tdaEncbandanalysisinfoPage_devid").html("");
		  	$("#tdaEncbandanalysisinfoPage_content").html("");
	  	tdaEncbandanalysisinfoPage_total=new Array();
	  	
	  	tdaEncbandanalysisinfoPage_start=$.trim($("#firstTime_sybd").val());
		tdaEncbandanalysisinfoPage_end=$.trim($("#lastTime_sybd").val());
		
		if("undefined" == typeof(tdaEncbandanalysisinfoPage_start) || null == tdaEncbandanalysisinfoPage_start || "" == tdaEncbandanalysisinfoPage_start){
			tdaEncbandanalysisinfoPage_start="1999-09-09";
		}
		
		if("undefined" == typeof(tdaEncbandanalysisinfoPage_end) || null == tdaEncbandanalysisinfoPage_end || "" == tdaEncbandanalysisinfoPage_end){
			var myDate=new Date();
			tdaEncbandanalysisinfoPage_end=myDate.getFullYear()+'-'+(myDate.getMonth()+1)+'-'+(myDate.getDate());
		}
		
		var start=new Date(tdaEncbandanalysisinfoPage_start.replace("-", "/").replace("-", "/"));
		var end=new Date(tdaEncbandanalysisinfoPage_end.replace("-", "/").replace("-", "/"));
		
		if(end < start){
			$.toast("开始日期大于结束日期");
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
			return;
		}
		var tdaEncbandanalysisinfoPage_searchContent=$.trim($("#tdaEncbandanalysisinfoPage_searchContent").val());
		
		if(null == tdaEncbandanalysisinfoPage_searchContent || "null" == tdaEncbandanalysisinfoPage_searchContent || "undefined" == typeof(tdaEncbandanalysisinfoPage_searchContent)){
			tdaEncbandanalysisinfoPage_searchContent="";
		}
	  	var param={
			"startDate" : tdaEncbandanalysisinfoPage_start,//开始时间
			"endDate" : tdaEncbandanalysisinfoPage_end,//结束时间
			"searchValuesParam" : tdaEncbandanalysisinfoPage_searchContent, //搜索内容
			"page": page, //页数
			"rows" : 10 //每页显示10条数据
		};
		// 开启进度条
	    $.showIndicator();
	    $.ajax({
	      type : "get",
	      url: basePath + "getEncUsingAandAnalysis",
	      data : param,
	      dataType : "jsonp",
	      jsonp : "callback",
	  	  jsonpCallback : "success_jsonpCallback",
	      success : function(data) {
	          //关闭进度条
	          $.hideIndicator();
	          var error=data.error;
	          if("undefined" != typeof(error)){
	        	  HYX.util.error(error);
	        	  return;
	          }
	          if(!data.flag || data.content.list == null || data.content.list == 'null' || typeof(data.content.list.length) == 'undefined' || data.content.list.length == 0){
	        	  $.toast("未查询到相关数据");
	        	  $('#sybdFenye').hide();
	        	  $('#sybdNull').html('<img src="img/zwsj.png" style="width:3.6rem;display:block;margin:2rem auto 0.6rem;"/><span style="display:block;text-align: center;color: #bfbfbf;">暂无数据</span>');
	        	  return;
	          }else{
	        	  var dataList=data.content.list;
		          var pagTtotal=data.content.total;
	        	  $('#sybdFenye').show();
	        	  $('#sybdNull').html('');
	        	  HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
	              tdaEncbandanalysisinfoPage_total=data.content.totalAddMoney;
	              HYX.tdaEncbandanalysisinfoPage.setTdaEncOneAreaDetailLineDate(dataList);
	              HYX.tdaEncbandanalysisinfoPage.setTdaEncOneAreaDetailPage(page,pagTtotal);
	          }
	          pageNumber = page;  //当前页数复制给全局变量保存
	          
	      },
	      timeout : 9000,
	      error : function(XMLHttpRequest, textStatus, errorThrown) {
	        $.hideIndicator();
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
	        if (textStatus == "timeout") {
	          $.toast("获取超时");
	        } else {
	        	$.toast("获取失败,请重试");
	        }
	      }
	    });
		
	  };
	  
	  /**
	   * 查询详细波段信息
	   * hpf
	   * */
	  var selectTimeSlot = function(devid){
		  	// 开启进度条
		    $.showIndicator();
			$.ajax({
				type : "get",
				data:{
					"devid":devid,
					"startDate":tdaEncbandanalysisinfoPage_start,
					"endDate":tdaEncbandanalysisinfoPage_end
					},
				url : basePath + "getTakeTheMaximumValueInTheTimePeriod",
				dataType : "jsonp",
				jsonp : "callback",
		  		jsonpCallback : "success_jsonpCallback",
				success : function(date) {
					//关闭进度条
					$.hideIndicator();
					var error=date.error;
					if("undefined" != typeof(error)){
						HYX.util.error(error);
						return;
					}
					if(!date.flag){
						$.toast(data.messgae);
						return;
					}
					var tdaEncbandanalysisinfoPage_data_html = "";
					if (date.content == null || date.content == 'null' || typeof(date.content) == 'undefined') {
						$.toast('暂无数据！');
					}else{
						var t = date.content;
						tdaEncbandanalysisinfoPage_data_html+='<tr><td>9:00~10:00</td><td>'+t.rz100_9+'</td><td>'+t.cz100_9+'</td><td>'+t.rz50_9+'</td><td>'+t.cz50_9+'</td><td>'+t.rz20_9+'</td><td>'+t.cz20_9+'</td><td>'+t.rz10_9+'</td><td>'+t.cz10_9+'</td><td>'+t.rz5_9+'</td><td>'+t.cz5_9+'</td><td>'+t.rz1_9+'</td><td>'+t.cz1_9+'</td><td>'+t.ry10_9+'</td><td>'+t.cy10_9+'</td><td>'+t.ry5_9+'</td><td>'+t.cy5_9+'</td><td>'+t.ry1_9+'</td><td>'+t.cy1_9+'</td><td>'+t.ccj10_9+'</td><td>'+t.ccj5_9+'</td><td>'+t.ccj1_9+'</td></tr>'+
							'<tr><td>10:00~11:00</td><td>'+t.rz100_10+'</td><td>'+t.cz100_10+'</td><td>'+t.rz50_10+'</td><td>'+t.cz50_10+'</td><td>'+t.rz20_10+'</td><td>'+t.cz20_10+'</td><td>'+t.rz10_10+'</td><td>'+t.cz10_10+'</td><td>'+t.rz5_10+'</td><td>'+t.cz5_10+'</td><td>'+t.rz1_10+'</td><td>'+t.cz1_10+'</td><td>'+t.ry10_10+'</td><td>'+t.cy10_10+'</td><td>'+t.ry5_10+'</td><td>'+t.cy5_10+'</td><td>'+t.ry1_10+'</td><td>'+t.cy1_10+'</td><td>'+t.ccj10_10+'</td><td>'+t.ccj5_10+'</td><td>'+t.ccj1_10+'</td></tr>'+
							'<tr><td>11:00~12:00</td><td>'+t.rz100_11+'</td><td>'+t.cz100_11+'</td><td>'+t.rz50_11+'</td><td>'+t.cz50_11+'</td><td>'+t.rz20_11+'</td><td>'+t.cz20_11+'</td><td>'+t.rz10_11+'</td><td>'+t.cz10_11+'</td><td>'+t.rz5_11+'</td><td>'+t.cz5_11+'</td><td>'+t.rz1_11+'</td><td>'+t.cz1_11+'</td><td>'+t.ry10_11+'</td><td>'+t.cy10_11+'</td><td>'+t.ry5_11+'</td><td>'+t.cy5_11+'</td><td>'+t.ry1_11+'</td><td>'+t.cy1_11+'</td><td>'+t.ccj10_11+'</td><td>'+t.ccj5_11+'</td><td>'+t.ccj1_11+'</td></tr>'+
							'<tr><td>12:00~13:00</td><td>'+t.rz100_12+'</td><td>'+t.cz100_12+'</td><td>'+t.rz50_12+'</td><td>'+t.cz50_12+'</td><td>'+t.rz20_12+'</td><td>'+t.cz20_12+'</td><td>'+t.rz10_12+'</td><td>'+t.cz10_12+'</td><td>'+t.rz5_12+'</td><td>'+t.cz5_12+'</td><td>'+t.rz1_12+'</td><td>'+t.cz1_12+'</td><td>'+t.ry10_12+'</td><td>'+t.cy10_12+'</td><td>'+t.ry5_12+'</td><td>'+t.cy5_12+'</td><td>'+t.ry1_12+'</td><td>'+t.cy1_12+'</td><td>'+t.ccj10_12+'</td><td>'+t.ccj5_12+'</td><td>'+t.ccj1_12+'</td></tr>'+
							'<tr><td>13:00~14:00</td><td>'+t.rz100_13+'</td><td>'+t.cz100_13+'</td><td>'+t.rz50_13+'</td><td>'+t.cz50_13+'</td><td>'+t.rz20_13+'</td><td>'+t.cz20_13+'</td><td>'+t.rz10_13+'</td><td>'+t.cz10_13+'</td><td>'+t.rz5_13+'</td><td>'+t.cz5_13+'</td><td>'+t.rz1_13+'</td><td>'+t.cz1_13+'</td><td>'+t.ry10_13+'</td><td>'+t.cy10_13+'</td><td>'+t.ry5_13+'</td><td>'+t.cy5_13+'</td><td>'+t.ry1_13+'</td><td>'+t.cy1_13+'</td><td>'+t.ccj10_13+'</td><td>'+t.ccj5_13+'</td><td>'+t.ccj1_13+'</td></tr>'+
							'<tr><td>14:00~15:00</td><td>'+t.rz100_14+'</td><td>'+t.cz100_14+'</td><td>'+t.rz50_14+'</td><td>'+t.cz50_14+'</td><td>'+t.rz20_14+'</td><td>'+t.cz20_14+'</td><td>'+t.rz10_14+'</td><td>'+t.cz10_14+'</td><td>'+t.rz5_14+'</td><td>'+t.cz5_14+'</td><td>'+t.rz1_14+'</td><td>'+t.cz1_14+'</td><td>'+t.ry10_14+'</td><td>'+t.cy10_14+'</td><td>'+t.ry5_14+'</td><td>'+t.cy5_14+'</td><td>'+t.ry1_14+'</td><td>'+t.cy1_14+'</td><td>'+t.ccj10_14+'</td><td>'+t.ccj5_14+'</td><td>'+t.ccj1_14+'</td></tr>'+
							'<tr><td>15:00~16:00</td><td>'+t.rz100_15+'</td><td>'+t.cz100_15+'</td><td>'+t.rz50_15+'</td><td>'+t.cz50_15+'</td><td>'+t.rz20_15+'</td><td>'+t.cz20_15+'</td><td>'+t.rz10_15+'</td><td>'+t.cz10_15+'</td><td>'+t.rz5_15+'</td><td>'+t.cz5_15+'</td><td>'+t.rz1_15+'</td><td>'+t.cz1_15+'</td><td>'+t.ry10_15+'</td><td>'+t.cy10_15+'</td><td>'+t.ry5_15+'</td><td>'+t.cy5_15+'</td><td>'+t.ry1_15+'</td><td>'+t.cy1_15+'</td><td>'+t.ccj10_15+'</td><td>'+t.ccj5_15+'</td><td>'+t.ccj1_15+'</td></tr>'+
							'<tr><td>16:00~17:00</td><td>'+t.rz100_16+'</td><td>'+t.cz100_16+'</td><td>'+t.rz50_16+'</td><td>'+t.cz50_16+'</td><td>'+t.rz20_16+'</td><td>'+t.cz20_16+'</td><td>'+t.rz10_16+'</td><td>'+t.cz10_16+'</td><td>'+t.rz5_16+'</td><td>'+t.cz5_16+'</td><td>'+t.rz1_16+'</td><td>'+t.cz1_16+'</td><td>'+t.ry10_16+'</td><td>'+t.cy10_16+'</td><td>'+t.ry5_16+'</td><td>'+t.cy5_16+'</td><td>'+t.ry1_16+'</td><td>'+t.cy1_16+'</td><td>'+t.ccj10_16+'</td><td>'+t.ccj5_16+'</td><td>'+t.ccj1_16+'</td></tr>'+
							'</tbody></table>';
						$('#bandanalysisDelit').html(tdaEncbandanalysisinfoPage_data_html);
						$('.bandanalysisTile span').html(devid);
					}
				} ,timeout : 9000,
			      error : function(XMLHttpRequest, textStatus, errorThrown) {
			    	  $.hideIndicator();
			    	  if (textStatus == "timeout") {
				          $.toast("获取超时");
				        } else {
				        	$.toast("获取失败,请重试");
				        }
			        }
			});
		}
	  
	  
	  /**
	   * 设置列表数据
	   * 
	   * 
	   */
	  var setTdaEncOneAreaDetailLineDate=function(dataList){

	  	var tdaEncbandanalysisinfoPage_data_html = "";
	  	var tdaEncbandanalysisinfoPage_devid_html = "";
		  	
	  	if(null != dataList && dataList.length != 0){
	  		for(var i=0;i<dataList.length;i++){
	  			
	  			//---start 列表数据
	  			tdaEncbandanalysisinfoPage_data_html+='<tr>' +
	  					'<td>'+dataList[i].encregion+'</td>' + //地区
	 					'<td>'+dataList[i].encbank+'</td>' + //银行
	  					'<td>'+dataList[i].encdot+'</td>' + //支行
	  					'<td>'+dataList[i].totaldepositamount+'</td>' + //交易总额
	  					'<td>'+dataList[i].devid+'</td>' + //机身编码
	  					'<td><a href="javascript:;" class="bandanaClick open-popup open-about" data-popup=".popup-about" onclick="HYX.tdaEncbandanalysisinfoPage.selectTimeSlot(\''+dataList[i].devid+'\');">查看详情</a></td>' + //操作
	  					'</tr>';
	  			//---end
	  			
	  			tdaEncbandanalysisinfoPage_devid_html += '<tr><td>'+dataList[i].devid+'</td></tr>';
	  		}
	  	}
	  	
	  	$("#tdaEncbandanalysisinfoPage_content").html(tdaEncbandanalysisinfoPage_data_html);
	  	//$("#tdaEncbandanalysisinfoPage_devid").html(tdaEncbandanalysisinfoPage_devid_html);
	  };
	  
	  
	  /**
	   * 获取几率
	   */
	  var getjl=function(year, month,con){
	  	var getYear=(new Date()).getFullYear();
		var getMonth=(new Date()).getMonth()+1;
	  	var getDateDay=0;
		if(Number(year) == Number(getYear) && Number(month) == Number(getMonth)){
			getDateDay=(new Date()).getDate();
		}else{
			getDateDay=HYX.tdaEncbandanalysisinfoPage.mGetDate(year,Number(month));
		}
		var jlv=0;
		if(Number(con) === 0){
			jlv=0;
		}else{
			jlv=parseInt((Number(con)/(Number(getDateDay))).toFixed(2)*100);
		}
		if(jlv >= 100){
			jlv=100;
		}
	  	return jlv+"%";
	  };
	  
	  /**
	   * 获取哪一年哪一个月的天数
	   */
	  var mGetDate=function(year, month){
	    var d = new Date(year, month, 0);
	    return d.getDate();
	  };
	  
	  /**
	   * 设置分页的数据
	   */
	  var setTdaEncOneAreaDetailPage=function(page,pagTtotal){
	  	$("#tdaEncbandanalysisinfoPage_xiye").val(page);
	  	$("#tdaEncbandanalysisinfoPage_mo").text(Math.ceil(Number(pagTtotal)/10));
	  };
	  
	  /**
	   * 设置翻页
	   */
	  var scrolltop=function(top){
	  	var hei=25*top-25;
		$("#tdaEncbandanalysisinfoPage_xab").scrollTop(hei);
	  };
	  
	  /**
	   * 分页请求选择
	   */
	  var fl=function(p1,p2){
	  	$("#tdaEncbandanalysisinfoPage_xiye").empty();
		$("#tdaEncbandanalysisinfoPage_xiye").html(p1);//给显示的页数赋值
		HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(p1);
	  };
	  
	  /**
	   * 设置分页数,以及设置初始化
	   */
	  var initEncOneAreaDetailPage=function(){
	    if(tdaEncbandanalysisinfoPage_flag){
	       tdaEncbandanalysisinfoPage_flag=false;
	    	//设置首页点击事件
	  	$("#tdaEncbandanalysisinfoPage_first").click(function(){
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncbandanalysisinfoPage_xiye");
			if(Number(v.value) === 1){
	            HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
				return;
			}
			v.innerHTML=1;
			HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(1);
			HYX.tdaEncbandanalysisinfoPage.scrolltop(v.value);
		});
		
		//设置点击莫页事件
		$("#tdaEncbandanalysisinfoPage_last").click(function(){
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncbandanalysisinfoPage_xiye");
			var l=document.getElementById("tdaEncbandanalysisinfoPage_mo");
			if(Number(v.value) === Number(l.innerHTML)){
	            HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
				return; 
			}
			v.value=l.innerHTML;
			HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(Number(v.value));
			HYX.tdaEncbandanalysisinfoPage.scrolltop(v.value);
		});
		
		//设置上一页点击事件
		$("#tdaEncbandanalysisinfoPage_top").click(function(){
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(1);
			var v=document.getElementById("tdaEncbandanalysisinfoPage_xiye");
			var num=v.value;
			if(num>1){
				num--;
				v.value=num;
				HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(Number(v.value));
				HYX.tdaEncbandanalysisinfoPage.scrolltop(v.value);
		    }else{
		     HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
		    }
		});
		
		//设置下一页点击事件
		$("#tdaEncbandanalysisinfoPage_down").click(function(){
	        HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(1);
			var pages=parseInt($("#tdaEncbandanalysisinfoPage_mo").html());//获取当前的总页数
			var v=$("#tdaEncbandanalysisinfoPage_xiye");
			var num=parseInt(v.val());
			if(num < pages){
				num = ++num;
				v.val(num);
				HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(num);
				HYX.tdaEncbandanalysisinfoPage.scrolltop(num);
	        }else{
	          HYX.tdaEncbandanalysisinfoPage.disableEnableBtn(2);
	        }
		});
		
		
		//点击跳转
		$("#tdaEncbandanalysisinfoPage_jump").click(function(){
			var pagenum = $.trim($('#tdaEncbandanalysisinfoPage_xiye').val());
			var maxpage = $('#tdaEncbandanalysisinfoPage_mo').html();
			if(pagenum == ""){
				$.toast("请输入跳转页");
				return;
			}
			if(parseInt(pagenum)>parseInt(maxpage)){
				$.toast("请输入正确页数");
				$('#tdaEncbandanalysisinfoPage_xiye').val(pageNumber);
				return;
			}
			if(isNaN(pagenum)){
				$.toast("请输入正确页数");
				return;
			}
			HYX.tdaEncbandanalysisinfoPage.loadTdaEncOneAreaDetailData(pagenum);
		});
	    }
	  };
	                               
	  var disableEnableBtn=function(state){
		   if(state === 1){
		     $("#tdaEncbandanalysisinfoPage_first").attr("disabled","disabled");
		     $("#tdaEncbandanalysisinfoPage_last").attr("disabled","disabled");
		     $("#tdaEncbandanalysisinfoPage_top").attr("disabled","disabled");
		     $("#tdaEncbandanalysisinfoPage_down").attr("disabled","disabled");
		     $("#tdaEncbandanalysisinfoPage_xifenye").attr("disabled","disabled");
		   }else if(state === 2){
		     $("#tdaEncbandanalysisinfoPage_first").removeAttr("disabled");
		     $("#tdaEncbandanalysisinfoPage_last").removeAttr("disabled");
		     $("#tdaEncbandanalysisinfoPage_top").removeAttr("disabled");
		     $("#tdaEncbandanalysisinfoPage_down").removeAttr("disabled");
		     $("#tdaEncbandanalysisinfoPage_xifenye").removeAttr("disabled");
		   }
	  };

  
  
	return {
		goToTdaEncbandanalysisinfoPage : goToTdaEncbandanalysisinfoPage,
	    initTdaEncOneAreaDetailPageTime : initTdaEncOneAreaDetailPageTime,
	    removeSearchEncOneAreaDetailPage : removeSearchEncOneAreaDetailPage,
	    searchEncOneDetail : searchEncOneDetail,
	    loadTdaEncOneAreaDetailData : loadTdaEncOneAreaDetailData,
	    setTdaEncOneAreaDetailLineDate:setTdaEncOneAreaDetailLineDate,
	    setTdaEncOneAreaDetailPage:setTdaEncOneAreaDetailPage,
	    scrolltop:scrolltop,
	    fl:fl,
	    initEncOneAreaDetailPage:initEncOneAreaDetailPage,
	    disableEnableBtn:disableEnableBtn,
	    mGetDate:mGetDate,
	    getjl:getjl,
	    selectTimeSlot:selectTimeSlot
	};
})();

