/**
 * 公共类
 */
HYX.namespace("util");
HYX.util = (function() {
  
  /**
   * 帐号跳转,在用户失效和用户占用
   */
  var error=function(error){
    if(error == "user"){
      layer.open({content: '帐号已在另一台设备上登录!',btn: ['重新登录'],shadeClose: false,anim : true,
        yes: function(index){
          //关闭层
          userInfo = null;
          layer.close(index);
          HYX.loginPage.goToLoginPageMethod();
        }
      });
    }else if(error == "session"){
      layer.open({content: '帐号已超时,请重新登录!',btn: ['登  录'],shadeClose: false,anim : true,
        yes: function(index){
          //关闭层
          userInfo = null;
          layer.close(index);
          HYX.loginPage.goToLoginPageMethod();
        }
      });
    }else if(error == "error"){
    	layer.open({content: '操作失败,是否重新登录？',btn: ['确定', '取消'],shadeClose: false,anim : true,
            yes: function(index){
            	//关闭层
            	userInfo = null;
            	layer.close(index);
            	HYX.loginPage.goToLoginPageMethod();
            },
            no :function(index){
            	layer.close(index);
            }
        });
    }
  };
  /**
	 * 动态密码列表、权限获取
	 */
	var loadOwnEncPageData=function(bid){
		//用户信息获取
		if(null == userInfo){
			$.toast('用户信息获取失败!');
		    return;
		}
		//传参
		var param = {
		    'user_id': userInfo.user_id
		};
		//开启进度条
		$.showIndicator();
		$.ajax({
			type : "get",
		    dataType : "jsonp",
		    jsonp : "callback",
		    url: basePath + "getInsideUserLine",
		    data: param,
		    success: function(data){
		        //关闭进度条
		        $.hideIndicator();
		        var error=data.error;
		        if("undefined" != typeof(error)){
		        	HYX.util.error(error);
		        	return;
		        }    
		        if(data.flag){
		        	HYX.ownEncMapPage.getOwnEncMapPageDataBaseData();
		        }else{
		        	$.toast(data.messgae);
		        }
		        
		    },
		    timeout:15000,
		    error:function(XMLHttpRequest, textStatus, errorThrown){
		    	$.hideIndicator();
		    	if(textStatus == "timeout"){
		    		$.toast("获取超时");
		    	}else{
		    		$.toast("获取失败,请重试");
		    	}
		    }
		});  
	};
  return {
    error:error,
    loadOwnEncPageData:loadOwnEncPageData
  };
})();


